2014-12-24  David Tardon  <dtardon@redhat.com>  [6815075cba760c61281fe114a51582bcd0ab5076]

	prepare for a release


2014-12-24  David Tardon  <dtardon@redhat.com>  [fe3e738347dd64d88ca0220b0c401d01f15d2624]

	add support for headings to HTML generator


2014-12-24  David Tardon  <dtardon@redhat.com>  [62989731db99faa91b91d6c4638d5b9eeb7f068a]

	avoid warnings/errors in non-debug mode


2014-12-22  David Tardon  <dtardon@redhat.com>  [4f77da4e96a87bc95638052efdc703ec4a9903b2]

	this is already covered by checking minimal size


2014-12-22  David Tardon  <dtardon@redhat.com>  [2115450745229343b373bdebd0922bd0b54fc6ad]

	check for minimal size of OLE2 too


2014-12-22  David Tardon  <dtardon@redhat.com>  [179ca336afca7b9fcedea4a445bf17e8908160e3]

	really compute stream length


2014-12-22  David Tardon  <dtardon@redhat.com>  [28055b6289c59b3b43c790fa84f8ad437a171da6]

	get more info about structured stream's content


2014-12-22  David Tardon  <dtardon@redhat.com>  [b65e286f06f80783f9d0b22dc2af3fbab86bb335]

	OLE2 file size must be a multiple of sector size


2014-12-18  David Tardon  <dtardon@redhat.com>  [cce5baec8f3f4170d18a3dcd75b15cfbf024ae6d]

	do not try to read if we are at the end of the stream


2014-12-18  David Tardon  <dtardon@redhat.com>  [bb5e253f5792544e6c0e94eb4abcdad221f34e63]

	remove dead code

	I suppose the isEnd() check has been disabled to ensure that the read
	buffer is invalidated even in this case.

2014-12-02  Miklos Vajna  <vmiklos@collabora.co.uk>  [4760bdf4aebdb1b624127455571699b5c1ab7e94]

	Let --enable-debug disable optimization

	Acked-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2014-11-29  David Tardon  <dtardon@redhat.com>  [f8130ec5a280b4318ba578b51fd11d2967eeaf23]

	allow language-related properties on spans


2014-11-28  David Tardon  <dtardon@redhat.com>  [90e2afe61cac71d5302215ff0795a4ffffd24509]

	do not allow block size bigger than input stream size


2014-11-28  David Tardon  <dtardon@redhat.com>  [638a97e15728276b4538585f0c7ae1e0fcb37621]

	add sanity check for OLE2 stream size

	This avoids big allocation in createOleFromDirectory if the file is
	broken.

2014-11-26  David Tardon  <dtardon@redhat.com>  [332d7650ef9661ebd4c501a554b60d2e088148c2]

	add testfileinfo to .gitignore


2014-11-26  David Tardon  <dtardon@redhat.com>  [ef58647b9f2ef6ba313feebad9df3a6617e5c536]

	add modelines


2014-11-26  David Tardon  <dtardon@redhat.com>  [7a283c5b8b5b7381fa207ae1d24a41dec9d6596e]

	add a few consistency checks


2014-11-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [80f3e56be5f407035f65a6ec91349085a895108a]

	testfileinfo binary to start a tool helping us to handle corruptions


2014-11-26  David Tardon  <dtardon@redhat.com>  [3dba33ad060b292301a94313874344aa045d3644]

	ignore names containing \0 in zip files


2014-11-26  David Tardon  <dtardon@redhat.com>  [f3a8e380a43d7407bfa2cb37a48bb1fed6240e58]

	avoid out-of-bounds access to std::vector


2014-11-24  David Tardon  <dtardon@redhat.com>  [ec82d36d9555a045e6a5ea50dda5c295d03ae2fa]

	only export public symbols


2014-11-24  David Tardon  <dtardon@redhat.com>  [50dc8ea582ee406c0808abdfd3c5d849f8e4bcec]

	add compile to .gitignore


2014-11-21  David Tardon  <dtardon@redhat.com>  [7818c5a285f323a1d96285be4f5c6a88c99552af]

	Revert "coverity: do not mark stream data as tainted"

	This reverts commit 6bc8c0207f36f7943be4ad7aa4fceb32eeec8424.

	Revert "fix synactic errors"

	This reverts commit b9e49b02a4f6f348f7b402635dc27791febe31ae.

2014-10-21  osnola  <alonso@loria.fr>  [0f990cccdbcbd71de2981b68857c19a03959feb5]

	RVNGZipStream: try to remove some coverity's warnings and optimize a little the code...


2014-10-20  osnola  <alonso@loria.fr>  [b2964fef0823922d301e7c6b7afaf2a66b0cb704]

	Basic merge...


2014-10-20  osnola  <alonso@loria.fr>  [da58fe9d0a2c0f5af3f3d0296e5a1af7c188aaa7]

	RVNGXXXStream: always returns -1 when there is an error + correct RVNGStringStream::seek when called with RVNG_SEEK_END...


2014-09-30  David Tardon  <dtardon@redhat.com>  [b9e49b02a4f6f348f7b402635dc27791febe31ae]

	fix synactic errors


2014-09-30  David Tardon  <dtardon@redhat.com>  [6bc8c0207f36f7943be4ad7aa4fceb32eeec8424]

	coverity: do not mark stream data as tainted

	This does not work as well as I imagined. It only causes needless
	complications.

2014-09-19  osnola  <alonso@loria.fr>  [c33c058cbcb2f60c107929a8e92478f6e757ee79]

	RVNG*DrawingGenerator: try to implement table's functions by creating a text zone for each cell ; but ignore the cells' properties, the table's rotation...


2014-09-18  osnola  <alonso@loria.fr>  [8baac07bc902e2cfbfba1717c8034b318e3bc650]

	RVNGSVG*Generator: add code to implement master page/slide functions...


2014-09-15  osnola  <alonso@loria.fr>  [0e19782ff9203f05ba97dedd29493a309703d0b0]

	RVNGSVGDrawingGenerator: implement open/closeGroup RVNGSVGPresentationGenerator: better implementation of start/closeLayer


2014-09-14  osnola  <alonso@loria.fr>  [e68f80cbf1ab8a3f6dc95462627d95da52158aa4]

	RVNGSVGPresentationGenerator: no longer suppose that all units are given in inches + update code using RVNGSVGDrawingGenerator as reference...


2014-09-14  osnola  <alonso@loria.fr>  [8224bff8c2096ef79429798d662863266b7db7db]

	RVNGSVGDrawingGenerator: no longer suppose that all units are given in inches...


2014-09-09  osnola  <alonso@loria.fr>  [962c700ab4d4d7b9dce9fde2e09c553a892cd48b]

	RVNGRawPresentationGenerator: do not forget to print the result if m_printCallgraphScore is set 	+ correct some warnings


2014-06-24  David Tardon  <dtardon@redhat.com>  [d0f7394b6c8bd03f06cd03bc895e46ee9f52b411]

	add text:outline-level to allowed paragraph props


2014-06-03  David Tardon  <dtardon@redhat.com>  [f8f55b29534e107f771d32c2eb71561637d8b163]

	model non-structured operations


2014-06-03  David Tardon  <dtardon@redhat.com>  [a4f4928851acac989e38b3e8fc63a210b8ecb68d]

	tweak for consistency


2014-06-03  David Tardon  <dtardon@redhat.com>  [cceefc94aee8e86b6aa4cf847a1df355c5788d03]

	improve modeling of id-based functions


2014-06-03  David Tardon  <dtardon@redhat.com>  [e52cc1cc3e54ae5622164274848350d838cc24b5]

	consider the number of substreams as fixed


2014-06-03  David Tardon  <dtardon@redhat.com>  [ad223ebbd9af346d539cd573ff1b7eb2d5ac6d61]

	tie getSubStreamByName() to existsSubStream()


2014-06-03  David Tardon  <dtardon@redhat.com>  [e6a3a267d84450ac1472f37535fe3b09d751445f]

	fix logic


2014-06-03  David Tardon  <dtardon@redhat.com>  [711a40494ce79d61e47bbbee29fcede18da8569f]

	handle validity too


2014-06-03  David Tardon  <dtardon@redhat.com>  [ce67d08e4490f58396c9f3841a609bfe996cef88]

	struct. and non-struct. operations are complementary


2014-06-03  David Tardon  <dtardon@redhat.com>  [7b702c9d04da3e513a1cf275ec14f91078c10dac]

	createForParent() depends on isDirectory()


2014-06-03  David Tardon  <dtardon@redhat.com>  [ada237b1f74ad5bed57c8c8dacadc64f66088809]

	these functions can return null


2014-06-03  David Tardon  <dtardon@redhat.com>  [3cfbc3a36783f0330af096650cd81745b84ba378]

	add more documentation


2014-06-03  David Tardon  <dtardon@redhat.com>  [97605958638f7c0590324163f3ceb2fc7656bd05]

	createForParent() should return 0 for invalid dir


2014-06-02  David Tardon  <dtardon@redhat.com>  [fee5702ced2547413faa4e2deca11ffb891c5b83]

	prepare for a release


2014-06-02  David Tardon  <dtardon@redhat.com>  [ac69bdb337c2a02318ad8ae2baf997a417f92204]

	check if the index can be used first


2014-06-02  David Tardon  <dtardon@redhat.com>  [1c467a6d28755a8b79f73f3efcc1c93dfac41d1c]

	unsigned var. cannot be less than 0


2014-06-02  David Tardon  <dtardon@redhat.com>  [761d689afd0d182d65ebce06bce5219d287d0036]

	reduce scope


2014-06-02  David Tardon  <dtardon@redhat.com>  [98678e995cd19e1565966bdf39d7588f9eab9fff]

	fix copypasta


2014-06-02  David Tardon  <dtardon@redhat.com>  [86477ded72f3c87a7ed57d25cffac1b6ae161c92]

	micro-optimization


2014-06-02  David Tardon  <dtardon@redhat.com>  [54d3238f4af97f318a355898da55993f0f73d20c]

	remove duplicate code


2014-06-02  David Tardon  <dtardon@redhat.com>  [8d68fa377d09c3f73cb054f3d89f5ddb4fd2e96b]

	write some more documentation


2014-06-02  David Tardon  <dtardon@redhat.com>  [a21da825b9e2e011ff8a6f8b6d4cb9cbfe576b8f]

	do not mix tabs and spaces


2014-06-02  David Tardon  <dtardon@redhat.com>  [47add33e809c71a6441705c56c2b771316636e68]

	document how getData* functions work


2014-06-02  David Tardon  <dtardon@redhat.com>  [ea2dfae0b633cf7c425d746faeefb22b6dc203bb]

	coverity#1219812 size() should reflect empty data


2014-06-02  David Tardon  <dtardon@redhat.com>  [748f8bc246e25497dd1f284e3b79dd3795a09b28]

	create coverity model for (most of) librevenge


2014-06-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [06483902f95cfd9e30649062d631c7e8ac56533d]

	try to make it readable also for Fridrich and if it is like that, just make them static too


2014-06-02  David Tardon  <dtardon@redhat.com>  [feec5a6cc98b82208d0b1c09876554d057e44f02]

	only define these functions when needed


2014-06-02  David Tardon  <dtardon@redhat.com>  [f3e9bfb370059fcf1ac6f1a9c6dda7b59dcbc635]

	fix dir. stream test


2014-06-02  David Tardon  <dtardon@redhat.com>  [5abc7ff2a6c1050c7ca99715cb3be90e483c4185]

	returning const RVNGInputStream* doesn't make sense

	... as it cannot even be used without casting the const away

2014-06-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8e01bedd8bcbdd2f022a43aec9d0e940da88fee4]

	Some more check in the directory stream


2014-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fcaadc867ee9cb9adaaa8f7b7f43e8bde5d03ba0]

	Do we really need to throw here?


2014-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [caf9f054aa07c097c9b695bbc618c3bb414baf6f]

	Test the RVNGMemoryInputStream indirectly through RVNGBinaryData


2014-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [689371f2acd7adc973833c276e10370cace5d8e9]

	No need to export purely virtual inlined interfaces


2014-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fae52b22b7648de0b5f438c5505863abbd1f8ff4]

	RVNGMemoryInputStream is internal and not exported on Windows


2014-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fd8b4f3d933b631584e3338eae564f9336a20533]

	Remove all rudiment of boost linking + avoid calling isDir too many times


2014-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [557d77a2d1e36939dc3cb5833edd92b0b09d245e]

	Remove an unnecessary flag


2014-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9d28df9914fb17a11789105b766301187765b902]

	No need of boost filesystem anymore


2014-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [58caae558a5f93cb750fa4d6a93d4f8809046ceb]

	This is not needed anymore


2014-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [201d76417d1b10610a7071b26b19db03fb38a738]

	Fix the unit tests of RVNGDirectoryStream


2014-05-30  David Tardon  <dtardon@redhat.com>  [1900c3f7be2d9c06ccbca41e92b3d645b9a22daa]

	detect cppunit in configure


2014-05-30  David Tardon  <dtardon@redhat.com>  [0f56d93e03f04b7404838d7e653d1aa9ef2e2a76]

	use absolute path for the test


2014-05-30  David Tardon  <dtardon@redhat.com>  [498c7fc5eee29f87538c300d734bfcb8196c5c94]

	fix path composition


2014-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [619a26ec331e85519043de8ade3651fc12a484d9]

	Trying to avoid the boost_filesystem linking


2014-05-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a295a2e720143ec5c54d450caaf575b2a7739552]

	Actually consider the BUILD_DIRECTORYSTREAM define


2014-05-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [15836ec58719ad658c2dcdc21cf6d83903816b8f]

	Revert "Remove unused static functions"

	This reverts commit 8e59bce56ab80d4c032606d82f8c08b109cb769b.

2014-05-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [df4b4bc8eda92464d0d4c74da409b3f2a4818f5f]

	Add option to disable directory stream


2014-05-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8e59bce56ab80d4c032606d82f8c08b109cb769b]

	Remove unused static functions


2014-05-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1d7b7e1017ecb5179fdf05c8edf9675c260f430d]

	Don't decorate by dllimp/exp purely virtual inlined class


2014-05-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [984b81d1860f761c14a6e202f00e05e01075c055]

	Actually make it possible to disable streams and generators


2014-05-26  David Tardon  <dtardon@redhat.com>  [03c0fe096ae6e71237d36b88f5f0aa0f62eb09d6]

	nested iterator classes need to be exported too


2014-05-25  David Tardon  <dtardon@redhat.com>  [d0df6db52ae8db3b3e9549837e698a091474e727]

	properly export API symbols


2014-05-24  David Tardon  <dtardon@redhat.com>  [714666ef44c7d0e0ff7c4de6db75cc754dd811e3]

	zlib is only needed for librevenge-stream


2014-05-24  David Tardon  <dtardon@redhat.com>  [27adcd8bdba57db50b2e718054563c76f99aebfa]

	fix license headers for gdb printers


2014-05-23  David Tardon  <dtardon@redhat.com>  [0952de614e7cdb101478bbdbfa48fee5f1f70a5b]

	fix type sizes for CPPUNIT_ASSERT_EQUAL


2014-05-23  David Tardon  <dtardon@redhat.com>  [cbe332391428beae505046a3d09b76052aa672a3]

	prepare for the first release


2014-05-23  David Tardon  <dtardon@redhat.com>  [a9c3ad59b0cb4a9ec22d490c14b6e1073f354ea5]

	add support for master pages


2014-05-23  David Tardon  <dtardon@redhat.com>  [6ff5034a41b5a70271e86a5f1b31f137e0da846a]

	fix copypasta


2014-05-23  David Tardon  <dtardon@redhat.com>  [2aaa388f3b8d42b6e83eb720e4ddaa28ceb5dc70]

	test RVNGString::escapeXML too


2014-05-23  David Tardon  <dtardon@redhat.com>  [50b17c5c8882c8ca2627e1d464a493fc9e241d02]

	add C str. overload of escapeXML for completeness


2014-05-22  David Tardon  <dtardon@redhat.com>  [2fe1de655ae44a949cc535e2c0ada4db9dd269f8]

	use property names as defined in SMIL


2014-05-22  David Tardon  <dtardon@redhat.com>  [364a1ea9a002e2266c79dca4bf470d09060c406b]

	print nothing in callgraph score mode


2014-05-22  David Tardon  <dtardon@redhat.com>  [8cd0796c01bb638f8efe2a2a56f0473a5271bb1d]

	add support for embedded fonts to all ifaces


2014-05-22  David Tardon  <dtardon@redhat.com>  [804a38ea22b482e27e936d151f09ea6904e194bf]

	add unit test for RVNGString


2014-05-22  David Tardon  <dtardon@redhat.com>  [d44a4769fcc10d8deaab04e67d460ff2919c6459]

	handle XML escaping through a separate function


2014-05-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a9046e2db3c3efac8a64e435f9f520aa6f582983]

	undefined symbols ...drawConnector in text generators


2014-05-15  David Tardon  <dtardon@redhat.com>  [8d052ed537df592c62186f2a017ba16f38a77abf]

	drop virtual to keep style


2014-05-15  David Tardon  <dtardon@redhat.com>  [8392e9e6b3802138a2cd52d664fa84d6e735c21d]

	add support for animations to pres. iface


2014-05-14  David Tardon  <dtardon@redhat.com>  [d92c1d2a31e436c016574c250ad93c7bd2780860]

	add support for slide transitions to pres. iface


2014-05-14  David Tardon  <dtardon@redhat.com>  [2d6cedf88821f7aaab2e805c27c80dc0c140d86e]

	add support for charts to pres. iface


2014-05-14  David Tardon  <dtardon@redhat.com>  [93ff8ef73ece5f7b7624cfb59b21f98bc042dd48]

	add support for connectors to all ifaces


2014-05-13  David Tardon  <dtardon@redhat.com>  [660113c058ca40faf16878f796cd657bc9faf871]

	use openGroup for pres. iface too


2014-05-13  David Tardon  <dtardon@redhat.com>  [b07c55146785285163fe4ba6257aa1328248e6ab]

	add support for groups to drawing iface


2014-05-13  David Tardon  <dtardon@redhat.com>  [81f982c61169e0826a8334a00dc80c7d9e4fc21e]

	add info about replacement objects to API docs


2014-05-08  David Tardon  <dtardon@redhat.com>  [65875af91c6ca82e11942e3269c86a8d889b2406]

	remove WordPerfect specific parts


2014-05-08  David Tardon  <dtardon@redhat.com>  [15c433417c916d196625477793a59f7c1e1d049a]

	drop old obsolete cruft


2014-05-06  David Tardon  <dtardon@redhat.com>  [f639abc29b6c57c472e9f24a93ef179198f57336]

	add support for ppc64


2014-02-22  David Tardon  <dtardon@redhat.com>  [2c63bdd842dd18a54fc5bf356c4caa0530a9c8c3]

	add gdb pretty printers


2014-01-26  osnola  <alonso@loria.fr>  [47c8bcf81e907d2b531ea920852bca86b2de0157]

	RVNGCSVSpreadsheetGenerator: do not use the cell's content if we have added a formula + take in account the added row when adding a cell's reference...


2014-01-21  David Tardon  <dtardon@redhat.com>  [7ee29538e6c1044eb50921e3e4138ab7a1c65a51]

	aclocal needs path to the boost detection stuff


2013-12-30  osnola  <alonso@loria.fr>  [29ce383d3b65dcfe0cbc8bfbde96cf2d941bac5d]

	RVNGSpreadsheetInterface: modify the chart functions to allow to create chart's styles, ...


2013-12-27  osnola  <alonso@loria.fr>  [8e2b80448f883c41ece68b73c9cfd76a156786b2]

	RVNGDrawingInterface: allow to create tables...


2013-12-27  osnola  <alonso@loria.fr>  [cf98c465c7b3775e5b7b340af86a3d8ff1673583]

	RVNGSpreadsheetInterface: try to improve the chart functions, ...


2013-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c943ea32d94db31a1b05f92a4abc3152df17fc9]

	Add existsSubStream to RVNGInputStream interface


2013-12-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2e69877eb4db1095bade83741d54f1d66f905e6]

	More RVNGString comparison operators + remove the !() operator that duplicates empty()


2013-12-19  osnola  <alonso@loria.fr>  [c7932456134b0caf5b66df02d2fc3dd23603c750]

	RVNGTextInterface: add functions to insert basic geometric shapes...


2013-12-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [292702084423d3e984de46ba67fe514848544bab]

	Fold the list definitions into the list open callbacks


2013-12-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [12ca1d1c9878d52a143f348f358f4537ad31e5b1]

	librevenge:id -> librevenge:list-id


2013-12-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dd178a8622ee6a9e0e5c2c9556a2643520d02d05]

	struct tm with the tm_zone is an extension


2013-12-16  osnola  <alonso@loria.fr>  [a0272cf865bb62535b7bdc3a1155cca3a69e3d7b]

	Basic merge


2013-12-15  osnola  <alonso@loria.fr>  [7f2a82f63b84806bc29c0a07d563a82a0089ec97]

	RVNGSpreadsheetInterface: try to simplify the graphic interface (take inspiration from the Presentation interface + try to add some coherence when naming functions try to add some coherence when naming functions)


2013-12-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [997479bfe35230853ddd6af002af3e2a0a65c5c0]

	Fix distcheck errors


2013-12-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c8982a673833d7ae35668b18a60599a3552b39fc]

	Don't dupplicate paragraph and text properties definitions all around the place


2013-12-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6555b1f433ce9506b6dee3871b414f14e631f6f7]

	Document some more properties


2013-12-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8ba1e7f9c9981dbeff1d71267c92d391885e6042]

	Remove wrapper so that compiler tells us what to change :)


2013-12-12  osnola  <alonso@loria.fr>  [587a84a6f31c22779a671378bac43a39fbb97322]

	RVNGPresentationInterface: change {open/close}Table in {start/end}TableObject to   be more coherent...


2013-12-12  osnola  <alonso@loria.fr>  [93e684434de3aec9653ba5bdd70f802871251cd4]

	Spreadsheet and text interface: add a RVNGPropertyList parameter in startDocument + add a wrapper to old startDocument in the text interface which must be removed   when all text parsers will be updated...


2013-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [73be74bf7ddae70aa96b2260c3156e052c3b8072]

	Use the same boost for all :)


2013-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [43b846181981d088d3674db448270ca9336cd3b7]

	Re-astyle


2013-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [802fcb0f3b45604f32669bde008e09d772dc144b]

	Allow equal identing of functions


2013-12-11  osnola  <alonso@loria.fr>  [b71b79b6b03b6baf60d6bc3bd516d8d3bdc27271]

	RVNGDrawingInterface: add defineCharacterStyle/defineParagraphStyle/define[Un]OrderedListLevel to unify a little the different interfaces...


2013-12-11  osnola  <alonso@loria.fr>  [bc3b62067afe7a554266e47608387092a07a5309]

	 RVNGSVGDrawingGenerator: add defineCharacterStyle/.../defineUnorderedListLevel functions...


2013-12-11  osnola  <alonso@loria.fr>  [5f1b1019bf34fed92dccf31c23119b8df9c3788b]

	RVNGTextDrawingGenerator: add defineCharacterStyle/.../defineUnorderedListLevel functions...


2013-12-11  osnola  <alonso@loria.fr>  [f9346db98fb5d882aa81e34edb0aadcf8b01af1a]

	RVNGRawDrawingGenerator: add defineCharacterStyle/.../defineUnorderedListLevel functions...


2013-12-11  osnola  <alonso@loria.fr>  [557921c40d4b01093205222ff045796eba5145b9]

	RVNGPresentationInterface: add defineCharacterStyle/defineParagraphStyle/define[Un]OrderedListLevel to unify a little the different interfaces...


2013-12-11  osnola  <alonso@loria.fr>  [94bc4d6b4e3fd4a064b95f055775f74ad679bd27]

	RVNGSVGPresentationGenerator: add defineCharacterStyle/.../defineUnorderedListLevel functions...


2013-12-11  osnola  <alonso@loria.fr>  [d805a9c15bae4fa0a59718dff1308362027fe90c]

	RVNGTextPresentationGenerator: add defineCharacterStyle/.../defineUnorderedListLevel functions...


2013-12-11  osnola  <alonso@loria.fr>  [53af51bdfc73edcd62759f46f6f480f1ae5ef448]

	RVNGRawPresentationGenerator: add defineCharacterStyle/.../defineUnorderedListLevel functions...


2013-12-11  osnola  <alonso@loria.fr>  [61c6ba7c272a9abf22fe1ced691f180c5338d8b0]

	RVNGHTMLTextGenerator: Implement defineCharacterStyle/defineParagraphStyle and anonymous list...


2013-12-10  David Tardon  <dtardon@redhat.com>  [75bc95a1914c8d55ed784800a17bf53a1f6ac683]

	add unit test for RVNGDirectoryStream


2013-12-10  David Tardon  <dtardon@redhat.com>  [42974439a8f4480d9550605d8b4791565acf7330]

	add stream impl. for directory

	We might want to change the impl. to get rid of dep. on
	Boost.Filesystem, but for now I prefer convenience over smaller
	dependency set.

2013-12-10  David Tardon  <dtardon@redhat.com>  [a3d181cd5b486b7a2b06c349affad613f73e8808]

	unit test base64 conversion


2013-12-10  David Tardon  <dtardon@redhat.com>  [db8bedef146fe4df73c081fa5b183bab181385d1]

	add include for printf


2013-12-10  David Tardon  <dtardon@redhat.com>  [cf375616c131f5a35feb89615139776b9c2f60a1]

	test for empty() too


2013-12-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [02d8f343bd1ac1ea0b5df948876fa8e30a1dc31c]

	Trim the base64String because boost is confused with whitespace on the margins with short strings


2013-12-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cf2bbebd45ca1aa370bfcb7ccad70c15d3a17e9e]

	Some more grace with NULL pointers


2013-12-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d707e08e81014ad4d4a8cdce23a4bb107baa9725]

	Be gracious with (const char*)NULL in RVNGString functions


2013-12-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [20a3e0e549882a658fdac3d3a61b77923be4103b]

	Adding some "bool empty() const" functions


2013-12-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a992c57949ba2ce5d465ae3c1a31fd18a08eeea3]

	escape the link


2013-12-06  David Tardon  <dtardon@redhat.com>  [bbc55925bd424c2ae4a5b2276feb2cfb4def1b52]

	make the output consistent


2013-12-06  David Tardon  <dtardon@redhat.com>  [92f862cc782ea4cb8d670d1da49ed6f0d869116b]

	indent raw output properly


2013-12-06  David Tardon  <dtardon@redhat.com>  [6f44ad644beb73f4db0a65cee32f74c5d737769d]

	fix RVNGRawPresentationGenerator output


2013-12-06  osnola  <alonso@loria.fr>  [f7d98320ff2ef616b39f294722c4c660982b0947]

	RVNGHTMLText: recognize librevenge:list-id ( and librevenge:id ) to define a list...


2013-12-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [679daff012ca6ed99ad349b412433c074c019df5]

	Add callbacks for openLink and closeLink + some unnecessary virtuality -> out


2013-12-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [16a2eed79eb57c61b25cbd1428e355b4d5c2184a]

	not such entity in xml


2013-12-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b4b036a2ce5515af2274394d9c00e31fcb4446b1]

	Try to not modify the base64 when converting to binary data


2013-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ab34bdcaeba47cbb8db94b5f08859949ab05ce5a]

	Don't provide defaut value for the RVNGRaw*Generator explicit constructors


2013-11-28  David Tardon  <dtardon@redhat.com>  [a1515022ecc0cf8599beba4fd7af27c3f934e77f]

	use options file for astyle


2013-11-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d5cb911123320f371ef6848feab2f2035439c637]

	modify the astyle stuff


2013-11-28  David Tardon  <dtardon@redhat.com>  [186bd9c727a968cb17bef202660d0a7198390c83]

	document current astyle settings


2013-11-28  David Tardon  <dtardon@redhat.com>  [5a8ed7ca2daf4bd1cd5b6a792061600289f630b0]

	add AUTHORS file


2013-11-27  osnola  <alonso@loria.fr>  [9cecfe774eb4481a1743ebc9f062fc3f231cc41b]

	RVNGCSVSpreadsheetGenerator: minor corrections ( to avoid the header/footer text, ...)


2013-11-26  osnola  <alonso@loria.fr>  [abd331ea3aefba31528b8f8477b280cb5398da4e]

	Add a new text generator for the spreadsheet interface + allow to export formula in RVNGCSVSpreadsheetGenerator.


2013-11-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ddab2a9e01f61d5960c72298655f8c9d622cb090]

	Consolidate the callback enums into one big enum


2013-11-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ca042dc0299a9f0644f1bd5c1b8e57c007f02fb1]

	Stuff-up the RVNGRawDrawingGenerator


2013-11-25  osnola  <alonso@loria.fr>  [15053032a664791b98bb6aed32b9f3f2d9e7b486]

	RVNGCSVSpreadsheetGenerator: generate the date correctly...


2013-11-25  osnola  <alonso@loria.fr>  [e058c9359154f2fda3df90091527116c4cd01c3c]

	Try to add a CSV generator for spreadsheet...


2013-11-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [15dd36aaa90b53c8cffe9ef064542011202d3bd9]

	astyle -HU -k3 -y -n -t -r \*.h \*.cpp


2013-11-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2f6abcbe04bc96bbcca6bc844f04296e2ad4ed73]

	Generate base64 using boost too


2013-11-24  osnola  <alonso@loria.fr>  [061bfdb89484dfbb17a8ee2d81eba70382633803]

	Try to make the comments right for doxygen...


2013-11-24  osnola  <alonso@loria.fr>  [a47afdff82b0db930666f71f0965f2f12e1284a4]

	RVNGSpreadsheetInterface: remove insertSheetConditionInNumberingStyle + check comments for doxygen, RVNGRawPresentationGenerator: make insertField use the new interface ( as RVNGRawPresentationGenerator), + some astyle modifications...


2013-11-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ceab790ab553a6995d710dfaa248597a5e34a4f7]

	drawPoly*: vertices -> "svg:points"


2013-11-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c1d4968a96752f5798ce89a0e4c797ae20636970]

	Fold in gradients


2013-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [91c6f7b1560a7695e000ab76629654de3bed4186]

	openTable: columns -> librevenge:table-columns + fold data in insertEquation


2013-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [44a5e5947546c1c073474b70c2bb45ad698a1d62]

	Fix RVNGSVGDrawingGenerator


2013-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c28926f3e5d3222f78e02e9d6917a19d1eb4fcfe]

	insertField: type -> librevenge:field-type


2013-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6b9756c1d62dce41d36bd64d67574fb56d99d370]

	Folding in the section columns


2013-11-22  osnola  <alonso@loria.fr>  [85d55bde6c38a93e45d73d372798b72ad2e420d2]

	Dump RVNGPropertyListVector in the specific functions of RVNGSpreadsheetInterface + astyle corrections...


2013-11-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4cbf39c652f0bfb8a115a021849c077af7adebca]

	Fold tabStops as style:tab-stops in proplist


2013-11-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6ca1f7314aa921eb6ededc6c30faa881b51ee7e3]

	Recursive dumping of propLists for the purposes of raw


2013-11-21  osnola  <alonso@loria.fr>  [22172f6937ade8bddd4158cfc3462ce859e9ad12]

	basic merge...


2013-11-20  osnola  <alonso@loria.fr>  [33a5cf3cb8f878d36685352f17b5b15bb6695057]

	Modify the spreadsheet interface to pass formula by using RVNGPropertyListVector


2013-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a056bbed49c3654be49ddb8e046f077eafa5a339]

	Small fixes of spreadsheet generator


2013-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7f787d3f1144e3e16212926c1938e91971dc552d]

	Folding paths into propLists


2013-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4439c1a20693e38599b5f836591b82ca3f9d664f]

	Use the right insert


2013-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [08d65b3775a805ed13fde4e2587ee0931c0d9adb]

	RVNGPropertyListVector : public RVNGProperty


2013-11-17  osnola  <alonso@loria.fr>  [9d587a7a4fff73512de93eeceec3bcd5706f77a8]

	Check doxygen comment...


2013-11-17  osnola  <alonso@loria.fr>  [c12c70cb6cd5f3173abdf0c6fd33cd3678075b65]

	Add a spreadsheet interface...


2013-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [48a6af7bed337c2b2bb9feed9a381f34f07512d8]

	Avoid gratuitous ambiguities


2013-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3232b6cd8c4303e325ef4641d56a6fb53c82c442]

	Pass the binary rasters as property at key "office:binary-data"


2013-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [70af8a2a1944505313d080153841260e7fbb3800]

	A small modifications of the base64 construction/appending


2013-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e29bd0ad7510b6725cfefe30cd75c289a363bd8e]

	Add RVNGBinaryData constructor, allowing to acquire data from base64 string


2013-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [22826d3bc40481744d866ae27b936cf44a260c8f]

	Add RVNGString::size to return byte-size of the string


2013-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [060673f6c373304135b6d3e4d405a770bbe07738]

	A better way


2013-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5fba60c41c2bfc5750594bbd881bff63d3692ae9]

	RVNGPropertyListVector::clear()


2013-11-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2d49f31d6e75899413de985ea974705b51a9c02d]

	Add RVNGBinaryDataProperty (to the factory too)


2013-11-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [87660b09c5b9ad4cf48c5d440588d5cceeb7936b]

	Trying to get the copy constructors right


2013-11-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f54b9710cfe46a9e37a14300c066e1ecd7690c44]

	Disable the possibility to have property a propListVec in the same key


2013-11-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1de6608479dfcef880c671874e0e7c5eaa02d9cb]

	Some private <-> public partnership


2013-11-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5297196a7cff5969c98084bac5493aeb32edafdd]

	Allow the property list keep subtrees


2013-11-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e18466a8f7cc3c02a50abfe6222e683103f4c33b]

	Extend a bit the RVNGPropertyListVector class


2013-11-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3e88951372527586ad049afe049c69e3e1f4dab3]

	Cosmetic changes


2013-11-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a26f05c1d82ae21dc31621933b7277ca5654e8ca]

	Generators actually depend on the base library


2013-11-10  osnola  <alonso@loria.fr>  [aa464116cafc9530727bf69168d8b41cab0525b0]

	RVNGTextTextGenerator: update m_document...


2013-11-09  osnola  <alonso@loria.fr>  [ebc70292be4928b7dc68d4bf4575229c84ef29b1]

	Minor corrections...


2013-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [52ba481fcf64764de90002baed235d1f09e433d8]

	Fixup


2013-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d417e35f59e389ab730e77ab874abf264f843379]

	Try to get the type from string on insertion


2013-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1c8ce9f29ab8f0b7e6d7e533d9e487b3ad1ae2a7]

	No point to recopy values now


2013-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8b2c1161d0ebd7460e552cdddf16629a71b3a2cf]

	Move back from property_tree to map


2013-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d7e7a05306e532cd64378efffc82052f1d6dc49a]

	Revert "use BOOST_FOREACH"

	This reverts commit 6cbe9e04fcfd7b4e37641c3d5a84ef2cdc527541.

	Conflicts:
		configure.ac

2013-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3fdbf37390d73b73c278e76e3c58e9cfbf49ea31]

	Revert "Some stubbing"

	This reverts commit 305d858f1b80873aff546b96cf080266448c4e61.

2013-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0433e304973ba2fef5495bbefe35b46a1b9e8c4d]

	Revert "More stubs"

	This reverts commit 5330ed4125ba869e383be79bf7842a9b2460bf08.

2013-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5330ed4125ba869e383be79bf7842a9b2460bf08]

	More stubs


2013-11-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [305d858f1b80873aff546b96cf080266448c4e61]

	Some stubbing


2013-11-08  osnola  <alonso@loria.fr>  [d30a1935745c2820b93505940f028c14aac8052e]

	Modify the spirit rule, seems to work better...


2013-11-08  David Tardon  <dtardon@redhat.com>  [045e539a6ec290392fc256a7c145096a55a06ef9]

	do not print HTML gen. output directly


2013-11-08  David Tardon  <dtardon@redhat.com>  [a2e402a807437c0c300faed700dcc0030f7c088d]

	include everything explicitly


2013-11-08  David Tardon  <dtardon@redhat.com>  [997f6bf0a9e5faefc7f325281c1d00b16c1a7861]

	do not print text gen. output directly


2013-11-08  David Tardon  <dtardon@redhat.com>  [4aa38aff359345be0b6edbaedc1e39f019ee4dce]

	print just callback names


2013-11-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [37a702fba1140266c8a12ddacc7e5e058c6f3ff4]

	Use sprit for splitting value/unit from string


2013-11-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6cbe9e04fcfd7b4e37641c3d5a84ef2cdc527541]

	use BOOST_FOREACH


2013-11-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [774850db6e4f73875cbbc4ac14d9f6ba4d9f55e3]

	astyle -b -k3 -y -n -t -r \*.h \*.cpp


2013-11-08  osnola  <alonso@loria.fr>  [d7314bf04515461811084ec0e9ae27c4a827790b]

	Correct a clang++ warning...


2013-11-07  David Tardon  <dtardon@redhat.com>  [ff8fe07432d2d784a2bf9d8ceaf5a1e7d6263be3]

	move stream test to extra source file


2013-11-07  David Tardon  <dtardon@redhat.com>  [b7bd93086b17987146936bf507d9cb04f3f1c567]

	expand unit test for RVNGBinaryData


2013-11-07  David Tardon  <dtardon@redhat.com>  [ca0863940bd69f127e028e70f0e991d2874108f6]

	use COW for RVNGBinaryData to avoid excessive copying


2013-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [58ab3d4b3b0940cdda8a839ba0f6d8248538c259]

	Order the properties only for raw output


2013-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [710238fab465bd79c19926a65244192bb6aa3417]

	Revert the RVNGBinaryData changes and try to use boost::property_tree based RVNGPropertyList


2013-11-07  osnola  <alonso@loria.fr>  [22706f8e814ffb9b8f7281cbf374dc1c27e519a4]

	Try to improve the HTML generator's + astyle's modifications


2013-11-07  David Tardon  <dtardon@redhat.com>  [d7b8016a2d89d1df3020a000626175e4fe42da1d]

	add skel. unit test for RVNGBinaryData


2013-11-07  David Tardon  <dtardon@redhat.com>  [09a1ae3b48c6b4de811bbec42c8302e8626fda24]

	optimize RVNGBinaryData for copying


2013-11-06  osnola  <alonso@loria.fr>  [dcf4fc087f6aaa71e12466c3d75b2667c7e7ef4c]

	Correct some clang++ warnings


2013-11-06  osnola  <alonso@loria.fr>  [f1c8c12a6f7f82f4bfd8fdaeb0c2262e9b4b1023]

	RVNGZipStream: try to optimize a little findCentralDirectoryEnd...


2013-11-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d65cfb17a3cb26957217e5efd3f0c7d00b115f64]

	Fix parallel build


2013-11-05  David Tardon  <dtardon@redhat.com>  [f5dc2b3b08c11a0c42b07571ca9a635f462ce605]

	impl. callgraph check for raw presentation gen.


2013-11-05  David Tardon  <dtardon@redhat.com>  [766aeb880f55be1a29f990751867bb3eb3e5cada]

	make the macro names more distinctive


2013-11-05  David Tardon  <dtardon@redhat.com>  [9ac3ba0403db0b5a24e6f2f1ddac10272d7f6024]

	factor common parts out of raw generators


2013-11-05  David Tardon  <dtardon@redhat.com>  [6e045344b763fb77059c3c276cb525e91e9f3994]

	move callgraph callback enums to impl.


2013-11-05  David Tardon  <dtardon@redhat.com>  [117b51890fb8adad14293434ddd9089322931fb8]

	we do not really need the using directive here


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d34f9fd0716f6024c9d5886dba0c3339044bcedc]

	Unfortunatelly, generation of svg from drawing api must be considered core functionality


2013-11-05  David Tardon  <dtardon@redhat.com>  [3b76b474cd757c5e2174df005381de5be7cc2a4a]

	allow to build without streams and generators


2013-11-05  David Tardon  <dtardon@redhat.com>  [17e228c70f3f84fc62b12610c33c3dd7176f0e60]

	remove leftover headers


2013-11-05  David Tardon  <dtardon@redhat.com>  [0ec4f5278f62a5ecdbd498c79735ed6a6fbd117a]

	move impls out of header


2013-11-05  David Tardon  <dtardon@redhat.com>  [df43dfc0fd7278e8e406ae9e2466ac43731ba172]

	move impls out of header


2013-11-05  David Tardon  <dtardon@redhat.com>  [c6b93368fe8f34c9e20ef07870eb907ccacb6e86]

	move impls out of header


2013-11-05  David Tardon  <dtardon@redhat.com>  [5701ee416d325166bbfc8b88055feef74daef2a8]

	move impls out of header


2013-11-05  David Tardon  <dtardon@redhat.com>  [a7b25f26d0e01e495d7c509f963c6d349d995c38]

	move impls out of header


2013-11-05  David Tardon  <dtardon@redhat.com>  [e32a851113c53620b429be09fc600987f7e3bd87]

	safeguard for future


2013-11-05  David Tardon  <dtardon@redhat.com>  [eddc48e0640acf79bb421f04602519038faf2238]

	move impls out of header


2013-11-05  David Tardon  <dtardon@redhat.com>  [99b90ee5425dad95b0ae1c235bb4db57093b45f3]

	one-arg ctors should be explicit


2013-11-05  David Tardon  <dtardon@redhat.com>  [dbfa10b2f66116dc416f88c4a1505189f2413008]

	hide impl. details


2013-11-05  David Tardon  <dtardon@redhat.com>  [6811ff23adebeaf5b424d4b89bcded89f6ae3ff3]

	safeguard for future


2013-11-05  David Tardon  <dtardon@redhat.com>  [dbc47a6c8366a901aff9a7abad23a698a9b55828]

	hide impl. details


2013-11-05  David Tardon  <dtardon@redhat.com>  [f93e9764cbf5ae4de202b4c3f8581fca46c01932]

	move std includes to .cpp, where they belong


2013-11-05  David Tardon  <dtardon@redhat.com>  [8dfd8431b541fd76323441fbc239a50c2bca8eec]

	identifiers starting with _ are reserved for compiler


2013-11-05  David Tardon  <dtardon@redhat.com>  [99ee0c062ae23ee7452ff4b2edfbf9a245c6c4a6]

	hide impl. details


2013-11-05  David Tardon  <dtardon@redhat.com>  [0e1c528d16857c894bae7fdb1f5e5ccbf9af8573]

	safeguard for future


2013-11-05  David Tardon  <dtardon@redhat.com>  [7ef843678b6ebadc4b127a971180b89b9c1a6cec]

	hide impl. details


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e48391040b2c6167eb2a3ea7c53c59a7ddf8bb15]

	Distcheck


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d0c68cecbe36c011acc34c9024d4860813a8793e]

	RVNGTextDrawingGenerator


2013-11-05  David Tardon  <dtardon@redhat.com>  [05b2dc0d4a2a7a0743c6ca2c18863e064019c9fd]

	identifiers starting with _ are reserved for compiler


2013-11-05  David Tardon  <dtardon@redhat.com>  [75e0d614af1e358b21d3458cbfaaec74a923c319]

	hide impl. details


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e847c7eb38c319e1546a311ac0230ed5b09832fc]

	allow printing callgraph scores in RVNGRawDrawingGenerator


2013-11-05  osnola  <alonso@loria.fr>  [ac012c55406c0dcd15e0e0c6e87d9189d6d6e0a8]

	RVNGOLEStream: removes '^A, ^B, ...' in the returned list of stream's names + RVNGProperty improves a little the function findDouble...


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ccf18da198d83743d4c603a3d46090b16e8d2101]

	Add empty() to RVNGString


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0dc55a690bbfe1c83c34d1ce3254e9399c4614d1]

	Win32 linking


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bbd8f12e95a5f01f565627ac3553ae0a2a1e9c00]

	Forgot to add these ones


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01a8704549d566ce105b880c22194df9eaf16f30]

	Don't link librevenge-stream always


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9335b635ed17000c91e0efb361ac69f84f699f1c]

	Make the generator classes public and ditch factories


2013-11-04  David Tardon  <dtardon@redhat.com>  [fb2c62967c8d64bf1283effaaaa97818bfd5bac8]

	add presentation generators


2013-11-04  David Tardon  <dtardon@redhat.com>  [331b7abd20c260c56c9b07463eae6d5e60e80872]

	generators should produce output to a string vector


2013-11-04  David Tardon  <dtardon@redhat.com>  [025a80d5cfd6c4a549310c241a097da5769ed94f]

	add drawing generators


2013-11-04  David Tardon  <dtardon@redhat.com>  [07f5608287f7bf4d636ce91882c10b07adc4d864]

	generate docs from generator headers


2013-11-04  David Tardon  <dtardon@redhat.com>  [99ea79620a3097cceb4d99c014db5ae9f5e20c2e]

	put everything into namespace


2013-11-04  David Tardon  <dtardon@redhat.com>  [1d9703bc671152e79539e04d07f43e175a727775]

	add text generators


2013-11-04  David Tardon  <dtardon@redhat.com>  [8574b1c3580eef130407ab5a51e614466a93a8d1]

	create skeleton generator lib


2013-11-04  David Tardon  <dtardon@redhat.com>  [bfbfe3ac7088bd41bf3e1e864c448a91eb30be2b]

	normalize license headers and include guards


2013-11-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2658a3f388d1b33ee087b19ec7cf3723eb48b5cd]

	Remove dupe


2013-11-04  osnola  <alonso@loria.fr>  [a3347acdfbe96f9704bf66add69f90f82bcb54ca]

	Remove unused enum value...


2013-11-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b8a3dcbcde9913ed129e7795ea312b97cc706f92]

	Document the properties in right namespaces


2013-11-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a0a0191815bec82863b32d3b4fca8093a184e8a8]

	Build zip-stream inconditionally + fix some warnings


2013-11-04  osnola  <alonso@loria.fr>  [4f5c2c3ff4b55f8c71e139394e79cbda66559d33]

	Implement subStreamCount, ... in RVNGStreamImplementation + check in configure.ac if we can use zlib...


2013-11-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bab5509f3f1bb21690cdcbaed648b74dc6df524b]

	Consistency


2013-11-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d2bc04c6f981b527981b7311c1692c278413251d]

	Fixup


2013-11-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [550f685b86c6690242ffb37f76e4970041975e43]

	KEY -> RVNG


2013-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0f9a751f3919577861093e5fd5975403fb1ad702]

	Stub the new RVNGInputStream API


2013-11-02  osnola  <alonso@loria.fr>  [b147f68665441edafd625c2768ecb970e3c2e5ba]

	Correct some clang++ warnings...


2013-11-02  osnola  <alonso@loria.fr>  [9f00df09405b06a622cd621b279b84a27155ee74]

	Add a enum RVNG_UNIT_ERROR to indicate that no unit can be retrieved...


2013-11-02  osnola  <alonso@loria.fr>  [addf39d7135e26d5acd081cc1d428d35eef06be0]

	RVNGProperty: add a getUnit function (which returns WPX_GENERIC if unknown ) RVNGStringProperty: try to retrieve the int/double value when this is possible RVNGPresentationInterface: reformat with astyle


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [71212e231adc013bde49964efd39572407b7c7e8]

	Don't forget zlib includes


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bf69eba03e4b81cc8c72e21cc7d43e2a708b1ab0]

	Distcheck fix


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6bc811f1c6f36fb9cf8c9a590363dfaa81fadb93]

	Update Visual Studio files


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f4ed32c5e092680a27987e8f59db8164a0cab615]

	No def files here


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [03d0ac37b0d7b67f71c58dff0787af36b5786788]

	Adding RVNGPresentationInterface


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3aa4211f1372bff706e0446495ba2979b83e1854]

	Adding RVNGDrawingInterface


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [41dd7a0bb37513497eea5a157f1839ae3174b448]

	Adding the RVNGStringVector class


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [42fd7d23b1cb8b877c3b1875e5efb223311bbf41]

	More cleanup based on callcatcher


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc7a8e83b8b730a21dd1f668643e293f603c1b71]

	Even more cleanup


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1e440fcbcb78a29e76562bf5e87cbd927afe5a36]

	further cleanup


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [047402cf8502c76e0732b9e9a3a382a4c4b588d0]

	Fix distcheck


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a100cacd5f18e5de35da5acaacf965060002c10c]

	Slimming down


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ec7e01eddce1b844c8b1e1bba28e161ff5aa451f]

	Third pass of renaming


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2ca18e67810ee7cf736ab3b781e6d5faf2bd03e]

	Second pass of renaming


2013-11-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c03ce4b241926d1c0773d5d2b1878666e6403dc8]

	First pass of renaming


2013-10-23  David Tardon  <dtardon@redhat.com>  [8a7a205c10b5c72fcb8391d4f74681ff6f494148]

	cppcheck: avoid leak in case of exception


2013-08-30  laurent alonso  <alonso@saturne.loria.fr>  [135b4ab93f7e0c68d828f2309c8f758b35732d5f]

	Add some sanity checks: do not read after the string data if the string is not correct...


2013-08-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a4573800034721e14d6464bd74f0d2970c37a15]

	Stuff-up the NEWS


2013-08-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c760f2744dcc249bf39c318f26243bba07ff7897]

	Bump version


2013-07-26  David Tardon  <dtardon@redhat.com>  [f547e459dbb518370c1185882b906d58dd39dfbc]

	drop unused private attribute


2013-07-06  David Tardon  <dtardon@redhat.com>  [b73de15e1cc8486634709636a07b130be107f20d]

	coverity: uninitialized variable


2013-07-06  David Tardon  <dtardon@redhat.com>  [b91d47ee5475f5f0965a7936e6395600a46803c1]

	astyle


2013-07-06  David Tardon  <dtardon@redhat.com>  [198caca8231359526d8e9a927b123e6e6cabe3fc]

	coverity: check ret. value of stat


2013-06-14  Laurent Alonso  <laurent.alonso@inria.fr>  [56551719b9e0bca766427cbd8e97de0b7d0468c9]

	WPX_SEEK_END for memory input stream + Fixes


2013-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [909ad451758f8a8a2d7ba9502fc57820eb757c1e]

	Adapt the doxygen goodness to the new directory layout


2013-05-24  David Hislop  <david.hislop.1@gmail.com>  [4a3500e3628f238959114095b4fc2678e5c9d026]

	Metadata for wpd2html


2013-05-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bee6927a233f6fec1d9804e9376a9a36a53f01a8]

	Cleanup


2013-05-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3b99eee07d7cef4c2d1c2af98a5641fdfd50f3f]

	Appease older autotools


2013-05-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a0b19757df23875fe3c27e59154420a70a34fdb2]

	Adapt the VS2010 project files


2013-05-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ff18fe21626e0faa27b15cc1886acda48b05f926]

	Adapt the VS2008 project files


2013-05-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f6c9d73e4a44d9f06989533d647115e275d26c34]

	Be more explicit about what is unknown


2013-05-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [060f22506b04bfb0e4de4de7912a2504904d48d9]

	Adapt the MSVC6 project files


2013-05-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c5ca44b2c9289950e1f9e6fe45182afc6f3babb9]

	Keep this still buildable with older compilers


2013-05-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6eb8ca82e50618861e50cb7a5d40126b38ac4fe0]

	Little NEWS cleanup


2013-05-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c958c1b46c9578062c7376537744e920495798c3]

	Bring back the version stuff, but using config.h


2013-05-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6fe05ae3168c7808fdb2ea9594869097582a5619]

	Bump version


2013-05-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1216675b0d987c87a6f1fa3bdf834060f00f969f]

	Ignore more generously


2013-05-12  David Tardon  <dtardon@redhat.com>  [6da4fa5f2ed370d0565b25e6188c2bbe2e1990bd]

	avoid crash reading invalid OLE stream


2013-05-12  David Tardon  <dtardon@redhat.com>  [9aaa5f7fc05fd92932b9a9f9951429e35cf9b5b9]

	Weffc++: disable copying for impl. class

	The error message

	WPXPropertyList.cpp:198:7: error: 'class WPXMapIterImpl' has pointer data members [-Werror=effc++]
	WPXPropertyList.cpp:198:7: error:   but does not override 'WPXMapIterImpl(const WPXMapIterImpl&)' [-Werror=effc++]
	WPXPropertyList.cpp:198:7: error:   or 'operator=(const WPXMapIterImpl&)' [-Werror=effc++]

	is a red herring, because the class does not own the pointer. But it
	turns out it does not have to be copyable anyway.

2013-05-12  David Tardon  <dtardon@redhat.com>  [dcb1a29238c1c31c5775a0334df497dede6a0f9f]

	really allocate a new buffer


2013-05-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6bb5bbf2d064a75536b5fe76f28dffe8314aa445]

	Don't AC_SUBST flags here


2013-05-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7cfc4fea1c62ad1ebd79fa11b0703d647ba2eb15]

	First steps to make Michael Stahl happy


2013-05-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ea77f370cebe365434c3ac72943aa40da4a321d3]

	No NITI code remaining here


2013-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e051c12e7543baa5152bdb97a954aab625b6c1e0]

	Some sane defaults for the build


2013-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d31874cb57dc272bb93bfe81ca746f04e5f445e3]

	Ignore test-driver


2013-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f31904862e56494d61eb4e9883197830601d7c0c]

	Some distcheck errors


2013-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ef64cdc915329210d8fbecc4918aa2fc3074d984]

	bump version


2013-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [065a0d104ae7f11a6f25ff522c630509fe48b914]

	By agreement of all contributors, dual-licensing under MPL2+ and LGPL2.1+


2013-03-22  Laurent Alonso  <laurent.alonso@inria.fr>  [feb71a5af929d5f4fcc1633305e7bed5633101b7]

	Fix some clang warnings


2013-03-22  Laurent Alonso  <laurent.alonso@inria.fr>  [12884eb6ae62508f603a009ba93f0a34bdaf56ba]

	WPXOLEStream: OStorage class


2013-03-21  Laurent Alonso  <laurent.alonso@inria.fr>  [a1041174e8ffd5aba9df2541e38f03f968dfc35d]

	WPXOLEStream: prefix member variables


2013-03-21  Laurent Alonso  <laurent.alonso@inria.fr>  [e419839d0e296f3dde3bf86f974f443fb9fe62f0]

	WPXOLEStream: StreamIO -> IStream


2013-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9ccbe12231d8408fc8343800aa4d3519862369f4]

	astyle action


2013-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01f9defb2add8b3879f6e81e403e0d0130e6af71]

	Fix merge error


2013-03-21  Laurent Alonso  <laurent.alonso@inria.fr>  [edaacb88c853d6e1fd9bb8c9e3dfc51398011d11]

	WPXOLEStream: IOStorage -> IStorage


2013-03-21  Laurent Alonso  <laurent.alonso@inria.fr>  [6cb75b5c7e0044cc3460701f5c314bb95c8b1134]

	WPXOLEStream: Improvement of the DirTree class


2013-03-20  Laurent Alonso  <laurent.alonso@inria.fr>  [ce628e017f40e204ad8a625a090fc2490ffd30f5]

	WPXOLEStream: improvement of the DirEntry class


2013-03-20  Laurent Alonso  <laurent.alonso@inria.fr>  [71bb793bdde0370725e12e353fed3326355f5be6]

	WPXOLEStream: improvement of the AllocTable class


2013-03-20  Laurent Alonso  <laurent.alonso@inria.fr>  [66c5685164cb1b13e11d531beaccd1ee70ff404a]

	WPXOLEStream: improvement of the Header class


2013-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aaa2db38f0389ac7564789a2b8eb2353266a566c]

	Correct the logic


2013-01-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1a55f1535e1485375992488323f52825ace6460d]

	Fix build with newer autotools


2012-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d1abc0eecfa0b9f7647c3f57a3bc790521ae8f0b]

	unsigned signed comparison


2012-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fd1819fb89fd1cfe05de30140fb6984ba33c53df]

	A little thinko fix


2012-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9d51fe09f8639f5718a9509c0dc32eaa88f6f99]

	points -> inch


2012-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8cd7c1cf26f697ed94736b918fc115105a1f5efc]

	Fixing debug build


2012-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ab68d771c1bf526d3b999deed345ce6b95229c42]

	Some more clang warnings silenced


2012-10-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [109e2707c2978424b481ad29f19d1c55e5bb141b]

	Some little checks


2012-10-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4bf13072d394b99ab4837d86f89ffa500c0bc462]

	some more warnings removed


2012-10-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [65152b7510af5dba53ba602ed5473c96f8c47675]

	Pass colour by const reference


2012-10-14  Julien Nabet  <serval2412@yahoo.fr>  [7d9cafb0b11dfa4995975b6e1e1a887e1d231859]

	Some cppcheck cleaning


2012-10-14  Julien Nabet  <serval2412@yahoo.fr>  [7e208cbafd4a1f99801db2ffa9ad6b1c9b8da592]

	Prefer prefix ++/-- operators for non-primitive types


2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [94f6d1e1a9401c7777ddc31d5c6930b5eee362fd]

	Some more configurability about warnings


2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [807a5b7e5b03e86b33e4aacbe84b44fc2080ce7e]

	It seems some of the windows linking errors is due to wchar_t being treated as built-in type


2012-10-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5092ddac3bf5fa4eaaed54f3e3e2d8b05ad57652]

	Small change


2012-09-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7e8371ae6e63dfb8b2ff594a1b908aecdd7d4445]

	Actually propagate the BUILD_ZIP_STREAM to the build


2012-09-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3cebb2cea3cb8f0a3c6e559cca9f9c306980b2ca]

	Prepare for 0.9.6 release


2012-09-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6c7a5b32da3a5c7a1508ab7563a3bceda7affbe6]

	Link against DLL runtimes for VS2010 too


2012-09-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [583306533a5df71dfc5937c4a6476109ea27bdd8]

	Fix some obscurous windows linking errors in LO build


2012-09-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0e102b3912f1164773e8ef4acaa376d7a3b17eed]

	Link against the DLL and not static library


2012-09-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4515958a70920fca0bd60cea6e4cb026d39007a4]

	Revert an accidental change of ABI


2012-09-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5354dd01710dd5892375b0c3278760a2d94ba050]

	Circulez, rien à voir ici


2012-09-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [071c772469fef1bf392195f8c1ebd4f7757be32c]

	Build zip stream with autotools by default


2012-09-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d52cc9224b1fdb4a529f315513c597b2d4a9fdee]

	Remove if 0-ed code from the header for the while as not to confuse users


2012-09-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e1d036e4af28175efbbcddccbd11927755ebf8f3]

	Speed-up the ZIP operations on big files a bit


2012-09-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f52a94eb350f55bb9e434c98eb85d20a934d52a8]

	Revert "Since we added an element into an enum, change the libtool age and reset the revision"

	For the while, in the libraries that use the new enum value,
	if the shared library on the system is one that does not support it,
	the seek will fail, and the fallback solution will work still.

	This reverts commit 8d49613808c9d427d2b4f473b47676e2faf844e0.

2012-09-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8d49613808c9d427d2b4f473b47676e2faf844e0]

	Since we added an element into an enum, change the libtool age and reset the revision


2012-09-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [668fd6eb4bb074812cf428d907d9832d54fa1b3a]

	Add WPX_SEEK_END to the seek types


2012-09-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5b23b5d90d01c461948a113ee09d371f828e3418]

	Disable the WPXPropertyList::swap for the while and enable in 0.10.x


2012-09-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f00a9ef16237324fa91897f93cd7b3ce7349f29b]

	I really prefer unix line-ends if possible


2012-09-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9d32298fddbf2aa2813f53d587c58dc5852e9243]

	Remove a pointless warning and some unneeded property sheets


2012-09-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fc496654ec6eb054b80415d07a64828a69bbde4e]

	No point to have this executable


2012-09-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [62cc1f097f9c23d70ba6f3f494aaa7a1ca9ed51d]

	Add the WPXZipStream.{cpp,h} files, since they are guarded by a macro


2012-09-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9e2d8fe08b5efafca785dabce0c588d453b7308a]

	Some sanity improvements and typo fixing


2012-09-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8ddc3f81177cef2d65c0bcbffd1e77519f47b21b]

	Don't try to build WPXZipStream.cpp if disabled :)


2012-09-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [86580cbce2532d66255071971e7ebed1e48e50ba]

	Conditionalize zip stream


2012-09-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [131084db882e80851ec87f8909328c19dd46e795]

	Visual Studio 2010 does not know S_ISREG


2012-09-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2163b5a18ed96759cfbc28247817257d484712bf]

	Where heck did those \? come from ?


2012-09-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d12dd5c2e93e5f53cbc2ddbe5055100fff5b2b36]

	Bump version for eventual release


2012-09-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c8959f8fcc24dc6993f259fee5bf3c2d716f0e1]

	Adding Visual Studio 10 project files


2012-09-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [21076f966016ceda30c878f3a939c7579b9e35e9]

	Add the *.sln file and regenerate the GUIDs


2012-09-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [328c220a810f6452c8a1778d8c513219d47b57ed]

	Visual Studio 9.0 files


2012-09-10  Michael Stahl  <mstahl@redhat.com>  [fb3827aeb5de64ed84eb1140bae9e32e50ca5133]

	MSVC warning C4310: cast truncates constant value


2012-09-10  Stephan Bergmann  <sbergman@redhat.com>  [ca59d3ce82d1695e381255912ce1b60e826b2ca6]

	-Werror,-Wunused-private-field

	Originally fixed for LibreOffice as <http://cgit.freedesktop.org/libreoffice/
	core/commit/?id=dae6ac07d49e530fff93c4f2bf5df969f5c6a97d> "libwpd:
	-Werror,-Wunused-private-field."

2012-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cdae4a0b5d530834f40250f2afa31563014b7bca]

	Avoid warnings of autotools


2012-07-31  Laurent Alonso  <osnola@loria.fr>  [65dc23df08994088e5e07955cc54e0298254bcfb]

	Remove some warnings


2012-07-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [47f9860a9a7865b79c89c363d3e177c22f48343a]

	Appease automake 1.12


2012-07-01  David Tardon  <dtardon@redhat.com>  [cc5484db846a7945c73cb806fed2ebb6768b0100]

	coverity: avoid implicit sign-extension in cast


2012-07-01  David Tardon  <dtardon@redhat.com>  [c971b753a68754fa42976db2194d6742d08e465b]

	coverity: protect against self-assignment


2012-07-01  David Tardon  <dtardon@redhat.com>  [5e4a2b84252948d4526e36140e8ec32483f0fe78]

	coverity: memory leak


2012-07-01  David Tardon  <dtardon@redhat.com>  [bd98b8763aa72ee7cbd2b5b17f91ee85964a45e8]

	coverity: type qualifier is meaningless on cast type


2012-07-01  David Tardon  <dtardon@redhat.com>  [7f3ae2bffd005cc52715c615b946b601c2bb961b]

	coverity: guard against self-assignment


2012-07-01  David Tardon  <dtardon@redhat.com>  [7491bfc88d57622d6b3c046b2fa967d05c5150b7]

	coverity: remove superfluous copy ctor


2012-07-01  David Tardon  <dtardon@redhat.com>  [2ec2c53e393821fa9a1bab199081512b2f424c83]

	coverity: operator= should return not-const ref


2012-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [19b3b75880871e428019229852c47a5a4620fc44]

	Fix warnings about unused variables


2012-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [347db20e4df2eb35893fcccfe16f2384a937d1f3]

	Don't crash with empty buffer


2012-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7cafa11669a5f02fc6216257e1f9dcea83e61021]

	Warn a bit more and have it easier in LO


2012-05-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [38e7d3aa0feb23057e06ccc6d115fbf00a471295]

	Trying to silence some compilers with -Werror=unused-result


2012-04-29  laurent alonso  <alonso@loria.fr>  [2052c4c1b90c2e4d3a187f2b0747399aab9dd698]

	Miscellaneous bugfixes of stream implementations


2012-03-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0d5d8c6bbe3d6f06d7f4f9304817b1c21ca426a7]

	Remove unused function (patch Laurent Alonso)


2012-03-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a2ab8056704c7c7b2cb1300aeb3584428c981d54]

	Miscellaneous file/stream related crashes and valgrind errors (thanks to Laurent Alonso)


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [02cc316268c58e8dee369b7c745a3d32125f14da]

	Make valgrind happy


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2d3eac66e3843202b0dbbf0b1078523267e95105]

	A better belts and braces


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [21ac83f4ec5559914207f597028212af039809ce]

	Check for zlib only when it is really needed


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b9a68691d34d5b23b240770d3ee8d35f1c05ac16]

	Kidnap the WPXInputStream interface so that it can also open Zip documents


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90566f14e3bd25d1af35fc5dbdd318af3c31e771]

	More ole stream simplification


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7ffad3ce120e37c6c9256175727c10a0440f2a9e]

	More callcatcher


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7ce74979eef53d575ca433b525b6dff29cac5fd1]

	Belts and braces


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [12560d3cb0f5d998b6d73bb6c881ec815a775932]

	Further customization of the OLE stream implementation


2012-03-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [821ca6f84ada9592b5843c2ab15caeb15b5a9f0d]

	Listening to uncle callcatcher and obeying his advice


2012-03-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f4386da0c4eb62a7aaa162797dbab455e9aa8636]

	Pointless rewriting of the stream implementations to avoid over-excessive use of C++ file/string streams


2012-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [edfec31c5bfa7a10205e15cad6f3efc7768ad584]

	fix blending of colours


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7dd83ca7c7cb6139d79d21480c95e91116161d8d]

	Fix the buildnumber.sh script


2011-11-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1b20fdd6ca9d89297682073aa24991675bfe49c8]

	Bumping version and stuffing news for 0.9.4 release


2011-11-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [23299d0a3f9a80bdbc84d619b233339f6bc5cb42]

	Update doxygen.cfg file


2011-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d450782b73e39304923ea07322462c0fde7f5be5]

	Don't output points as integer


2011-10-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e2a65021613c9e94612ae09040df43add9e1fc66]

	Modelines also to files that will generate the c++ files


2011-10-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd892e0b0f6c0d922465f9605eb875003728aa1f]

	Add modelines and reformat to stick with coding style (astyle -b -k3 -y -n -t -r)


2011-10-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [74d0a23c1eab7b3632d3136d0213416d73aece48]

	Reformating code to comply with our coding style


2011-10-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9f317fa2b793328aa3d066259cf7cfe62ae95bc3]

	Add -Weffc++ option for GCC to avoid producing crappy code :)


2011-10-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [008e641ab7270a940f628e9ece0f977a6ca1d1da]

	Some warnings killed


2011-10-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dbe4bee4f65fa5c15dc6730b5c9d7815be7c8b48]

	Revert "Adding the *.mak files to see whether they can be useful"

	This reverts commit 1e7b834ee417c11bd057b74916e452c767fe3778.

2011-10-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1e7b834ee417c11bd057b74916e452c767fe3778]

	Adding the *.mak files to see whether they can be useful


2011-09-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [00204425782af2e47d4729745d780b19d0017fe5]

	Nobody uses autopackage anymore


2011-09-26  Laurent Alonso  <osnola@loria.fr>  [c382eae8a1326bb9c0e469ebd7582ec0bcf414ff]

	Increase the count of text boxes when one is opened


2011-09-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c01731df578d1b3776cd6dacfa9a309804017169]

	Some more braces and belts when we are at it


2011-09-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7a32d90b0d6cb6d816abf4f140376d6dcf2d8f71]

	Fix autotools Windows build


2011-09-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3b8a34d122138f471d6542c9188513d2ec06956a]

	Fix a typo in configure.ac


2011-09-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1c77ac8858d1ab0589d5d87e5987f2415474e6ca]

	Updating NEWS in view of a release


2011-09-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d3db55cf329a27173274352d4d1648d8cecbfdb9]

	Fix a warning


2011-09-01  Jan Holesovsky  <kendy@suse.cz>  [afc730320ab48a6d483e8abad010a43ecd0236cb]

	Fix windows gcc build of libwpd inside LibreOffice tree


2011-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2345614a0a4a52749ea20671c500c6107a9ece33]

	dos2unix


2011-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46150f7de6a8510478923a8d97252ff999ffc768]

	Give credits to scarabeus the way we do in libwpd


2011-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cdc1bf961df50503a4ff5f4c850384cab7fcd44c]

	Libwpd does not put copyright or license headers into build files; instead it runs distcheck after change of the build system to assure good quality of patches


2011-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0b03411459a66a44099df4ab1d26fe65e94dd58b]

	Bump version


2011-08-31  Tomas Chvatal  <tchvatal@suse.cz>  [8a7ecee3b86f95916b42b4eaf3c5d01b9b885e82]

	Update configure.ac on latest syntax from libvisio.

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-08-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [781a8c21906ae38a988fc7b980a92a3ef961c481]

	Fix some leaks due to slicing


2011-08-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [38b9ca5912adffede66368fa13cbf957e08e7b95]

	Invert the logic


2011-08-12  Tomas Chvatal  <tchvatal@suse.cz>  [bda0d36c2131b585ef89de83e41ebace43868439]

	Update the configure.ac to use new syntax

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>

2011-08-12  Tomas Chvatal  <tchvatal@suse.cz>  [b8f94b8f8716d19f407f69f67db460c09e5b3357]

	Rename configure.in to configure.ac

	Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>

2011-08-12  Tomas Chvatal  <tchvatal@suse.cz>  [61d297fc1237c9c49cf515c0309830684d4fbfa2]

	Cleanup the Makefile.am's


2011-08-05  Thomas Klausner  <wiz@danbala.tuwien.ac.at>  [78ff67a15b2736012521fc64139384ee986e757f]

	fix bug#13127: return null pointer instead of "false"


2011-08-05  Thomas Klausner  <wiz@danbala.tuwien.ac.at>  [31b8797f828ee2d7ae35defc66a8409daad7651f]

	fix bug#13128: logic AND is used instead of binary AND


2011-07-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0a778010f48e3d382758b0e6eb700fe184b5e449]

	Fix WPXPropertyList::operator= to copy and not merge two WPXPropertyLists


2011-07-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [75d83b9fac5f69b0c7c4007901905348b55b6c79]

	fix crash with WP 2.1 mac documents that don't have resource fork


2011-07-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1e697b48e9f5aee57a784d6b817b9cd1a3288457]

	Fix unsigned/signed + integer promotion issue


2011-06-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9a4d2cfb1ce0c92374fae902e2319a8380c316fe]

	Try to have all the integer of the same width


2011-06-10  Smokey Ardisson  <alqahira@ardisson.org>  [1c65c6ef8beef18dc1cb21b6a39761e8b47d2b25]

	revert lam-alif and fathatan


2011-06-10  Tor Lillqvist  <tml@iki.fi>  [875dd8d0ca4a8372476cc05750b53019706ddd0d]

	Android compilation fix


2011-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6bed7f11e525564129c5907a2c8c1fd9e1ff1e77]

	Avoid timestamps in build


2011-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1d4e477795c7bd2676627ab3619a84d69fd819b0]

	A whitespace change


2011-05-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b97d0c2cd45a9bcb25d41b00e88ea54ccfaa8b19]

	Starting to implement columns in WP4 file format


2011-05-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [444cec0ebebfee8f13bd79132ccc1b7725cf4174]

	Handling WP42 extended characters


2011-05-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [82b8bcc25ef91ea11c00af38b9fcdfa270013963]

	Revert "0xE1 looks like having variable length"

	It looks like breaking more then it is solving. So, stick with the
	documentation and for this one and consider all other status as
	corrupted.

	This reverts commit 21e24df552a7ad0a4b37e1a70c2d3650efb1a9e2.

2011-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7db3dcc7ac0ad47c8049f22d94e5926fc47360c6]

	simplify the complex table searching a bit


2011-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c518f5b7906356682bf9b947d76c16b3f4fff011]

	Preparing 0.9.2 release


2011-05-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c0207708fcb698d895eea4e5cdeaf78ea1872ae1]

	Some more character conversion fixes


2011-04-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [110c5f239f3e1f38f528dd70765dbe31e02bf2bb]

	some more character conversion fixups


2011-04-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b4ea57439aec55007e80343d67daebb6926b7f25]

	Restore association of WP character 4,72 to Euro sign \It is more likely to find this one then the circled U in a real-life documents


2011-04-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [126987f2dd91c865e956df403b98f8779525e79f]

	remove some dupplicate identical charset mappings


2011-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7541b7c5a86fed92058e6bba9ae5665998f9463d]

	allowing composed characters in WP5 cyrillic


2011-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [24157e9ed1007e6e1ef3ff7d423f4ac1eafc0eba]

	Prepare to use more then 1 char as mapping


2011-04-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b34262f57b56e014c6fa6895db474931c27e9ab2]

	More work on UCS4 support


2011-04-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [26b1cc64d98c21c427fd8bdfc33290b3ba467647]

	Use internally UCS4 instead of UCS4


2011-04-24  Edward Mendelson  <em36@columbia.edu>  [c015a9f3a906b2810c81f40520cc93df9c5013e5]

	Fix some character conversions


2011-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d53a5fd5d4e24d0a3ecd6fee55368cdbebd63042]

	macintosh -> macRoman


2011-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [64eaa0619a1b6084cc4591103791a2e85c7fdec5]

	Fixing and extending the WP5 hebrew charset


2011-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f480677898e59c3662e41e187610c193649126d4]

	Fix reading of non-ascii font names in WP3 parser


2011-04-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [09ffb387fbccc0c2eb1b5a337cfb626b9b84d060]

	Add WPD_NUM_ELEMENTS macro to count number of elements of static arrays

	No point to keep sizes in the WP?FileStructure.h files.
	The new approach is less buggy, although works only with arrays allocated on stack

2011-04-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [538218f1a802f95cf528a26e6984c256d084176b]

	Fixing some mistakes in latin script


2011-04-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d142ae8e61df101700a79741a2968db32c5d63ad]

	Try to support Arabic in WP5 parser


2011-04-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eacee76ad192fef95ab087a500f19eb3964ac92d]

	Fix Mac OSX instructions


2011-04-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1814c4270a1fe13c6ff569985b62349d1707b6dd]

	Try to handle the CJK part of WorldScript


2011-04-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [74e24fab9a16694dfd6506c115315c7262e42ed2]

	Fix the MSVC6 project files too


2011-04-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [72d22e4dd4420d43b41645b7ec09e17da0b01eac]

	Fix a comment to correspond to reality


2011-04-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fd610cabe2bd24c0c9620d24fab5908b07899b2c]

	Mac uses Big Endian, stupid :)


2011-04-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [91996f1ad239e2ce943237f035443616fc58256f]

	Fixing the LibreOffice makefile.mk


2011-04-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e0f7bf647ca5fa1803063e62c8a0929285bb930c]

	First attempt on getting the double byte script characters


2011-04-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e88ff33bc7105f2f61510b7c7ecf1b3cce264857]

	Try to handle graciously corrupted prefix data packets


2011-02-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9f6b9ba08bd17d2cb2832ba9433e7dd2c646f42e]

	Try to silence unreachable-code warning


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [e8b83a1a39e0bb743471fc2a0f0255936c20a93e]

	Fix build with gcc 4.6.0


2011-01-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c44316c328d2d1a659c054befeec138950a7680b]

	Bump Version after release


2011-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cbff7a10b5b6640d39b1df66cf4a29e82a56e07e]

	Adopt NEWS for 0.9.1 release


2011-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [13084077ae0137b1b491f369676e692cb27b4f8e]

	Fine-tune the extraction of Pict images in WP1 parser


2011-01-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4b9179cf7d6ad045b96c720fa5cdb3fdfe11b490]

	Fix attribute handling in all parsers


2011-01-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ea19e4f852d54732a667c3ec5c435ef4664a1564]

	Fix attribute handling in WP3 parser

	Attribute Off should reset the corresponding attribute, and not to flip it

2011-01-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [224fdf1f7fee621909b4a4e6488b872770fca3b4]

	Some more work on reverse-engineering the WP1 pictures


2011-01-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b03535ac9db274448fdf9c4a9c1b422df9f82501]

	Some more WP1 images support \Trying to reverse engineer from files that contain some of those pictures


2011-01-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [80b80792fc431d8093de75bf1387705ba4deefe3]

	0xCA looks like having size 4


2011-01-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [21e24df552a7ad0a4b37e1a70c2d3650efb1a9e2]

	0xE1 looks like having variable length


2010-12-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7d080e31f077b3232ae1d71176c864af65f3f618]

	Fix parsing of WP2 documents without resource fork


2010-11-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [066460fdee01e427f3b5639e649eefa4976629b5]

	Bump version after release


2010-11-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [504aba6dda43fd231525c82473c06a8886eb88bb]

	Don't install the doc files with make install. Packagers do it in their spec/dsc files.


2010-11-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [274940d624f7f2e4ebb7dae7ea866d089e9a0c49]

	Generate ChangeLog at make dist time out of git log and move CHANGES to NEWS


2010-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1506f3bcbbf13d6b9fcb228b99a7d0d9067f19c4]

	fix windows build


2010-11-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9cb55720d21f2bd7b2ef426c8c51bc0ee069d9e4]

	Fix OOo/LibO makefile.mk


2010-11-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e1b602e493182a8a58e74f07dab517fe66352ff0]

	Fix some "unused variable" warnings


2010-11-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a544eb8566df7c92f9316e3a35527485b1cbe197]

	Fix distcheck errors


2010-11-01  William Lachance  <wrlach@gmail.com>  [2713c5cd1c58a2d5e9990a122473dc5b8f2e682e]

	Preliminary implementation of an insertSpace function

	Many types of documents ignore long strings of whitespace. To help them
	deal with this, add an insertSpace function, called after the first
	instance of whitespace.

2010-10-23  William Lachance  <wrlach@gmail.com>  [fd455ba9efa0df0427c6932a293c5b9e22317410]

	Fix bug with insert of simulated header/footers for page numbering

	We weren't properly keeping track of when we did have an actual header/footer
	to insert the page number into, so were getting double headers/footers.

2010-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [08571bf526a0865515ae779151fb28dffb4ec639]

	Remove a piece of stale code that is currently noop


2010-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9d8b8bb46669f07cd405e755103b09bd6ef0cbd7]

	Don't use float, but double in libwpd


2010-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [38e6ada2429b0a48eaa95b481acc47aee545fd17]

	Make the printout of insertField consistent with the rest


2010-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [35a6d6c4ace95d367362b64630fda2357ebb8520]

	Simplify a bit the WPXString class


2010-10-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a8563d6169fb2f4fccec50ef7c0480db1cd76184]

	Make valgrind happy by initializing variables


2010-08-23  William Lachance  <wrlach@gmail.com>  [a84425735ee8a718a1ba522cf84b61cf0bf0a7fa]

	Page numbering type support


2010-08-15  William Lachance  <wrlach@gmail.com>  [c6435100d9dd9e5a59099fcf1c810f6569a8889b]

	Page numbering field improvements

	Can now insert page number fields in the middle of the document, as well as total # of
	pages. The document interface for insertPageNumber has been changed back to the more
	generic insertField (now with a parameter to indicate the field type).

2010-08-02  William Lachance  <wrlach@gmail.com>  [8dce449f4d22e0a4f83b45c8fabe5a7e15909de6]

	Support for page numbers with custom font faces + sizes


2010-07-21  William Lachance  <wrlach@gmail.com>  [18cd6535f65a0711fc78822ebb9fbce4b5933561]

	Fix some minor problems with the list numbering stuff

	Don't try to set list numbers inside subdocuments, correctly calculate the # of
	pages in the document

2010-07-21  William Lachance  <wrlach@gmail.com>  [b2991eb70ed6bd4a210f541f4026ec4617fdaa2b]

	Merge branch 'master' of ssh://libwpd.git.sourceforge.net/gitroot/libwpd/libwpd


2010-07-21  William Lachance  <wrlach@gmail.com>  [376b445404a22a6211e77a10cafa828c7b437123]

	Support different types of page numbering styles (italics, numerals, etc.)


2010-07-21  William Lachance  <wrlach@gmail.com>  [835274ea5e88b47381819606c26deb458127f3cf]

	Remove accidental printf


2010-07-21  William Lachance  <wrlach@gmail.com>  [300dc3d4fb13edf0c62cc0224ae15a1fef057d5e]

	A few minor .gitignore updates


2010-07-21  William Lachance  <wrlach@gmail.com>  [a1f1d0380803a03776c0f4ad6943cfefac13995a]

	Basic support for resetting page number


2010-07-19  William Lachance  <wrlach@gmail.com>  [b47fd18763f29bc253579c4a804a714ed1e18f67]

	Enable suppression of page numbering, where needed


2010-07-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4b6467ca0f6e6b4ec59d908a55b864752a8b362c]

	Fixes for WPXOleStrem from pole 0.4 (patch Laurent Alonso)


2010-07-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [66b0e0b04911dfbea446992e2a16451dcb763810]

	Fixes for WPXOleStrem from pole 0.4 (patch Laurent Alonso)


2010-07-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c4777e8b3f96169cf5675082e2caa315588bc1f7]

	Fix debug build (patch Laurent Alonso)


2010-07-13  William Lachance  <wrlach@gmail.com>  [2738e661e89cfe4ea142a7c5098b85eae15ab53f]

	Basic page numbering support

	We add in a page numbering to the header/footer (as appropriate given the kind
	of page numbering in use). Lots of edge cases not yet covered, but this
	is a good start.

2010-07-08  William Lachance  <wrlach@gmail.com>  [3250f027cf3fedf72770655ba105e5226f8ca595]

	Transition .cvsignore to .gitignore


2010-06-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6e2e2ad3c15b6f40241fa95a74283479ffd243f0]

	add callback for inserting fields into target document


2010-06-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a718cfb34d07b208655bd560937ec843f5598e3b]

	and also try to get it right


2010-06-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [63781e57b22f35b0b254aeef0217377b7175fe95]

	Adding some defines to make William's work easier :)


2010-06-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0bacfbb3e035174308cb7dd87acfca320dda3912]

	Fix greek charset in WP5 (patch Johannes Poehlmann)


2010-06-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d4022e21f4412b87215ba014e4e5c1ca7f47783e]

	clear all messes of printing errors to stdout


2010-06-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [70c33b84d2443434e7aa5c23f86188ac040d0709]

	write error messages to strderr


2010-06-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e6f7fb5f629eb33e600dbfb62a82f52ae4e18a57]

	Making the _readFontName private member function and making getFontName return const reference to the WPXString


2010-06-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [788b40e401bd8b9dec767e9a8828633dfd55d2d5]

	better way to parse the font information


2010-06-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [33b67abfcc3aacd4ba25a45b168bf66aba423b80]

	Try to map Dingbats too and fix a regression in FontFace change function


2010-06-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [54f236cb0e40f31575e80cb150ee5def7ebc9270]

	Map the noncompliant 'Symbol' font glyphs to their corresponding Unicode glyphs


2010-06-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a5daaee982593d01e89e24cd9b50d9ec17c281b4]

	Save some curly brackets


2010-06-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a41d020b6a8f2e338d042cb7c3ac993bed46e689]

	use the deletable information only if the fontPID is 0, not if the Font Descriptor Packet is corrupted


2010-06-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [aab324e4817c453fbbe3345970b2167e89df8f8a]

	Avoid computing value for WPX_SEEK_CUR if one can do a more simple WPX_SEEK_SET


2010-06-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [440778625008c1a51f8e5f63020ddba3c2f4cabc]

	Try to use deletable font information if the prefix packet is not present


2010-06-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8e44df1bc064c04b1f03a8f4e0280fcc58e737be]

	fix external subdocuments parsing


2010-06-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fa68ac9843448d43419a8965cf9d58f27b788356]

	Don't add WPG1 header if the binary already has any WP header


2010-06-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [24c2bf257f433f7f1e8b876aadec6476c6e6f28e]

	fixing some distcheck errors


2010-06-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d7684a89b08504148148ca980e6c497ace73dcec]

	Add noop callbacks that allow us later to start to support named styles


2010-06-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [56ef6d216f2b911f145cdc603791d654cc1f3d93]

	Implement WPXDoubleProperty as a non-abstract base type to hold generic floating point values


2010-06-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1c65ffcbeabb6b1701c2b06fe60fcf39564adbeb]

	Adding a NOOP callback for a future posibility of adding an equation in mathml or latex of whatever style


2010-05-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [97d3e7d7f20d940bdf67a3009013ba2f48f4e8ca]

	Prevent a null pointer crash when graphics data points to emty object


2009-09-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a7ada118e053790546f5fd1feedc208d01a0b58d]

	No need to work around anymore, a CVS version of DJGPP is compiling std::cout << correctly


2009-09-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8ea43255d4bc6af557e6946bc56539a498642b42]

	removing workarounds for bugs fixed in the djgpp 2.04 beta


2009-09-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [42241a61b5bfa742c33692fca89f58feaaf2c28c]

	Working around a crash in std::cout << on DOS


2009-09-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [251c6e285dec866769bdc097d9f7b1e8d7a3b553]

	Avoid Unnormal as output for WPXDoubleProperty:getStr()


2009-09-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a9985212e7ef95399a23d17433688035e8e20360]

	allow compiling of libwpd and related tools for MS DOS using the djgpp tools


2008-12-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [75ceea6f33b4add5b0890e096c2398268e82e4a0]

	replacing size_t with unsigned long, so that the names are mangled the same way on x86 and x86_64 + update the def files


2008-12-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [07b0a546592b4139d49f16104aae80be177ae826]

	allow building also when builddir is *not* srcdir


2008-12-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [72649e870cb1083d37045557ad57d6264bacc787]

	make the operator= in WPXPropertyListVector return reference instead of const reference + remove obsolete stuff


2008-12-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [235e7ab1bf848ee09cd3e69f8de6d4446c70105e]

	making the operator== const function + adding inline operators\!=


2008-12-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [48872e617441f7f89c1d7a8bc5306d5961b0bfda]

	all float -> double (it does not take so much more space and saves big deal of precision)


2008-12-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7de0682d41fb9130ef420ad42686d14ee178f446]

	some little change


2008-12-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c839a35922331bd82c6c4b3d99c896e9a86a50e3]

	use double instead of float in WPXProperty* stuff


2008-12-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1818b32889638aecc6814871ddfb55d4aa8eb83d]

	adding an WPXPropertyListVector::operator= + making wpd2html a little bit more useful


2008-11-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3d79f6ebdfb49fc73786a4c18459e66fac5e1805]

	extend WPXPropertyListVector API allowing to append an WPXPropertyListVector


2008-11-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a46c164e1cb90757f2a9a017d5d6005c29c43990]

	reverting an accidental version change


2008-11-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [726449218f13f58f14579fc93272e43667f50a5f]

	fix the -export-symbols option + remove public visibility of WPXEncryption pointer


2008-11-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b577032e971a14586529ad6e4997daaff4ce51dd]

	On Win32 (MinGW) allow using def files to limit exported symbols to the ones that are actually part of the API (this allow having a bit smaller Dlls, but it is not very well tested and one can have some symbols unavailable) -- use only if you are ready to file bugs with symbols that are not accessible


2008-11-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f166dfe3448257af34289bd7c4b82a59e17d6ec0]

	adding def files allowing export only symbols that we want to be public + avoid including libwpd.h in libwpd files


2008-11-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [18be392abe9265fcd46411e6752b3c33acd8c357]

	make test compile


2008-11-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3248c640ba8a1d4307bab3568f518d02066a01ca]

	more work on frame positions in WP3 parser and start to work on the same in WP5 parser


2008-11-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2b8026b4e33af59971def11570c3b72b4bb704ff]

	more work on position of paragraph anchored boxes


2008-11-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [beda7a7ba40b5025f895ed9eff4c8c971fc3c82e]

	some more information about wp3 frames handled + make the data returned by WPXInputStream::read be a pointer to unsigned string


2008-11-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [33d8bf0e9ec5314b6ac6c50302d7f462c4c6692f]

	parameter name _object_ looks like having problem with csharp bindings


2008-10-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7f19a4fd021034888f97ae3387eead54a6a57eb8]

	fix a bug in missing classname that causes libwpd-java bindings not to link correctly on win32


2008-10-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f434a9f85ad4a6b1042ff5931cb29c1bc4cde4aa]

	passing WPXBinaryData as const ref


2008-10-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b9e6a1e1667fb5553c1fc6a75cdc542f9e5b58e4]

	more work on text boxes + some removing of 'const' where not needed


2008-10-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0184106f20c7a2b9bbef92ef40aae3e3210c4ac8]

	actually parsing the text box content and displaying it (kind of)


2008-10-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6a804ce81bad21bf9ddb70c7f992522f31843f54]

	trying to work on text boxes


2008-10-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [23788e1148f291b7a840baad9999884a22ddd920]

	some more parameters for the callbacks so that we can get right the anchoring and the positions


2008-10-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1cca55f4788099c92a51833dd708617a9492c041]

	use a replacement PICT objects for graphics in undocumented WP SOFT format


2008-10-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [817dc4e733e2f90656d8ed57f049d1bac7292522]

	oops, not this one


2008-10-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b28ee3e63c9504eb2c5a4627735c0b976c43ef48]

	some of the WP3 pictures actually appear now


2008-10-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [bc9a1be4ed069ac39325fe5cab94c2292941c8f0]

	some more work towards parsing picture information in WP3 parser


2008-10-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0d0acd02044a7a5846be8b332b0100f71f10d4fa]

	it looks like we are able to parse some resources in encrypted zone too


2008-10-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f3d3dfe04e65c8284376a84ce2a62d7fd1a09d60]

	some more work on mac resource fork + setting framework for the box information parsing


2008-10-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b18200635d610bed77ffd4835d2d2558ae7e3f51]

	working on the mac WP3 resource fork


2008-10-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3e6a04ba47fbebf40ece77d969553e2a3484a4f3]

	fix win32 msvc build (some const/non const missmatch)


2008-10-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [866504576197d09f2b82c08fe7809d0b33053395]

	initial support of graphics in WP5 documents


2008-08-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [56516a8931221cbb6d34f594d5eb6183af18501a]

	update the OOo makefile.mk with the additional source file


2008-08-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c5de3bc218f2c5330b96628d0bb82f8fd17fe2ee]

	fix WPXBinaryData::append methods + little graphic improvement of the documentation + remove superfluous const qualifications on function arguments in WP1*Listener classes + reverse engineer the handling of embedded PICT files in WP1 documents


2008-07-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ea37351e83553b9701371c3b89ed75f5f6b0dee5]

	some anonymous namespaces here and there


2008-07-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6303008d4dad2381da9af4e6c96999e5685e5de8]

	include version information in the wpd2foo tools


2008-07-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [aafb08cd2616fcff16727aa47593367d7b7ea819]

	make libwpd-stream.h and libwpd.h generated headers so that we can add there some version information


2008-07-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [51aa5712c8561e5c1e12f8191991ff3e270b2b7b]

	src/lib/libwpd.h.in


2008-07-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [74744d3f3a4f14b8917b7db91e6a9e93a60fd6dc]

	a little fix in the spec file so that the docs get packaged2


2008-07-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7ab4ba80cecdfa417c663a569bf9419edc043123]

	and don't crash even with WP5 files


2008-07-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ab210146d0a4f371883590a2c8e1654c1d0b625e]

	when dumping embedded images, don't crash when the filesystem of the current directory is read-only for the given user


2008-07-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [595bd16d0b7c1a2cbacd3f5c3b17432573390105]

	column-break in one-column section is a page-break, WordPerfect dixit


2008-05-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1ddeb0223f2c7879bc8a9c5fc93f3d44b962cce4]

	prevent crashes due to incertain life time of iterator objects on mac os x (patch patrick luby)


2008-04-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a4e410bebaadd028442101067847350c217106a4]

	some more fixes of errors discovered by sum1's scripts


2008-04-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a19c1897b310f03af9c21dc9ceabde6507979f8c]

	some fixes for the typedetection of WP1 and WP42 encrypted documents


2008-04-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b52109207e9738b61ff45b06a4a7f0c7573039e0]

	more gcc 4.3 stuff


2008-04-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ac83339c68d64c5ac96a337ec8f2d243dd915a75]

	fix for gcc 4.3 build


2008-04-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fe098fcfa581c70883b60286b387beb14c02c87b]

	Allow specifying the docdir and don't install documentation as executables (patch Michal Marek mmarek@suse.cz)


2008-04-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f5dc4f4636643e1997eb83da7951473efc31d869]

	add WPXEncryption.obj to files built inside OOo build environment


2008-03-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [060bb41c127a89c7c84cdfa4b82e8b02a8c67aba]

	fix a hang (thanks sum1)


2008-03-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1f945b75c93ac9bb65a8e6a8acc53dc382876f72]

	more belts and braces not to crash with badly broken documents


2008-01-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [53449d851a6b7334a3534c084659d017eddb9091]

	fix another loop


2008-01-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5c4dc60c9cc6762ea1146bdb9b08d3b898ddc522]

	fix an infinite loop with a specially corrupted document


2008-01-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7c569f376e1b809b8955666b1072bc6d8ae5a768]

	fixing some warnings


2007-12-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2c7c89022332aa7463bc5a838fd0ef53431060ee]

	fix some validity errors found by Sum1


2007-12-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a6509140e862f0c7bc99eb29701042ade19bc4b9]

	throw rather then producing a complete parse with non-zero callgraph result


2007-12-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [abb8afbd9be6acbb1ed47933be2dc619e0f78975]

	some more crashes gone


2007-12-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ae99305f3323776cc5b335685c48a417cf0a7b1e]

	fix an uninitialized charset array crash (patch Kumar Khan)


2007-12-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [bffc31307b3ebb824270bf55dcbe43c682cdd7b9]

	remove some null pointer crashes + let wpd2raw --callgraph return -1 if no callback was called


2007-12-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7c704332a0e94b72b7c3d6ebe5497a9308c1d459]

	properly handle the positioned objects


2007-12-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [769202826c7f0f31912481514e66ee65df91e7fd]

	trying to get the state right when parsing subdocuments corresponding to positioned objects


2007-12-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b04de2c2c639a8369dbaca5272780a188384f2e3]

	no hard page breaks in subdocuments


2007-12-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c75dd066d17563537edefc062a70ed15e29d0f31]

	when inserting a text box, assume that the openFrame already cleared the space and do not try to be overkeen and mess-up the callgraph


2007-12-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [75f42692a6fbb2b9164e6c87f9c8f245477b7cdc]

	fix a case where a footnote is inserted in a table and the footnote itself contains a table


2007-12-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [be21cf4e4325f84f52a46ae3c75b603984a27bdf]

	trying to work around some hideous bug in libstdc++


2007-12-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b82402d8508ff50ce212ec6fbb70eef36b2b80c6]

	some more steps towards a text-fragment conversion


2007-12-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e748e8b2abe2d2f0673923813e69dc717b0182aa]

	preparing an api to use libwpd to parse wpd document fragments (line text inside wpg images for instance)


2007-11-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e8ed8b9d7fdb0421423f51108048bea17b6178b9]

	fixing an unfortunate snafus discovered by wonderful eyes of sum1 :-)


2007-11-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [20daeabb8aedb814830d59c22f5b855b88ca18c5]

	add an API to verify password and use it


2007-11-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1013cef21ea89fa4d1117686214d467f2ccff002]

	a text column definition should open page span + fix some margin related goodies in WP3


2007-11-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [db47e8479acee830ba30bff7d0e90ae8a357b84d]

	small modification: the typedetection should be independent of an existence or not of a password


2007-11-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [84278aa7bc87b4b009b758d5f11d0f893ced2ead]

	some more changes in return values


2007-11-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [49f91da79d547081a5471897cea9071e22f42bc0]

	let the typedetection return useful information


2007-11-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8695f480e43b203ac3a45e5678cf555e9af854c9]

	addapt the unit tests to the new parameter of the readUXY(...) functions, add possibility to pass the password as --password=something + update the doxygen documentation + make getCheckSum function a const member of WPXEncryption


2007-11-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f6aefa8a789e1af4b08a238fa75e26caf237b774]

	little fixed + implement '--password <password>' option for the command-line tools


2007-11-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3d4af6d5bfcf5672f9335e66b010e449bc00161c]

	adding these ones will even help us to manage to build the beast


2007-11-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [aa35147108ba3a5e5879be03689cdeb9ab094be3]

	enable conversion of password protected documents that we know how to decrypt (WP1, WP3, WP42 and WP5)


2007-11-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d0517ece6b07b9186644b570328a2357f2f2e77d]

	fix a problem with horizontal position of boxes + a fix for margin inaccuracies in swapping sections


2007-11-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [39ae11d18edc3bd448d940215549a2d8c3f3c8d9]

	a little insignificant formating change


2007-11-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8e00a868a1bda278975c3a97789e4bbeee45badf]

	fix a problem with breaks due to an unreachable statement and fix some warnings with the Intel compiler


2007-10-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1815af55842a8eb63c98da0954494c7b66896fcd]

	not need of signed and unsigned char reading functions. Casting does the job and sun studio compiler is not protesting happy


2007-10-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [866e6ba55ed4d187a02e201e17cebf0ba4c0d807]

	If the file or buffer is bad, exit the detection of it being an OLE stream


2007-10-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a213fa44fa85865b49b90de2e9eb3d3d255bdbe4]

	install the stream headers in different directory


2007-10-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [93fdf305fd80cb8e16495b2e4b7e0f2599c24022]

	make the stream header part of the libwpg-stream library


2007-10-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8096cb9f3dfbd254f004ed67136ee60b6546f991]

	fix build with msvc


2007-10-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [de763dafd3d585243446db51a043c8b57e772442]

	libwpd_types.h does not need to be installed anymore


2007-10-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8c3c7924b2625b06dfeae3bb6141cefa476d5671]

	removing some unnecessary use of uint8_t in favour of unsigned char


2007-10-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2e6e25277f86999cc71a829a6f0eb7c82ec319df]

	attempt to compute the scaled box size for applications that do not support relative sizes


2007-10-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [47a3b867dc680ff320b35cc3d038634cb20abac9]

	some redundant member variable to increase my commit number :-)


2007-10-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [04337307e7f625fc10815f74942525f87492d21d]

	ugly workaround to remediate OO.o's wrong implementation of ODF specifications


2007-10-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6e31c3b17fb205e150328ff0375a8dc65938055c]

	trying to position the frames with positioned objects correctly


2007-10-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [bdb2cd4b4d4066efbb007222188f013d126b0b6e]

	some little fixes of the debug build + get now the size of the frame :-)


2007-10-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c30effe6550a94301842deface092739997b3867]

	more box info parsing


2007-10-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [00903f7fa128a9ce50774749b1ef85f99467f18a]

	remove an abuse of pointers + parse the right packets depending on the type of content in the box


2007-10-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a981482ebe3b5889f02cb3403644e6bd76901b91]

	initial ability to _read_ and _understand_ the box position and size and anchoring information in different parts of the document Now, only to be able to use what we know :-)


2007-10-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [faadc565207eb35cb255da202e6c6ba930f2a11d]

	let's go with 64k to make uwog happy


2007-10-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f4f5f03082aa900a94917578ec02dc9cd4e4776f]

	increase the buffer for the cached reads


2007-10-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [60666e29500053348fa241fb914f00126914ea58]

	try to minimize the number of reads even more


2007-10-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1a240cf65db2c0832218b0b70a4a4b45d7222b25]

	the readahead was backported to 0.8.x series


2007-10-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e5a50d283da79eeda2d1f680b25171070eb7038d]

	working around a random badbit set when using the buffered input (problem with some stl implementations)


2007-10-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [bb1828f1355f91b023e0ef3cc4584104ea42f83c]

	Changes in CHANGES


2007-10-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [81b6f237983f317a2a7412fc1e121834498713c4]

	finally the readahead works and our c++ stream implementation is fast as the gsf one :-P <--- uwog


2007-10-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6f2e397a96f18b86bf2bdf30afd91b2970ebfdd2]

	fix the usual problems with tables in subdocuments


2007-10-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [386deb19147c72ed765dce8e77aab2ab700f7ab3]

	removing a warning


2007-10-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1dd4978c0b6e9927c3c1eed9c8cfc39f43d93605]

	initial and thus lame support of text boxes in libwpd


2007-10-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e88076a8c6e52404890e2bb336b4193d20987c26]

	first part of the box-style information parser


2007-10-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [dc6e10acc4456ad40a2ce30d1cf35f33521607c7]

	removing of partialContent considerations in type detection + change of some class names and variables


2007-10-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f93ea58f820fd5990abca512d9837b394a11a35f]

	adding my distinguished employer to credits


2007-10-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e635b4efec6925bbec9270e3faf51c847dc33441]

	make the description in the pc file acurate


2007-10-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7a157f056e790bb4f50af249c156cfa26e3a8ef2]

	adding some files into the OOo makefile.mk


2007-10-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3c38df4e4d285f004319cbf5e5a81cbe3378edf6]

	removing a full-stop and adding useful BuildRequires


2007-10-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d76c8a601a4fae89ec123790bd83425a7505a278]

	stuff the changelog together with changes from stable branch


2007-10-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [912e1c8f3c0f83d969cba355dc2c113bbc7e46da]

	some more elaborate tabs handling in WP5 parser


2007-10-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c27e8524b0fa411f0ca2720e33ab4986baa5ff31]

	basic conversion of tabs (very rudimental) in WP5 parser


2007-10-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f935c081262f1844741d8b762f54a08cbf026a73]

	add style:leader-style property


2007-10-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a3b0ba07f24de293b8c31e9c657a17c1ee540ff9]

	setting framework for conversion of tabs and indents in WP5 parser


2007-10-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ef67bc47e27e48bfe9bcf6363b9613c745b46edb]

	conversion of tabset for WP 5.x


2007-10-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [162157ebc53b9581ca2e41ffe05c0359fd1d2fef]

	sometimes, libtoolize is called glibtoolize


2007-09-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [611e0981211ae5dbe4fd90c4c908fbac39355efc]

	unnecessary dependency between libwpd and libwpdstream for msvc project files


2007-09-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [bb6a9cb032eb8a79465b2cd83a2eda362cd31aff]

	fix build with msvc


2007-09-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [620353a2ce4e18e2b54ed7b551d8ba902a697944]

	some more fixes for the tabs in WP3


2007-09-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4d35eaff53fe05b6c9a04c9c13f5f2cb743e383a]

	some more work on tabs + more mac font mapping (thanks, Lord Figuiere)


2007-09-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9e0e25647866e829f925f4c1937138f33703fa0b]

	insert tab only if already para opened


2007-09-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d1d4ce0d5e0db268349de07f2be03339f88431dc]

	initial handling of tabulators and indents in WP3


2007-09-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [01c9e1730745382d1bd16638f774b69f1718a64e]

	A little fix for Zapf Dingbats + starting some tabs


2007-09-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9fdffeb4999c1b84e9bbc4510470c4c9f463558b]

	simple conversion from mac font id to font-name for the most used Mac fonts


2007-09-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1a91c72ac6d100588b08dac3f68f7173c5235a66]

	removing an unused variable


2007-09-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [efa1e8be8c9e8181a0d2a94c49da9e8aaf36c795]

	fix build with gcc 4.2.x


2007-09-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1ca8c4c3355a0d1475ab0fa2c3ba9f654a1cb21a]

	allow building of docs on win32 if expressely asked


2007-09-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d13740f5f38a76f48d5d506f748155744262fb3b]

	s/.libs/@WPD_OBJDIR@/


2007-09-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1225c16fa17817c6089d984b265601c832abeb6e]

	small changes in packaging and in link order in tests


2007-09-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1497355495a2687bba35bd94c98abdd705d782c5]

	reading 0 bytes should render NULL as result


2007-09-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0c098e4ffdec3fbf35b86daa3bc8dd4f81fa90fa]

	add -all-static to flags if we build --enable-static-tools


2007-08-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c885323f12ad98e1cc8d2a111534c8dc31ecf3d1]

	small change (thanks rob)


2007-08-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8212649eeba85c9b3c823f2c43b842c4454428f5]

	don't build doxygen doc for win32 unless expressly asked for it + allow a multiprocessor make zip + make the make zip as quiet as possible


2007-08-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [50576867b59da22edba3c6b07a50b39bebbf787b]

	make possible to build static tools while still having the shared libraries built too + some more fixes in multiprocess cross-build


2007-08-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [df45cab98f34ad0ca955832e0a758e814329b3d2]

	pkgconfig is not needed since we don't have pkgconfig-enabled dependencies anymore


2007-08-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fa81d23306ef6bfdf271cf2c8e61b699f07d5309]

	make upx invocation silent


2007-08-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e6026143589cf8c5df02fa6619e44ac3315a8f63]

	make the zip-generation script again a bit more general


2007-08-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1692e4746587696b7082d24edd071f5a03cec75d]

	doxygen is not a cross tool


2007-08-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4a60033f551e0b7fbdc4912c4378403379c62f7b]

	make mingw crosscompiling on linux smooth


2007-07-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [bddb0bfd2d8745211af502e755989c3529e0d77b]

	msvc bits


2007-07-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [dd5e18d57b84514648e858b0ca4575164e7dffb8]

	warning == errors for gcc only


2007-07-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [83a7b84fff1b73b7ed2659a5d8987783a50d53fc]

	handling comments/annotations


2007-07-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4c81d2d690e2137eb230b312a81e7e0369a710ca]

	another stub. this one for reading comment/annotation


2007-07-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b167305cfdade6efd6847bc20bb2027ddc17ffff]

	change description for the input stream implementation library


2007-07-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6a908c3576d645206cee978b2349568fb902578c]

	adding the files into msvc projects


2007-07-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1da9ee247d52ae2603d65673e5298d3f7b21d8ec]

	adding stubs for future handling of table style packets and graphics box style packets


2007-07-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ca720207884ac3e232bb82de01342a556714ead3]

	adapting msvc project files to the GSFStream removal


2007-07-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [78e67f44b3b3e160198ee30b21a8fc77e56c0fe5]

	since the gsf dependency has gone, remove it from the .pc file too


2007-07-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9bfc75e0fe741d7adf3de407b4a8b0a9a126e9ab]

	still warn in verbose way and keep -pedantic


2007-07-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [bed889e7889cd2b43b59adad9c1bc57b2a60daa8]

	removing warning == error in mingwin, because we don't feel like fixing libstdc++ on win32


2007-07-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6937dd6af8d2918a4b45f7f67628af327ec19c39]

	removing unnecessary warnings


2007-07-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5d243682db8c6aadd3fbc5f81354f876d675dc09]

	kind of solve a coverity discovered so-called problem (bogus, because if num columns is > 32, we would already throw FileException earlier, but good to have zero bugs on the scan)


2007-07-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7661f78c08603556ea38a2c9d79f7028303db164]

	starting to mess up with the box information :-( Who else would do it anyway :-(


2007-07-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [99e9ea4fed8244c3ec6f63a765788e1340a82467]

	adapt the cell spanning information to the reality. Make WP action overpower buggy docs


2007-07-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [79525cd5c38e2b148c77160ef0c5a8059cd50459]

	In metadata handling: output only information that makes sense + don't duplicate attributes for the same property


2007-07-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [47cae4325c4fe6fb0c62fd8b030ee5fe43469dee]

	fixing some possible crashes in wpd2raw + style:text-background-color -> fo:background-color


2007-07-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [365c909ef90c5f979832d0f21bb98c9dc3e369a9]

	if the datebuffer filling caused an error, don't trust the buffer


2007-07-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [522cc71a888918b99660f45400c58788fa1d91aa]

	GSFStream class being deprecated for some weeks already :-), removing from libwpd head then


2007-07-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f816beff56da5c728805ee3924d85d94be5f8d94]

	As WP does it, ignore empty tables and insert a simple Hard EOL instead + rewrite the fontName stripping code


2007-07-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ff3e9b0821cc8164b0ef5f7df15370ca6b581344]

	oops, this was not my intention


2007-07-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2869ed9b3288e0f51dde4b811769e29af0da7628]

	the charset 0 is documented only between 0x20 and 0x7E, so other range will be space


2007-07-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [09d96062a8c0a58a1203ab0627d077bc8d70cfeb]

	maybe finally the right fix ???


2007-07-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6e782fb02b4e7227f715a1ae3a06fb4c530fcdec]

	make character 0 of charset 0 end reading of the WP string font name


2007-07-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [049bbad4537fda8ce1ee53c847740d8d0a7943fd]

	a dummy space instead of char 0 from charset 0


2007-07-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2b6e61c5cfa188c34a0e6145dc1b72604729c48f]

	making the charset 0 valid, although not sure whether this is really what one should be doing


2007-07-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [65ba684fb477938535ad98ca1b524b8986a3505b]

	the last change was not really fixing the root of the problem


2007-07-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b9f3f2c29d3f1269a99d1173eafc0e607271927d]

	win32 bits


2007-07-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [49e948190475414f225f4c492a8d1517b0f44e19]

	don't write out dummy headers/footers


2007-07-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [059814d7cd227082a6c41361cc37c41a29ef49a5]

	avoid foot/endnotes outside a paragraph


2007-07-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e2183a9c251b251ea2f0bdcc44dda4e1c61d7256]

	removing a leak


2007-07-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [80db7930ea7c24321212d5ef86d287f8b5f243ec]

	little changes


2007-07-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [82057ac4b5ce056d0d89882bdc9a44dd912843a2]

	documenting the new callbacks


2007-07-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [69dcc4e719e5b887d5edb191d3c4f120999f2d48]

	avoid having a frame outside paragraph


2007-07-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [314c66827f72812d9144f7bf8ee299e1b399fd2b]

	some little simplification saving some data copying


2007-07-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5eb5ec51b57a26e16a2b163b101292f3e9d57f3b]

	improving memory managements. Let's delete only data we allocated, don't do cleaning of the neighbours ground\!


2007-07-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [53f7d686bb67155bbba4e078372f5bc55658c54b]

	trying to design the interface in a bit more intelligent way


2007-06-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7b1c4e8fbdedcc8ea04c2380a969729ad947e710]

	small fix


2007-06-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3bccf6d48ed10334fb5775e8f991a427f52212d5]

	trying to design the interface a bit more clean and reusable


2007-06-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [cdb8f1c989bda3f089656c237c9bf1549099afc4]

	adapting msvc project files


2007-06-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [12aacd4ec7e7c87b391f509418a7903e0c495a4f]

	giving to Cesar what is belonging to Cesar


2007-06-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d4167c2247a19747f49d915eed2dffb0a1fcbcdb]

	forgotten this printf :-(


2007-06-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [bb56b51db90590bb39c8c9fb759a7c6b65b53186]

	changes to kind of put out the graphics


2007-06-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [005c5f7d0054da3faaf9fcdb25a0b2686b777b85]

	stubs for parsing different boxes


2007-06-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3f9b953b107616de763de7be0d66493f0e3727ae]

	leave the handling of header/not header to libwpg and do not try to craft headers unless dumping a debug binary


2007-06-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6e07dfc1e727f06554304fe349565ed36b713032]

	now we parse the images and are able to make a binary dump of them in WP6 and WP5 (although, here it is a bit hackish)


2007-06-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2d35409d32460258c6f78d6d582d7220e977335c]

	stub for reading the graphics data/filename


2007-06-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c3b79b8c26d0d025c204b77e57f7bf53486ca3da]

	Real abi breaking starts...


2007-06-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9a596addca3bf16be9005ef1da38932a21f0005b]

	now we produce a compliant odf + bump version, because we changed the names of some properties, which makes it kind of incompatible in fact, although it is still binary compatible


2007-06-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3e64094b64520a7824a0b1c1da4e8d0c82316376]

	this should allow us to use the same libwpd to generate sxw and odt (in sxw, inch == inch, in odt inch == in, but cm is the same in both)


2007-06-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [12ecd3674c00d816e102ea0b75f341bc4c15ec71]

	removing unnecessary gratuitous warnings :-)


2007-06-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [858a8204bf96d89fc4dc42d21a66f283bc85e091]

	fixing http://bugzilla.abisource.com/show_bug.cgi?id=10957 & http://bugzilla.abisource.com/show_bug.cgi?id=10958


2007-06-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [adb7728510e91083d48d8edef5a9eb8791983ffa]

	Changelog + version bumping in view of a release


2007-06-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [cb5ad60c9adcf6093b74756b0f1ab4fd66502898]

	avoid exception being thrown by the typedetection


2007-06-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [327b336f9b2bd9bf83bda8d89c2b6c943a931716]

	some modifications to the metadata parsing (patch David Hislop)


2007-06-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c6a94f07c91ddf1b081723f87262c44e002fb174]

	don't chock on a corrupted prefix packets too quickly


2007-06-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f7014507fb74558b0981896a562ac19bba442425]

	trying to get rid of some solaris warnings with solaris 11


2007-06-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5d4ece95b784b5257b93ef6eb2fcedf61ab7ac0e]

	finally, I should get it correct :-(


2007-06-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ef098878ed2fb29b9ab7c4f697e8c2dcaa9daaac]

	wrong type for return of find


2007-06-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0c01d9524e2fd28505e3aba66878dcb4bc0d6ed1]

	hope that I got all the float to string occurences correctly


2007-06-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [430cdc3fc83a3a0700fea7dfa00d12a45751e025]

	float to string made locale independent


2007-05-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7806e7aa2d065226236d17e3242d4c4e5064b255]

	improved meta-data handling in WP6 parser (David Hislop)


2007-05-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [adf046654caf0a1777e88fdaa62606c6cfd7d942]

	this one is safer and does not emit msvc warnings


2007-05-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7d4d256b674e3f681255b93a7a4259cafacaf1ac]

	OOps - thank you, valgrind


2007-05-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [24dc4bd4687417a5bca59ca1e9983ab04115ff0b]

	Trying to be really hard with warnings


2007-05-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [815fe24601ee6ad9e27ab48ba54a8c1a0da23d49]

	merging fs_experimental branch into head


2007-04-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e86b7ee2d7aa4e9be8cd5404475031421a54ac89]

	removing a rudimentary include (patch David Hislop)


2007-04-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [226c94b2b4e35f209d62a8b4127c1daae5759483]

	build fixes (patch David Hislop)


2007-04-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4fc6ee87a4ec02cd200bf1b4d0811839f990593c]

	do not package *.la files


2007-04-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [81cb3d74c111a252f9137781ebe0bda311a585d5]

	some changes from Ause


2007-04-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [910415e0b820ceef75d4ada8ed9012f702c3d0bc]

	some signed/unsigned stuff


2007-04-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8265468ed1318973331d293b49ef4931fadff0a9]

	fix for rpmbuild on certain x86_64 systems


2007-03-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [45177eca78f72609879f067deb25c4aa7789c5ca]

	require doxygen for building the libwpd-docs package


2007-03-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6ac44edaa6c78735ffa2f1b0ec9a2d1d5e6a28e7]

	adding the security related changelog entry since the release is today


2007-02-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8f9ecc2e5488c4c95d282b5a0b1669838de21720]

	ignore more files


2007-02-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [16741d9778f0753b40eb17c441dfcc8d120dbc64]

	Add some changelog :-)


2007-02-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c383f1d6bd78b1d1ad6936669091650fd296f2c8]

	remove some warnings on win32


2007-02-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [803b07a4bf94cce09056055faa31cff2a93bd619]

	bumping the version


2007-02-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e8450e209b6a49d621b5c6f41ad831445d511039]

	Make some additional check in order to avoid creating of incomplete tables due to the corruption-removal mechanism (single byte fuctions inserRow and insertCell)


2007-02-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2a1d8a28b086a45b06b3e47bcf8313421419d470]

	fix some unsigned/signed issues. Thanks Will


2007-02-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ea655d72ca56e2c753c12d5627335bfc693c3173]

	fix some integer issues


2007-01-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d3aa17f5e0396cb6d363f410c686a1bb5ee702f8]

	make msvc happy with its silly habit of defining max as a macro


2007-01-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [769bde3c6207723258ee46bc9c6fca611b53d185]

	some more fixes


2007-01-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c61efabc903b68a6ccc0cbd71cc59f8902a41329]

	some more checks


2007-01-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [40d34b95af99f0eedee80efca010df8204d557e6]

	build fix


2007-01-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [273eae8c630bf3ed46de30229158ec4601ce16b7]

	more belts and braces


2007-01-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fd9fe46e387a3fcee9a667f052592af6daecf454]

	small fixes to improve the stability and security of libwpd


2007-01-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c162a817124db3ce4b6dda316fca4e87754a4ce6]

	shame upon me, forgot about precedence rules and introduced this regression. Fix it immediately


2007-01-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0eb31d843264711ceb199a6e328534b339dec103]

	preparing for an imminent release


2007-01-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e5a1db74b87ef03b4bde2d397c7b02a67b18377f]

	some small fixes


2007-01-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [cf89caf25c777a13dab940b7914f3b53dcbeb996]

	trying to remove as many warning as possible from build inside OOo environment


2007-01-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [12c8c81db0d86a62ea2ed9e56627447669410bff]

	fix typos + a little small issue


2007-01-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [55ecb90d7bfb38ecbf2138bed24b188487c338ed]

	adding unit tests for the stream implementations


2006-12-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7fa17a8f873fdb33f4b1f653dafe9611664f1061]

	fix wrong rc files


2006-12-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0444e4d3d083c145284170ad12c957c954277455]

	some little optimizations in WPXPropertyList class


2006-12-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ee9e5cfe5b9ff86be0fec08a19feb20cecfba6b3]

	handle graciously password protected documents + remove some resource leaks in the cmd line tools


2006-12-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [df0c0e5be25b30c9bb2cc06db4e785226c8fbb5a]

	I foot/endnotes inside foot/endnotes as WordPerfect itself does. Yes, it exists! Unbelievable, but true :-(


2006-12-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [91fbe46bd13e940849ff136179fbd4de028418c4]

	small fixes to my fixes of my fixes of my fixes :-)


2006-12-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2faca30fc8761876d0f700a5ac17c770dbed652b]

	one more unsigned/signed dilemma + make the WPXPropertyList::insert not leak resources


2006-12-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [66ef4ea4bb73a4231a0cf5091d77e8e7c48d2172]

	remove casting from and to void*


2006-12-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a2d151836be8a4040ece1c07a5a77e4cd23b3497]

	removing warnings with Sun Forte compiler


2006-12-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [76291e5464b6085e235893e4921e7c39ff01dd18]

	some more virtual calls and vtables saved


2006-12-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [70abaf352ba00c658dd51a760bf802a7ca703afb]

	trying to save some virtual calls without breaking ABI :-)


2006-11-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [afc41e0f6e9e43c73510aee5b311f73f552982b1]

	some more cleanup using -pedantic


2006-11-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [673dc814d720365faa629c4413b8dbd0e13fed18]

	remove the removed file from msvc build too


2006-11-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [77fa836d0ef9a1cf5ae9edf3d5d4fc0531e410ba]

	some more optimization (maybe)


2006-11-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [cd1994f796837871e0e249c41747abaef5a52c96]

	some forte8 warnings more


2006-11-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d457997558eb2abea264af1361ebebd81c17b200]

	some big housekeeping, although not sure whether the most intelligent thing on the earth


2006-11-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [67c348dc0df413bf0052bddaa0c21aca2b1cd26e]

	pass WPXStrings by reference and not by copy


2006-11-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [87cd51ab65e5efe4eb2170e2008745abb29e7008]

	some more belts and braces


2006-11-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [69f219d7d9fb35dbc22399d010685fe6764b9b47]

	this time is the good one


2006-11-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e7f9b55153139e837e0d08bdb74f69090b9af50e]

	unfortunately, this one has to be reversed as well


2006-11-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6e64ed90f041648eb2280fb2eb2d39733d06971e]

	unfortunatelly, this would make the library binary incompatible with earlier versions


2006-11-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [cb1da2c575995b76606126cf05ef36f19e55691d]

	some msvc warning gone too


2006-11-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [020323016b0514f2768f09262790d5231d25280e]

	warning free debug build too


2006-11-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3dc17a2cdb399239da66c4154868ccc11e2bc191]

	one more warning, this time on x86_64


2006-11-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [867b547da71d3969cbcff6129f2d7098b9e2a434]

	removing more warnings from libwpd


2006-11-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2772a8b534a8c255957778b1e837637c5a5ad5b0]

	trying to remove more warnings


2006-11-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [19647dc88618c46368572e0a58aaf8e9093e0f5e]

	question of personal preference


2006-11-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3be68d34e42f313bc678ac15a8f5cbb8343354f9]

	Trying to make libwpd warning free


2006-10-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1b6ec9bbe88cb125a402b4af333dc80137e8129e]

	fix a memory leak in WP1 parser (thank to the new WP1 directory in the testsuite)


2006-10-09  William Lachance  <wrlach@gmail.com>  [7f6ae1de250aa6e52d82b9680ae66fea729d06d8]

	Update CHANGES for 0.8.7. Add Andrew Ziem to CREDITS.


2006-10-09  William Lachance  <wrlach@gmail.com>  [efddf0d17e6f156b75c244ba67b2b43252bc7f99]

	My sympatico address is no longer valid. Bulk update to new gmail one.


2006-10-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f4b243f90943ea986776d477ad1d4b126822dfa1]

	bumping the version so that we release 0.8.7 :-)


2006-09-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e89816d3d1141300ed33c79c1224a682533638de]

	Updating msvc project files and src/lib/makefile.mk


2006-09-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8a3a64720a5cec6ee8124f6b752e804c088cc80b]

	Fix memory leak in converters (patch Andrew Ziem)


2006-09-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1e768cf80ef48e9080480579229363abf6b16647]

	Trying to emulate center-text and flush-right in WP1 parser


2006-09-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d0cd4a19da9b1e20e1767c565d3e96b8486267a7]

	reverting some optimizations that do not pass through MSVC++ 6 :-(


2006-09-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [422315dc80b6e82a5582dd80eab48993e39b42fd]

	Fix some issues with indents in WP1


2006-08-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b119983c00ed85e619647b8b2f51f7ac59c05cce]

	where it is appropriate, use now the assignment operator since it works anew


2006-08-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c295483aa876ad8f98ade32e78e907c25633331a]

	Trying to avoid the dynamic memory allocation for some standard cases. Can one set the FIRST_BUF_SIZE to 1024 ???


2006-08-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c1fa3f29154613fbb6dfe44ca07b4d3dcf385915]

	oops, stop confusing bitwise and logical operators


2006-08-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5a6f0e4a2e4aac47a1079ac9214b901b08800ca0]

	msvc stuff + fix line endings to unix + avoid empty iteration through tab table in non-debug builds


2006-08-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e2097b0151da54b8628e04871c4b24edab8ac17a]

	trying to reverse-engineer wp1 footnotes and endnotes


2006-08-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3d9ac2ab2cd07b461c0ec9cabbf6816a2822c98c]

	line spacing for WP1


2006-08-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e859dcfc3b145641428996fc30853ed7b17b3866]

	update the graphic documentation


2006-08-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [21bcef7218630630cc0ca1c9ae9ca3b783ef3d24]

	oops, forgot to add these two


2006-08-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a40f71d42920c061c903852d0ae1f0319496b3a7]

	Implementation of back-tab, aka left margin release


2006-08-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [92d6426ff9e834543afaae6313fec80b1685cfb0]

	Some more fixing of function lengths + some more text attributes converted + convert the paragraph justification


2006-08-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0417ad5b003ddd29e4ec795bef3825445b681784]

	Fixing some function lengths and preparing for handling of text columns


2006-08-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [81f93356c222a258b0db8f86b27dbcc4fac9c3f1]

	left and left-right indents for WP1: it is really fun to reverse-engineer


2006-08-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [08fee49a16173efaf416b083dd2c54c2d04ecdc6]

	Implement Tabset also in WP3 since the logic in WP1 is very similar


2006-08-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [189c7fbfdb5806c2fb0c20943dd34a6b67843253]

	Set Tab Stops for WP1 file format


2006-08-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3a72331096135f932fd6522a076d0f3c0505f742]

	Page margins, extended characters and font size for WP1 parser


2006-08-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [99e0406d1acf549a6125a3429b901d5b43124a7f]

	Reverse-engineered WP1HeaderFooter Group + put back the SuppressPageCharacteristics


2006-08-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0640be42155848c69eeed1c0773c25089118d617]

	More work on the WP1 parser


2006-08-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f80634e188c6e8dc9f973aad5fc657b06f1b49c1]

	oops


2006-08-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [17f0b29fe2484cbe7693b8bac44fb105ff3a3e41]

	administrativia


2006-08-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [776b1f82476cf0234f638422f559f02ccf928ae1]

	Separating WP 4.2 and WP Mac 1.x into different parsers/type detection heuristics


2006-08-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5a3ac30e7b01934e440466412fb637da85c1b7a5]

	Initial support of WP Mac 1.x documents:\nThis should exhaust the existing WP file-formats, I guess :-)


2006-08-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ac94257ac31bfd90cfc6d8b507b546d5a34b9276]

	Adding a missing const


2006-07-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1527bad850ad59a16e9e71f63f7253dc67b76268]

	Putting some pointers back and getting the borderbits right


2006-07-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [35cb82c18c3d9c5460df4daf2c551f3821188a8c]

	Trying to diminish unnecessary use of pointers


2006-07-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d16a9a1a0579ff09afa6530c6ac8d242ce858086]

	Revert the alignment patch :-(


2006-07-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f7fbda196752d05b84e946c3cdbf7efae9b8720f]

	Initial support of WP Mac 2.x + some fixes in allignment after multicolumn sections.


2006-07-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [10c0eca0f94c8f4425dce1ca76538499279526dc]

	making valgrind happy


2006-07-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [15e6d611764d4772dfd225235b79d821baba7a89]

	One more check and fix debug build


2006-07-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c723d7042a8f0f2ccbfced6935e318fd57a7ac3a]

	Removing redundant "virtual" + some unused variables stuff


2006-07-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [061ea526bba33c2016d7a8a3128012b05f47dbcf]

	Fix spelling of doxygen comments (Kamran Khan)


2006-07-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [baf2ebdcf8edc2c5bd40e5bc02ec98f97ec56914]

	Documenting the WPXStreamInput stream interface class since we depend on the right return values in our corruption removal heuristics + update the makefile.mk used inside OOo build


2006-07-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [af1e715c0ca5889e505e09bcc30cd3d83e05d638]

	Administrativia before a new release


2006-07-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7c1d40b705f6e83b87def32774e3c470d0054ecb]

	Disabling margin change in WP42 untill we are sure we got it right


2006-07-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2871d42347940a34504e02557df1223f1739d8e7]

	Updating msvc project files in view of a release


2006-07-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [37f739db3c80f477c61c3a83ce2d43ae0b81c491]

	Add some more checks and assure the license header is in every source file


2006-07-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9734c384a4a9b1ed7b92d32e4463d33cf1df0e28]

	Administrativia: giving to Cesar what belongs to Cesar :-)


2006-07-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [eb69532753d6738fa52e79e2e5c424537ad706a1]

	small fix: not needing the quick ad-hoc fix anymore. Should be handled correctly by the corruption removal heuristics.


2006-07-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e979b47b259a32f7debe286d9cc2c4e9cd56083b]

	Trying to recover corrupted documents; sanitising more the code


2006-07-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c75c47d803a689588c6a76f9c8c7eac54a71009a]

	Quick empirical fix for a crash


2006-07-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e7d86c24599c8f273e8d082c674b81e34b43c596]

	Try to detect more WP4 documents while still discarding plain text


2006-07-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [dd8377ba91d22e466303bc2efff26edae71b49d4]

	Fixing some errors in WP42 file detection: docs lie about the size of 0xeb function + 0xf9-0xff should not appear as separate functions. (Hyphenation functions are 251-256 octal base :-))


2006-07-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [dd63062567ed92a38528fc82f1d3a14980635d95]

	Some more checks


2006-07-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6f615efc81a08349cf9e9d44d9df5895fdb51e8a]

	Trying to make the code more crash-free by adding exceptions instead of possible crash


2006-07-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fb63d03057ac73b99a8e666910b6454f658d2535]

	Trying to make the WP6 crash proof even in case of document corruption. Better to throw an exception that we handle than to hang or crash an application.


2006-07-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8e075bbf0f81ad800947b015c8d1e072f37f9719]

	Try to parse WP6 Document even if there is a corruption of prefix area.


2006-06-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d5bff6287918f0c3f8dde0c9b91ef00452e7f693]

	An additional check


2006-06-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1b0cb07a2e9480885891bf15522973403cc1d2af]

	Trying to detect possible Prefix Data corruption in WP5 documents and ignoring all prefix information that follows the corrupted data. This fixes abi bug 10368


2006-06-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [78ccb2d790ef0ea4487eae300c96cc027d2fce25]

	Fix crash of wpd2foo with a non-existing file name or unsupported option


2006-06-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7c3eb56cf00f949ba7a4a91db11dacb33fda9c16]

	Don't read data if its size is 0: fixing abi bug 10367


2006-06-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9dabf8888333e5352520d9c79be9bc38684c1ac7]

	Just a little fix


2006-06-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [271deaff6c1ebadab4f3737ca86fc53817603dd4]

	When closing document, do not forget to close any opened table too: fixes abi bug 10365; Try to read also the unsupported embedded eol subfunctions: fixes abi bug 10366.


2006-06-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5ca9783905f98ae7a242ddb4c67edf52f4c06cf4]

	Small fix so that the tabulator position fallback work well in multi-column sections too.


2006-06-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e935f56ece63229442e1376e469081194b7a5cb8]

	Fixing abi bugs 10360 and 10361: making the table related code more robust with random illogical tables in old WP6 documents + fix some tabulator related code + add para breaks where they are implicit in WP6 for DOS documents


2006-06-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [da21d813083373a74a74db91ec65c885acb6a6a5]

	Fixing abi bugzilla bugs 10356 10357 10358: be sure that subdocument exists before trying to parse it; a table definition in WP5 format closes automatically any opened table even without having a table off code there; in WP42, handle cases where 0xFF is not only a variable length subdocument delimiter, but also a valid value inside any function. Thanks to Sum1 of AbiWhatever for discovering these issues


2006-06-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1607d076004706469eed36f350c61e3f6df5b467]

	More work on headers/footers in WP42 parser: fixing crashers discovered by sum1 of abiword


2006-06-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [72f7ab4524525d1c9de419dcdb14eb60de9a2bbc]

	And here it is: initial HEADER / FOOTER support for WP42 parser


2006-06-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ea8df3ad95072ea13df1d559e185f0f963dda3c8]

	Another step on the way towards headers/footers in WP42 parser


2006-06-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e1ff8038c985b7869f784285c1a7c0e99f728c74]

	removing memory issues in WP42 Parser


2006-06-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [84dd017aa4dfcad338f35e4f84fcadc5c38aeb3a]

	WP42 parser: starting with the easy ones


2006-06-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c7d7734ce98eebc840fc9296134ee1aa03b5bc19]

	More work on WP42 parser. Handle all the multi-byte function in the same way whether we know their length or not. This way it is waaay easier.


2006-06-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f88c5e326347214986feeca41cd29e2fa1945da0]

	Fix crasher bug 10314 from bugzilla.abisource.com


2006-06-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ef8027cf198117f40ed04915f55a80723ae4bb0b]

	Making msvc build again and removing some warnings


2006-06-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [be77f993ff7c70cce973c5b2954697d5f316de2c]

	Starting to work on headers footer and sub-documents in general in WP42


2006-06-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fac1dfa07d023bb6f7939b9ad3d2724bee8ecd0b]

	WP42SubDocument class in view of header/footer footnote/endnote support in WP42 parser


2006-06-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0d8d53153f13b66ba8704336479e5598bc914c82]

	Getting in touch with the WP42 parser


2006-06-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [948d5a8fb7db8e53a7113e699e5766eed263430d]

	Further cleanup: removing unused functions from WPnListeners and some other unnecessary implementations from WPnStylesListeners (to be clear was never my strong side :-( )


2006-06-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [02cd7c828041562e466cc40bc9bcebd582bda4cb]

	And some more cleanup of parameters in ctors


2006-06-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d95cd6b8d3232a70166ae08ae2b776d63ad5aa9f]

	Show must go on. Some little refactoring after 0.8.5 release, just to warm up and not to rely on past glory :-)


2006-06-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a85d6581e2b4b085340a7785e36a4c9d2217bbe9]

	Fix the changelog just before release


2006-05-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e27cebbd0be2a749b7ca8b48e60363072da2156e]

	Package and install the PNG


2006-05-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1b1d11fd0f7d5bf2320f0247c12686fd2943ab38]

	Add also the resulting png


2006-05-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [66923575e480a34b402ea3efa1f667786877bc14]

	Another small fix


2006-05-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4472f74ae2ea319af6feca52c8fd5d1ca9f79456]

	Small fix


2006-05-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9dc11135c50c10a2155eeec7cee9c0f4532b0319]

	Update the design diagram


2006-05-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8cfdc21c157385678e2fe3ec2f74d3e7497e9ce3]

	small fix just for sake of accuracy


2006-05-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9ee670e871657d8a8cda9021e6340b53216875dd]

	A typo fix (patch Smokey Ardisson)


2006-05-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [32fa83292a00a296c7f9f8e71820b34b6c27bf5e]

	None of the WPX*Listener classes needs to have a public member + ifdef an unused struct


2006-05-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e88069c34f00e23f1073b2e51b48df93d0d67482]

	unbreak msvc build again


2006-05-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f89f2d4d847853035d299b85bfc34a13578d2401]

	These two do not need to be public. Make them protected


2006-05-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0a54b4a259d3c41b0f2c2885b9336e4def409733]

	WPXStyles and Content framework refactoring: WPXListener is not anymore a common base of all universe. This prevents diamond inheritance and connected problems.


2006-05-30  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d31ac60267c3b7a435168e036fc3fdb235e2b0f1]

	Making msvc 6 happy again and adding some build bits


2006-05-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f48c9b90f809e69250b0327ac4142abc7241bc2a]

	WPXStylesListener and WPXContentListener framework refactoring - part 1 It has some roght edges, but working and our testsuite is happy with it


2006-05-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [cb8ba595fe1d809450f117a6406a4207c0d1a149]

	Moving pure virtual functions between listener classes: first step of the refactoring towards a WPX{,Content,Styles}Listener framework. Functions called from the parser classes should be part of the WPnListener interface


2006-05-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [437068d46368b0734f5f07e23c1ee53cd4585e86]

	Small changes in copyrights and changelog


2006-05-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [573f1e3386b07a916c2e77b54744ca9a56b1c901]

	WP5 Parser: take in account the fact that the default font is the first font in the font descriptor packet. I find the solution UGLY and anybody who feels like fixing this aspect is welcome and encouraged


2006-05-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [559b9a9cc0f1e570c1f19ab1036cda06b54a9ea5]

	fix a problem due to a careless Copy&Paste by your servant :-(


2006-05-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [cf89a09fcd7b34e666a12687e7f8ceec4b240b3b]

	Do not collect margin information in subdocuments


2006-05-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d50d257a974f2b8378206a53ccf45c00bd3770c5]

	This should be the proper fix :-) ... I hope


2006-05-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d6f9aa5a9347167c338b1489f59bde6266131168]

	Yay, thanks to the msvc compiler warning that attracted my attention to this


2006-05-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [35cafdd71874cbe7e36858f09a29b29f983fd8c2]

	A small change


2006-05-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fc0e7b1e488d91569b52bd0dcb24649f43450ba8]

	Trying to optimize things


2006-05-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [84b5409a00c9963104d3d022a120601d09075e9f]

	Small fix for headers (now it should be OK everywhere) :-)


2006-05-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [dbe150e4a53644c57cb48f2259fcdde2f3682ce0]

	Fix issues with headers/footers and with WPXPageSpan::operator==; account correctly for header/footer behaviour in WP3 file-format; place table always inside a section if it is not in a sub-document.


2006-05-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a70f9f3b533e2d4d27559728aad88d74ff0c2e75]

	remove trailing <cr>. Mental reminder, never create patches inside msvc ide


2006-05-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6c6f5fe49234700d5ef3bc9c10d9e2815cf48cdc]

	One little fix to initialize WP3StylesListener::m_nextPage and one other to make msvc happy


2006-05-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8df93d1e144f2c7871fc8b5be740f40249cf1025]

	Fix for bug 10279: maintain the table indice sequence even if the table is in endnote/footnote


2006-05-21  Marc Maurer  <uwog@uwog.net>  [7e4588c3882a68560c8b8131e95a4bbfb42d8d2b]

	Sanity checking for bug 10279; give a parse error instead of segfaulting. Still not sure if the doc is at fault, or that we are making an error.


2006-05-21  Marc Maurer  <uwog@uwog.net>  [760677ca8a02a788d685d89e82609e4f61fee188]

	Return a reference to table rows, not a pointer


2006-05-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [10161496dfd48d2273c02548e99358b9cc589776]

	!!! POST-0.8.5 CHANGES !!! Abuse a little bit less pointers


2006-05-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0e5534cbbad147b233e72ba5b94a0ce0990d493d]

	Updating the makefile.mk used inside OOo build.


2006-05-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [cc3c3e931eea070e8cad690eda8cd597396d41b6]

	Removing unused class and updating msvc project files


2006-05-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ecfdab594c26e8aaadfd0d19841447f45edee132]

	some more changelog work


2006-05-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ccacb3f45649e6ee5501cf077396a8c018adca08]

	just a small commit to increse version of this file and fix some version problems due to a loss of one commit due to SF.net harddisk failure


2006-05-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9bbdf82b00a5f6dcc14a9a102f11cfc4cd076ce2]

	Fix some memory leaks and add font color and some minor changes for WP5 parser


2006-05-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ab9ce35944d2011f48dc0c217f7eb043b4a663a4]

	Populating changelog in view of a 0.8.5 release + Do not package/build an unused file/class


2006-05-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0523bea5e6c38e58ccad4771f9ceed7247e63cde]

	Bump version to 0.8.5


2006-05-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [70cc810cd5a4140184f34fb0cc7b39266c6b50d0]

	Miscellaneous changes related to page spans and sections.


2006-05-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [04b39821c8e0c31522c86277d45f1fdec75f36c7]

	Fix a small issue with incorrect number of pages in a span


2006-05-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [08ed23bb9bf1b3910d55884029a5ec107e276a93]

	Assure that there are no negative paragraph margins due to the page margin change == remove the ugly line running accross the text. Needs some tweaking, but works already well


2006-05-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [42010823024b3b7fadc910385381f3feefd6bdcd]

	Make pageList a std::list (preparation for some changes in page margins)


2006-04-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f026e7a41238e717015ab015c956ac0b3b9f42d6]

	Removing memory leeks; adding almost final version of header/footer support for WP3 and WP5 parsers


2006-03-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [21fe833da67daae65ef1241f862bf585a5c43101]

	Updating msvc project files to recent cvs


2006-03-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8087084c7c7e668741fda6645f982925dab9c146]

	Another step to proper headers and footers in WP3 and WP5. I have to remove some memory leaks though :-(


2006-03-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a1599dae06c45465b977310f7f0b8055e6a76f77]

	Making the WPXPageSpan more WPX-ish and fixing a page break problem in WP3


2006-03-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [63197841171a61119853ab895983f13c9b6ef874]

	Add "--info" option to wpd2text for getting the document metadata instead of the document itself


2006-03-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1537d49ee3781357a5c9917ee9780708d477eda3]

	Starting to work on Headers and Footers in WP3/WP5 parsers. Far from usable, but not crashing anything either


2006-02-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c0b889a5f1d4d9d0beb4eb6e31c37962d2479373]

	Initial (completely untested) implementation of Foot/Endnotes for WP 5.x fileformat. A nice testing would be necessary before this goes into the wilderness


2006-02-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7b6a22c84e9e3f1df63bac9d9c2acb201c6a3062]

	*** empty log message ***


2005-12-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [846d444c1604b535f306e3fb3eab9da13c19bde0]

	fix to allow to build libwpd from a separate directory (Bernard Leak)


2005-12-21  Marc Maurer  <uwog@uwog.net>  [d0e71b91ee670839771eaeea5724326d2f3e5690]

	s/j.m.maurer@student.utwente.nl/uwog@uwog.net


2005-12-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d98db1aa1f748c9a36c703930b0eed0bf5d90f4b]

	Initial Font face and size support for WP5 parser


2005-12-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b5be6778da3057af87a3a211d33326d782934021]

	Updating msvc project files


2005-12-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [88d4d69eb0c97c91dce1b71ad1efdc4be8aba975]

	Another step towards the conversion of font information in WP5 parser


2005-12-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8b91ad6355eaefa26ad043f63c81e4fa111072fe]

	First steps on the way of conversion of font information in WP5 parser


2005-12-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b0b83a40c30b0f7938adf516c2fcaf08b9ffb708]

	Content & Styles Listener structure for WP3 WP42 and WP5 parsers


2005-12-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5d5c40e0c4e96a3cf925f5d164fc1e9bac6af4d0]

	minor cleanup before release


2005-12-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ccad16006061207cc76b7829ebfb63bf190b230c]

	Change in FSF address and make all files use Unix format


2005-12-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c2c9bb6ec80a54cb016d1c9abb4ccc78822e3ca5]

	Merging fs_refactoring2 into HEAD


2005-10-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8febbf1b787a1c6901d6d08100c5bc5227957da0]

	Build fix for gcc >= 4.1.0. Patch Stephan Kulow


2005-10-05  Fridrich Strba  <fridrich.strba@bluewin.ch>  [778b930f87da98afdb2c5c389ed67f7cc486dd1b]

	Extract some frequently used duplicate code into a separate function; Remove autopackage specs like discussed with Rob; Start implementing tables in WP3 parser


2005-10-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d7dc37dcd9e25bf619c55691bdeb849bede5d8fb]

	Initial table implementation in WP5 parser + fix a memory leak that was not triggered for the while in our testset.


2005-08-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [55abb3bf6bb18bd8dfedb79f345f841f482ab238]

	fix a little problem with double reference in foot/endnotes


2005-08-31  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7cb921169901ba87274c5f71967f7b1fd1896840]

	Post 0.8.3 change: modify COPYING to contain the new FSF address (patch Rene Engelhard)


2005-08-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6ab740cc579850f0398bd798e6b4ccba4a1b4b00]

	Fill in the changelog in view of release.


2005-08-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3dfde4624a5697dfafdeb5673ad7f945c701cb16]

	Bumping version and a silly fix in font weight strings


2005-08-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f5de06e0d3b3a02fa459ff9c2cd2c5046a979c6f]

	Merging fs_refactoring1 to HEAD


2005-07-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c4874835a1dfda7b56767649eacfc94a1ed758fe]

	Convert Deletable_Hard_EOP as hard return.


2005-06-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e15b647a73bec14666f7372b8bbc17a4fbd583fe]

	OK, I forgot this one


2005-06-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4c4e5ced8bfa19c700159ff2dd60a6d2cbe8fde4]

	Put the autopackage directory into the "dist" target, since the configure will need it.


2005-06-23  Marc Maurer  <uwog@uwog.net>  [02da4ac3850408f96a73fb7260678d902d2f9303]

	Autopackage support (Robert Staudinger)


2005-06-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8de9341de83ba615b58fb30cc5ee2044eaba2d24]

	Do NEVER open/close section inside a table


2005-06-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5d042e8861db926867644dffeaad6067003e7bfc]

	Final touch of the character mapping before 0.8.2. I hope!


2005-06-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [887b2ae959d2318ed8cbbd8d154ed7aa629a8624]

	Fixing "falling through" case labels in the extendedCharacterToUCS2 functions


2005-06-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b0bb1fafc154a6c006ad26080d6c09dc531b39e4]

	WP6+ Arabic Characters Mapping (Smokey Ardisson)


2005-06-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ae9512384a5ef5187f76cce3ceaa479c289e216c]

	Correcting number of chars in WP6 Charset 13 (Smokey Ardisson)


2005-06-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c60c52d04e9377ce6e1829904f5672f9a1469833]

	Corrections in WP6 charsets 8 (Greek), 9 (Hebrew) and 10 (Cyrillic)


2005-06-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [97ff7e0c292a9e8a05dd20e581846ce402609495]

	Splitting extendedCharacterToUCS2 function; adding WP5/WP3 charset mapping; Bumping version number; Updating Changes


2005-05-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6829dfe8a33581933186dabc1d5997aa27c12bb8]

	Reverting broken belorussian letter patch, fixing bug 8807 and miscellaneous fixes in our conversion tables.


2005-05-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [dae678d243b5dfc218f89d47a4efce52f1b31df2]

	Ignore font size of 0 points (fixes http://bugzilla.abisource.com/show_bug.cgi?id=8830)


2005-04-27  William Lachance  <wrlach@gmail.com>  [8722112192a149aeb787cca6e095b342cfec3bd2]

	Remove unused private section in WP60Header..


2005-04-27  William Lachance  <wrlach@gmail.com>  [e3e259c32411f8008a74c30cafb79787bccdc6f8]

	Make Fridrich a primary author in CREDITS.


2005-04-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [5182be3481e4e1c9a359fae5807248e39d156906]

	Unknown escape sequence fix (Brandon Kuczenski)


2005-04-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [88ad79b8872e76bfd5c6f385f356f60f70ddc96a]

	Add copyright notice to GSFStream.*; fix spec file and work-around the lack of std::string::clear() in certain implementations of STL; some modifications in ChangeLog


2005-04-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [aaba356af40eb2c801029a9b2a34cd2407338b08]

	Fix conversion of certain belarussian characters (Yury Tarasievich) Do not inherit the m_currentPageHasContent from header/footer. BibleVerse.wpd is now converted correctly as landscape.


2005-04-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [60641dac3dfcdd141021341e9fb4ae87a6693a97]

	small modifs of spec file


2005-04-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [90455e39f197b6a57cfd7f7f66ec96ccab8b9f0b]

	This should prevent endless loops completely


2005-04-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8ca61c2d2f733c1269e42e5d68606448ec9a463d]

	Fix the cases of endless loops where a sub-document contains itself as sub-document


2005-03-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ade3a98fc4dba8676e173b04552c2c85aa2708dd]

	Fix some issues with text attributes and with doxygen doc generation


2005-03-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3b3fb176c3af1986abdab6305569f94cc8ce707b]

	fix const/no-const confusion


2005-02-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4b9a9242cdcbccd0dd6887cd0aa1903d20ccd14b]

	Make the decision not to build docs effective


2005-02-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0ef59695a97439f9e57585db15d94c54e41747eb]

	Bumping version, since modifications were done since 0.8.0


2005-02-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9e6f06a556f24ceb3b523a756378e4c13be01794]

	Add the documentation into the build


2005-02-10  Marc Maurer  <uwog@uwog.net>  [fbe421f1090394338e5531a5139fce8396cf824f]

	3.0-3.5 -> 3.0-3.5(e)


2005-02-09  William Lachance  <wrlach@gmail.com>  [2102f06b593e72cc693b64a34a3b62e4bdd649c8]

	Add Caolan to CREDITS, update CHANGES.


2005-02-09  Marc Maurer  <uwog@uwog.net>  [727217b73f307b5976aac73a948e66fab7793b34]

	Fix memleak


2005-02-09  William Lachance  <wrlach@gmail.com>  [32314122e2a7e9847fa15a604da4788dc1cff85a]

	Fix WPXString to not use STL in the headers. Remove some deprecated methods from WPXString. Update CHANGES.


2005-02-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b8a48495dd110d824f577080747b366ee3e8be59]

	Fixes for Solaris SPARC build inside OOo


2005-02-08  William Lachance  <wrlach@gmail.com>  [6439313f481509346adae081b48686bf40b226db]

	Complete documentation of WPXHLListenerImpl, misc. (minor) cleanups.


2005-02-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [27cc55732d6c055941edce21c46c6ffd802d24c4]

	Removing all "using namespace std;" from the code. Small modifications of the MSVC project files


2005-02-07  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e3a6df676287b1bfc2bcd0446dc1a8558d8e1fe8]

	Addapt different "makefiles" to the new reality :-)


2005-02-07  William Lachance  <wrlach@gmail.com>  [54a983cec85c50dae04c2ca84df6d2568ed22162]

	Oops, really expunge all vestiges of WPXVector


2005-02-07  William Lachance  <wrlach@gmail.com>  [09c7277728a05e6f87f0ca144ae5209edbc5e3fc]

	Oops..


2005-02-07  William Lachance  <wrlach@gmail.com>  [0787a716e8aada0556d37bf8cfd072be676f88a0]

	New WPXPropertyListVector class, commit Fridrich's lists patch.


2005-02-06  William Lachance  <wrlach@gmail.com>  [251063b0b54bf2d2d9a85a00e597fbbcd4c564a0]

	Yet another test commit.


2005-02-06  William Lachance  <wrlach@gmail.com>  [57f8becf0ac4c1a1f25a6546c1d9f0ef7e48892b]

	Revert test commit.


2005-02-06  William Lachance  <wrlach@gmail.com>  [60bbee110db55a77e09cfff0dc01c02a442e258f]

	Test commit..


2005-02-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a4b97ce20ea484e36ad2fcbcb171e63294a747ef]

	Adapting some remaining files to the new reality :-)


2005-01-31  William Lachance  <wrlach@gmail.com>  [7602d2462ed9fc0ce2aee0222696e0c9d2e1ca66]

	Fix some minor memory leaks


2005-01-31  William Lachance  <wrlach@gmail.com>  [d90170d1bdf8212c2b25792204652464dee00869]

	Update library documentation, new wpxvector class (for exposed interfaces only).


2005-01-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [45033e629e8583acf62a4367664c2183901d4e43]

	Modifying remaining build files to correspond to the new libwpd-0.8.so.*


2005-01-28  William Lachance  <wrlach@gmail.com>  [b6008691bcb2f4d7cc0016233b5cd0c35ea894b5]

	Hide STL from property list interfaces, split up property and property list declarations, set -0.8 as a postfix instead of -1.


2005-01-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d8413d5a930db2737945928b8edc07a72abbd2c8]

	Script for packaging Win32 (MinGW) release of libwpd.


2005-01-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b01a907406b505b00d16572e75585308c621b008]

	Some more .cvsignore additions


2005-01-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [946e33e86f873fbf4d2e644b74d2a3aa39956f47]

	Remove "{" and "}" from API headers :-)


2005-01-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [be9867ed13deb80900a33d7da2d5179157cacf96]

	Changing the way we handle "left tab" outside a paragraph; Flushing text when entering into a paragraph style definition


2005-01-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [df99adb56f4f0154c71ba537fc3dc74764e234a4]

	s/background-colour/background-color


2005-01-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7fdd67397750de79c30a4ea70229bf871e1b8231]

	Enabling WordPerfect for Mac 3.5 extended format


2005-01-20  William Lachance  <wrlach@gmail.com>  [25b77b4a7335ab064780cab4ed54ab37148423bd]

	wpd2html redone to (a) not crash (b) only emit output that actually means something. Updated some copyright info while I was at it.


2005-01-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e6f1f416e7c391a52add8720872ff4f0e17b6a30]

	Just a small change


2005-01-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [577dfb90fa556af4eb3bb180f7706f7f7cf8b712]

	Some list-related code; EON_core.wpd is converting integrally now !!! Updated the msvc project files and makefile.mk used inside OOo build


2005-01-17  William Lachance  <wrlach@gmail.com>  [705fd1cf926ad1d8b246b1f7971f7dcbda299984]

	Add comparison functions to WPXString, pass occurence as a string, add a new "HACKING" document dictating preferred coding style, clean up RawListener some..


2005-01-16  William Lachance  <wrlach@gmail.com>  [6c6a1fe95a17c934e6525fbe4b018449fa55684e]

	Output lists in a consistent form.


2005-01-16  William Lachance  <wrlach@gmail.com>  [aac6f5dec100a280cc229bbad013b8bb961f1fd5]

	Change UTF8String -> WPXString, remove libwpd_support.{h|cpp} (replaced by libwpd_internal, libwpd_types, and WPXString), remove external visibility of exceptions (we now use a simple return value), character mappings are now static (so symbols don't bloat the library), fix bug that prevented multi-level lists from being emitted correctly, move UCS4->UTF8 stuff from WPXString to seperate functions (so we can later remove it without breaking our API). Ignore more generated files in .cvsignore.


2005-01-16  William Lachance  <wrlach@gmail.com>  [7c12b6c6ccf49de70fe58758d1f018a8c9f90d7d]

	More robust stream handling..


2005-01-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ac3b3848d1aaae3640e613ed4677e7bf43b3ff19]

	Bug 8132 fix; hopefully final msvc build hack


2004-12-29  William Lachance  <wrlach@gmail.com>  [04dc1735d0831f15c0f122afe3aa9d7b82404394]

	Column properties for sections and tables are now exported as lists of property lists (and are thus extensible without breaking libwpd's ABI). Handle importing tables embedded inside footnotes and endnotes correctly.


2004-12-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3a80d116d55ec4b7751cba049ca04dfc6eaf5d24]

	Use vsnprintf in a portable way + some win32 fixes (my forgetful head)


2004-12-28  William Lachance  <wrlach@gmail.com>  [d90d2dba6e7ce5189fbeaf5c21747b67c21e1c6c]

	Change the way tabs are passed to the target document, change some string naming conventions, refactor some common paragraph-related sub-functions into WPXHLListener.


2004-12-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [07996f90597ce4b2fcddadbb2fa7e18b278c92b7]

	Moving "confidence" enum into WPDocument.h


2004-12-08  William Lachance  <wrlach@gmail.com>  [556d10a77ebeafdb2013b3881433cc804884999a]

	Table refactoring (push more universally useful functionality from WriterPerfect into libwpd, + rename some properties), list refactoring (ditto).


2004-11-28  William Lachance  <wrlach@gmail.com>  [9b1f85ee8efd09a52c6c501e92bfee26dc4b4e6a]

	More libwpd refactoring: more types of floating point properties (inch, percent, and point), more renaming of properties, pull more generic filter code from writerperfect into libwpd.


2004-11-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9962de71cf8e1bac255397150d8ce9d29ec13d1a]

	Kind of fix the MSVC6 compilation; Add "make rpm" target


2004-11-26  Marc Maurer  <uwog@uwog.net>  [710f5f049c43a3425d746079ab5b1b0d96b7b7ca]

	Fix mismatched new[] delete[]


2004-11-25  William Lachance  <wrlach@gmail.com>  [97569068431aa3caadc45ac8d1c2105def4225ca]

	In-progress libwpd refactoring


2004-11-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [965647ad1bb915e7e027bd05e95adadb15b83128]

	Second part of Win32 (mingw and msvc) work


2004-11-15  William Lachance  <wrlach@gmail.com>  [72944d794be38b016eecc29380949ebbafdaa148]

	Use idiomatic shared pointers for table lists.


2004-11-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fbf0cc8add18533d50f114d14fc09b1e2b4804d7]

	MSVC (win32) build fixes + updated project files


2004-11-01  William Lachance  <wrlach@gmail.com>  [9711fba0c0141b96413fb280833d48f85ba174dc]

	Fix some errors in string handling.


2004-10-28  William Lachance  <wrlach@gmail.com>  [57a95e18141af6eacffbcbea5909d693bff7a4d6]

	Remove all use of UCSString class, replace with UTF8


2004-10-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ed67701cb85e492794e8896c8a0c0ef5a7fc3683]

	Make libwpd build inside OOo build system on Solaris (M. Meeks & F. Strba)


2004-10-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [af4ac2b64f64411577dcdbde843389d6c82e1990]

	Export the right headers; some modifications in dependency libraries


2004-09-29  Fridrich Strba  <fridrich.strba@bluewin.ch>  [89b8691b583062ab0661825060d282b592ea38f9]

	Allow to build a libgsf-independent libwpd


2004-09-27  Fridrich Strba  <fridrich.strba@bluewin.ch>  [17d8a1cdd26e4dee5fdecf5c20afac4b19829fd2]

	wpd2text enabled


2004-09-27  William Lachance  <wrlach@gmail.com>  [d0cb4b4bcd796405913b898a8f1b61569c85bd2b]

	Some documentation updates, do openHeader, openFooter instead of openHeaderFooter


2004-09-26  William Lachance  <wrlach@gmail.com>  [74e73db25bec8a7e2ac552b607dffe010fcf03c9]

	Pass around colours as strings, not integers and a little bit more cleanup.


2004-09-26  William Lachance  <wrlach@gmail.com>  [22b2d36e953a2f42588dbfbd361dde892c8cb87d]

	Completely document the WPXHLListenerImpl interface. Rename a whole bunch of properties to their xsl:fo equivalents.


2004-09-24  Fridrich Strba  <fridrich.strba@bluewin.ch>  [45a54675eee963dfe2ee59687157c75d8e1c02a1]

	Make fit the RGBSColor into propList


2004-09-23  William Lachance  <wrlach@gmail.com>  [2b4d8a5596d31224913eaa5e959c6c3f5a1e5119]

	Re-enabled HTML converter, further refactoring of internal listeners to reduce duplicate code.


2004-09-21  William Lachance  <wrlach@gmail.com>  [b1739e1d1bc7efa52630164522a198ce933a0698]

	Use an abstract list of properties, instead of specifying each of them individually in WPXHLListenerImpl.


2004-09-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [417f51bf4a55a1637e117f6af847c9107e871867]

	Fix of the building inside OOo


2004-09-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8cc01ef05174bd994ef235cc4b1fc23ed5a2495d]

	Text columns size and gap between them, row height modifications, vertical alignment of the content of a table cell. Improvement in tabulator conversion and some more doxygen comments


2004-08-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [93d86ab2eeb74b08ff6b41a31ce18974f7b0e2b0]

	WP6: Vertical alignment inside an table-cell; Colour of cell border


2004-08-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [19477d772ee89b10945dc9976d679f6647439e98]

	Attribute bits reloaded :-) I forgot to modify this yesterday


2004-08-25  William Lachance  <wrlach@gmail.com>  [b0523feb36d9c5cccc40547f7a18ad4afce15ba0]

	HEAD: Header file include to enable building on VC7, latest version of Michael's OOo makefile.mk.


2004-08-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fbd8b252152b9102c5bf24fe78a5ad1afe8949f3]

	Changes in CHANGES + include the src/lib/makefile.mk in "make dist"


2004-08-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [274b4c3ea18e3995a2a383aafe91bed7234cb7d2]

	WP6: Row height, Tab Set WPD2FOO: some glib types removed


2004-08-24  William Lachance  <wrlach@gmail.com>  [d848721b37ed4209d76bf2b77b5c72e0de22b736]

	Put mmeek's makefile.mk in the right place, update it.


2004-08-23  William Lachance  <wrlach@gmail.com>  [d17ccfbe98d065f8eacb27654edee05868934507]

	Commit updated makefile.mk, from Michael Meeks.


2004-08-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [caa95e8450f96cdc3a512e1876bb8b4a7560d60b]

	WP6: Text attributes and paragraph horizontal alignment set at the table cell level


2004-08-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fc4cff47ae83799ee861088914da02ed2b61f74c]

	WP6: Implementation of header row; Fixing callgraph errors and subsequent crashes in OOo of documents with LONG LONG tables


2004-08-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a218333e111cf7300417cdb02b8fc1bfb23673fa]

	WP3: Fixing pending problems in WP for Mac character conversion (Smokey Ardisson and Fridrich Strba) wpd2html: interprete correctly special characters in Html output.


2004-08-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e29f922fa97da283985087c160a52bd628981ce7]

	WP6: some fixes in the indents by tabs and simulation of WP behaviour in case when indents by different functions interact  in the same paragraph


2004-08-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8ee735e3248ece9c46d32f87201189893a836c56]

	WP3: Adding first line indent conversion; fixing errors in attributes      handling and page margins handling


2004-08-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2fb444dc0c8c87229794f04895c5bdd563f2fe48]

	Remove the Parsing Exception. I appologize and promis to improve :-(


2004-08-11  Fridrich Strba  <fridrich.strba@bluewin.ch>  [3c4b8cf187462a2323f6721ce7769d802a4c7d33]

	WP5: Add small caps conversion :-) WP6: Changes in tab conversion, added Left, L/R Indent and BackTab conversion      if they are not inside a paragraph


2004-08-10  Fridrich Strba  <fridrich.strba@bluewin.ch>  [18288169e14d07c2c02c32ea275417a3f56f154d]

	WP3 & WP5: page form, page margins and orientation, line spacing, paragraph justification. All: Paragraph margins due to the page margin now adjust after page margin effectively changes; some functions moved to WPX framework and a little fix of MSVC compilation; Added a concise Mac OSX section in our README file.


2004-08-08  William Lachance  <wrlach@gmail.com>  [f0225e1e21c7aaa004137ef87349580ce0dbff69]

	Bring generic table handling code into the WPX listener. Also clean up the table code a bunch. Various hacks to the page span code to make sure we generate a valid callgraph every time.


2004-08-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [85d6253072212c8cd262d56c8fd0f8688a7f601a]

	Changing the conversion of Soft returns and Soft Pages in WP5Parser


2004-08-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1082f8e729cef36a361b7f1f8dcd57adf481cb9f]

	The third is the good one. Repairing Copy/Paste error


2004-08-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [018a64d9351368fb2bf5b82e8ce56df3ae82082b]

	Use DESIRED values instead of EFFECTIVE onesUse DESIRED values instead of EFFECTIVE ones


2004-08-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [87329a6503459954b5b3468bd81342fd15a590bd]

	WP5 parser: extended character, page margins, page form and orientation...


2004-08-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [02e2eefed4dc3be9b11555425426d7ef62a39b74]

	Handling of the Undo and Attribute groups in the WP3 Parser


2004-08-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f4543f7625925da6b52d5d3002002f6cccb1c784]

	WP for Mac parser: added extended character set conversion, hard spaces and hyphens


2004-08-01  William Lachance  <wrlach@gmail.com>  [67f238b2fe0c4bb6ce4deafefe7af92e9bda7c21]

	Add makefile.mk to the libwpd tree, which does nothing normally, but makes it easier to build libwpd inside the ooo-build environment.


2004-08-01  William Lachance  <wrlach@gmail.com>  [81fe85c054b8be0f140e9e47ff5bf4763823e1a9]

	Apply Michael Meeks' work to finish removing the mandatory glib/libgsf dependancy. Update CREDITS.


2004-07-29  William Lachance  <wrlach@gmail.com>  [9d7015a108f8e2b19fb27a1297ad4c26491acbca]

	Link to static versions of glib functions for utf8 string handling.


2004-07-22  Marc Maurer  <uwog@uwog.net>  [4b16ee98c703311d474cf9e930bcbcedc4f7dae5]

	WP3 Newline / Pagebreak support


2004-07-21  Marc Maurer  <uwog@uwog.net>  [9053e59b2b6a581e6511787446c9f2babc5e8c41]

	Initial Mac WordPerfect 3.0-3.5 file format support


2004-07-19  Marc Maurer  <uwog@uwog.net>  [0fb7e336ea843a7bd9cf39e247bff064f5d95694]

	Initial Mac WordPerfect 3.0-3.5 file format support


2004-07-07  William Lachance  <wrlach@gmail.com>  [a8ecd2d0ca56352e6d031f4154c592ea443e91dd]

	Fix various tiny errors found in the table code while doing the backport.


2004-06-23  Fridrich Strba  <fridrich.strba@bluewin.ch>  [a3a70c1f3a871214743a6db116a642ce1946b89d]

	Removing some other glib types


2004-06-22  Fridrich Strba  <fridrich.strba@bluewin.ch>  [c6167e495408276397be8537a803b9b3534f8286]

	Small typos


2004-06-21  William Lachance  <wrlach@gmail.com>  [3ce88019a22ea4eeb3c8030268b8ddfb87eef814]

	Various memory leaks/illegal memory operations. New, reference counted WPXTableList class.


2004-06-10  Marc Maurer  <uwog@uwog.net>  [56f7fed25dc59dc2161014e31993df51214638f9]

	Updated callgraph test method


2004-06-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [71ab7dc132b72faed44ad37d2e4adfe5913c3608]

	Correction of a typo; MinGW has a stdint.h implemented


2004-06-03  William Lachance  <wrlach@gmail.com>  [9e39a8fd137a6216bc167b9c191988bdb624e571]

	NITI: Handle cases where tables are embedded in a header/footer correctly 100% of the time.


2004-06-03  William Lachance  <wrlach@gmail.com>  [15cc8faeb6a6fb4ee9ca34df2555f6ba11f8df81]

	Use stdint types instead of glib types (defining them manually on win32, where stdint.h does not exist: needs testing). Another step to removing the glib dependancy.


2004-05-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d793701bdb7f905869ca3fe3d1602a144dd606fd]

	Unbreak the build


2004-05-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4f5c09c27a2884428fd5e571cec608d3be64553c]

	MinGW need <assert.h> too


2004-05-06  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d05eb930c53e20a0edd1a3ab67acab40008e6cc1]

	Fixed compilation on MSVC; Changed class name from "Exception" to "GenericException" in order not to have conflict with OOo SDK classes


2004-05-05  William Lachance  <wrlach@gmail.com>  [04d75e86474fe6dab54d796116d954eb26587df7]

	NITI: Use C++ vector instead of C++ heap variables for storing tab information. Minor coding style changes.


2004-05-05  William Lachance  <wrlach@gmail.com>  [de693cc03be4319ec0bf6f1af921d0eb130d69d1]

	NITI: Fix stupid use of g_object_unref where we should have been using delete..


2004-04-28  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f590aea6b2cb3bf79f80764f1d4c0cf52b73c88a]

	Tab Group refactoring 4/100


2004-04-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8fec1a488ae90fd750110ceb5243f2b51f6383fa]

	Tab Group refactoring 4 of 100: I forgot to parse isRelative information


2004-04-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [82d29a0a6b42f127a3ba0742e8a25af5f6625f4e]

	Tab Group refactoring 3 of 100; leave element "black" in the font name ...


2004-04-13  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d6ad38a7623b676c1b2bc65582e582316a7990d7]

	Tab Group refactoring 2 of 100; removing unused formName information


2004-04-12  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ae76012b50f9028a651ae0338cd0a83780f536f8]

	Tab-group refactoring: 1 of 100 :-)


2004-04-08  Marc Maurer  <uwog@uwog.net>  [7b6df99ed1abd5060326643ed449343f42650669]

	Forwardport: Be more carefull to handle plain text files && add some debug messages


2004-04-07  William Lachance  <wrlach@gmail.com>  [a4c2e55afd1ffbf9848d566f0c26a40e9fc17fdd]

	Fix to allow libwpd to compile again with debian-unstable.


2004-04-04  William Lachance  <wrlach@gmail.com>  [7c5f6a8a3404fdff9c9b87f216fb83c6bc313958]

	Fix a small leak with OLE documents Fix a small leak in our error-handling code


2004-04-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2782707b823a4952f78e83d5e99f41498d897ca4]

	Change from "FUCNTION" to "FUNCTION"


2004-04-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [58e16e0fc13e96bd1b7ebd06accd02afed85d8a6]

	Updating the msvc project files


2004-04-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [01e5fcf209ece2eff00d4e69ba79a27349ddbf8a]

	Don't know whether it is a good patch, but it removes crashes from our regression testset


2004-04-01  William Lachance  <wrlach@gmail.com>  [afd95d8870aeec5afcfe7d95e2830f46fc12e35b]

	gsf_le_read_gXX -> readXX (naming convention change, now that we don't use gsf) fix incorrect deallocation of memory in WPXMemoryStream fix crasher with tables inside a header/footer (and maybe a foot/end note?) handle case where table is never explicitly started, only defined


2004-03-26  Fridrich Strba  <fridrich.strba@bluewin.ch>  [47217d29f8be367448b493ab3d5bac90f52bce2b]

	Small change in HtmlListenerImpl -- line spacing also in lists


2004-03-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [15e4693d208afbddb2cce26383333aa8fa1006af]

	Small correction of doxygen documentation


2004-03-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8bf8b93ad968a323273037234ea54a3839191ec4]

	Changes in Copyright info + small change in HtmlListenerImpl.cpp


2004-03-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [75f06fa49244191d656a72c9c958b09da6b07965]

	Handling of line breaks in WP6 framework


2004-03-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e3f915cc8d19b06e362f023ea068a706b7911e43]

	Addapted wpd2html and wpd2text to some of new features of libwpd


2004-03-22  William Lachance  <wrlach@gmail.com>  [4621ba1a7be56c5422d324a8e205eb37c84976c4]

	Initial stream refactoring


2004-03-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [ce1d4fa5edc3b32a4d3f3fd25a469e0c0adbb79b]

	Moving MSVC project files to normal distribution


2004-03-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [efde374f2263d5bab22719a59ef339a71861b87c]

	Reverting everything and going home. I did enough mess today


2004-03-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [019e95f1689ae3b95adc7da16166864c987b9211]

	Sorry for rising the revision names. I think, I need a coffee.


2004-03-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fe81719464e44a7a7dcf3d6efdeb14c80413af3d]

	Third "paragraphSpacingBefore" commit: maybe the good one :-)


2004-03-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fdab92ef6a64e9d540b899215a0f6dc90ced84d7]

	Just a little modification in the documentation


2004-03-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [66b1cc6f3d9b3b9ad3c03f328a2f983a37940c3d]

	Delay in application of spacingBeforeParagraph


2004-03-19  Fridrich Strba  <fridrich.strba@bluewin.ch>  [fa72305ddc467e98284ab68fc77a6f2dffe82a9c]

	Spacing before paragraph


2004-03-19  William Lachance  <wrlach@gmail.com>  [585f7a491ddb7c9811e5fccce00e49de0116aecb]

	Fix typo in comments.


2004-03-19  William Lachance  <wrlach@gmail.com>  [2fb4e4978112474177538972779be499192f8ed3]

	More documentation of the high level listener callback class.


2004-03-18  William Lachance  <wrlach@gmail.com>  [da5be52e532f57e05a2a74cbc8873db7bc429f07]

	Remove calls to change span properties in openParagraph and openListElement. Make calls to openSpan immediately after instead.


2004-03-16  Marc Maurer  <uwog@uwog.net>  [b0bac366cad41e22cbb9b93165cc6be5100446ca]

	Fix callgraph test ;-/


2004-03-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0c7da7db500c14816d0a1d4d1eede6e95f69629f]

	Handling correctly page and paragraph margins in headers and footers


2004-03-16  Fridrich Strba  <fridrich.strba@bluewin.ch>  [98a1b8765154dcc24a17c758e5058608c999bd6d]

	Partially reverting my patch


2004-03-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6e979a70ead2b44c0a73a03cf70b524e2c7629eb]

	Right and Left alignment of headers and footers.


2004-03-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [038539bdb0b61c14a16717df92f9a6ff96c04bf4]

	in WPXHLListener::handleSubDocument(...), copy page properties from the old parsing state to the new one


2004-03-14  Fridrich Strba  <fridrich.strba@bluewin.ch>  [96910f7164e05cf7a119f16d57b8fdfb6baea953]

	Spacing after paragraph and paragraph indentation


2004-03-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9af624f0ea7e880099c9e8fb35a11b0d9592e08a]

	Update the changelog


2004-03-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0ec8cf5428b6e8bd9f84c2476e56ee4becca1ed3]

	Text highlight handling, changes in wpd2raw output


2004-03-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0c90f1d22524fe84d2848e446e183b96f9ede8e4]

	Fixed bug in WP6FixedLengthGroup handling


2004-03-09  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f4e7a1a68c8264977a5393b4d77a5e7c6dbb1022]

	Corrections of the font colour conversion


2004-03-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [84dde1517ab8f58e3b33103c04f4567bd9d8198c]

	Black is #000000 and not #ffffff -- bad me


2004-03-08  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9bcb95a9ca1a15a4917cfc9e3f786e3388810cbc]

	Added font colour conversion, bumped version, changed changes


2004-03-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [2fdb5e63a97bee2e4fc2affe0cd9f80817e5a088]

	Conversion of Page Form (A4, Letter,...) and Orientation (portrait/landscape)


2004-03-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1fc02cfed738ef8507ddf7bde6b72ad172dc12fd]

	Fixed two small bugs, i.e. foot/endnote number reporting


2004-02-29  Marc Maurer  <uwog@uwog.net>  [f19b0ab2d7995977574140be7b5f5eecf55d5a55]

	(c) typo


2004-02-29  Marc Maurer  <uwog@uwog.net>  [1720c37b187fbb549eb830e6630cd241fbbb78fe]

	Add all parameters and add --callgraph


2004-02-29  Marc Maurer  <uwog@uwog.net>  [452fbad412b0d62a06fabae09fafb1da46140ff9]

	typo's


2004-02-28  William Lachance  <wrlach@gmail.com>  [ec744ff24a039579f062365c64800f94f403ed79]

	Import font names properly on big endian systems (patch by Ted Lemon)


2004-02-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [07c4df44c19eacc304a3bac8ca7fb47927521ae3]

	Update CHANGES


2004-02-25  Fridrich Strba  <fridrich.strba@bluewin.ch>  [280844a5bd35f6bfe2d378fe73535a8d81102250]

	Fix full justification


2004-02-21  Marc Maurer  <uwog@uwog.net>  [ee218d9ad07d70f8d19bb1d05a8ee0aff3d1c24b]

	Update changelog


2004-02-21  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1840625a042970aa79cf9c4113d2877c03bcbe6c]

	This is surely what Marc wanted :-)


2004-02-20  Marc Maurer  <uwog@uwog.net>  [031a9c3c5a0dec3a89ca6b1a07282dd8ce13d137]

	Properly check if a file format is supported or not


2004-02-20  Fridrich Strba  <fridrich.strba@bluewin.ch>  [4c6334323f043a80cf652919c8502c2d87842fae]

	Removed some unnecessary files and added one .cvsignore


2004-02-20  Marc Maurer  <uwog@uwog.net>  [f8e8bcb2c3d8db23908fd85551ee3bf8301b3c8b]

	update copyright info


2004-02-20  Marc Maurer  <uwog@uwog.net>  [d1ec91601860e095a16c4b1a8054052bf9c8a33e]

	Handle unsupported file types more gracefull


2004-02-19  Marc Maurer  <uwog@uwog.net>  [c5d40f0ab05896f4a38a0ce96b58f8d05c4c0d06]

	Unbreak debug build


2004-02-18  Fridrich Strba  <fridrich.strba@bluewin.ch>  [49f626b57b522acfa5afa13ed4bb76fb379285c8]

	Added handling of WP6 charset 3 (box drawing)


2004-02-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [f736f513445b8b11360e16b964010175d0f261df]

	Updating the changelog


2004-02-17  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8d73715e0dbf4e08c4b3d891d9b4bb2c7a4bfb7b]

	Hard spaces, soft hyphens, deletable whatevers and some other single byte functions


2004-02-06  Marc Maurer  <uwog@uwog.net>  [5b635f69ce37ef3a8b3c58f48f8323647eb973ac]

	Fix MSVC build


2004-02-05  Marc Maurer  <uwog@uwog.net>  [008a9fe0a1cb513d2feb15d85da678dddc5b7ebd]

	Update changes


2004-02-05  Marc Maurer  <uwog@uwog.net>  [4777470b99eb7add235218f7ffe94aeee6c5b1d7]

	Add /GF switch


2004-02-02  Marc Maurer  <uwog@uwog.net>  [168fb6b5f96b93df0624d824aeff1b9c7ca16c1b]

	Add missing items to our raw listener


2004-01-31  Marc Maurer  <uwog@uwog.net>  [90078e735f4b842d6fc3bef58b46218d1836f899]

	Windows versioning: add a BUILDNUMBER (Fridrich Strba)


2004-01-31  Marc Maurer  <uwog@uwog.net>  [f656dc021e84a56846a63cae150f956654ac26fe]

	Page break handling refactoring


2004-01-30  William Lachance  <wrlach@gmail.com>  [11acb91275d4587193c2023ce0e234d85bbce295]

	bump version number


2004-01-30  Marc Maurer  <uwog@uwog.net>  [3882657cad3f09ebfc118f472462380643082792]

	Add missing WP5FormatGroup, for page break handing


2004-01-29  Marc Maurer  <uwog@uwog.net>  [f7b24ba3d325edd7da2738244da2086036fbaaf3]

	Unbreak tree && Some pieces of WP5/4.2 page break support && more unknown stuff :)


2004-01-28  Marc Maurer  <uwog@uwog.net>  [6b2a524b39da959af8a09b975608a2ca69fa4a29]

	unbreak subdocument handling (Marc Maurer, Fridrich Strba)


2004-01-26  Marc Maurer  <uwog@uwog.net>  [8eb3fa57d02dee64a3868664f2a48cc4613dc4a6]

	Multinational character map fixes (Fridrich Strba)


2004-01-26  Marc Maurer  <uwog@uwog.net>  [ff3a271d6d708aded44342409a563ae77a060e8f]

	Fix handling of sub documents


2004-01-15  Marc Maurer  <uwog@uwog.net>  [1d7403ac4ba3fe79811c8f0ff3cce2db34752cf9]

	Fix errors in the international character map handling


2004-01-15  Marc Maurer  <uwog@uwog.net>  [2e138c8f843be5c461665e082319c6b99446e44a]

	Close page spans properly


2004-01-15  Marc Maurer  <uwog@uwog.net>  [22a2284c1bb530deb88c8440a6c312e50ddf1503]

	Make closePageSpan and insertCoveredCell pure virtual


2004-01-13  Marc Maurer  <uwog@uwog.net>  [cd2cdc21628958c167c91ab5a5c142e28d1b0e8c]

	Remove redundant readme


2004-01-13  Marc Maurer  <uwog@uwog.net>  [ec6f06a4a1fb4b95d5a3dbc7b66deee7b3143c88]

	MingW README by Fridrich Strba!


2004-01-11  Marc Maurer  <uwog@uwog.net>  [3a3d96e65dfec1fa19ae588fe1aac1aa00765cb2]

	Make setDocumentMetaData pure virtual


2004-01-10  Marc Maurer  <uwog@uwog.net>  [45a4e0cb510651889c370a86f724f6bb5f38f7fa]

	Rework wpd2raw, and fix some bugs in the WP42 and WP5 listeners that wpd2raw immediately showed :-)


2004-01-09  Marc Maurer  <uwog@uwog.net>  [022d9d2a7545e8aa7084d2faf5cbbf3b541be2af]

	MSVC build documentation


2004-01-08  Marc Maurer  <uwog@uwog.net>  [cdd1ac8eca4c15aebe0b7fb7d2303c17e5c9ef98]

	Added the windows version information for the executables wpd2*.exe (patch by Fridrich)


2004-01-06  Marc Maurer  <uwog@uwog.net>  [a472f1601b66ce11ba2e7d1c79b55c0adff835c4]

	Update msvc project files


2004-01-06  Marc Maurer  <uwog@uwog.net>  [0b7d2277994d7bcc7865fc973cde1484ce5bfaac]

	Make versioning more portable (patch by Fridrich Strba)


2004-01-05  Marc Maurer  <uwog@uwog.net>  [cbf34229132e470a97ceb8ce5fe4e1fffacdc0c8]

	Fix some issues in the WP42/5 lister, to make all my test documents load in abiword


2004-01-05  Marc Maurer  <uwog@uwog.net>  [c7aa4b478b18bc7e06b613557d2e099dad3a675f]

	Fix copyright info


2004-01-05  Marc Maurer  <uwog@uwog.net>  [7a7501154e7e5c56052f821e1babfeb245a80024]

	Handle undocumented WP42 groups properly


2004-01-05  Marc Maurer  <uwog@uwog.net>  [0b91bd8bc3ca92ddbc76e5d4ab4f4a81fc4b54a0]

	Don't insert paragraphs between the opening of a table and the opening of a cell.


2004-01-04  Marc Maurer  <uwog@uwog.net>  [741202f4a92c86481e34f41201afd2349ce098c9]

	Generate documentation for all classes


2004-01-04  Marc Maurer  <uwog@uwog.net>  [e2fb8ba0278e23ff775a7ebad127eeaeb8e88605]

	Add title in generated documentation


2004-01-04  Marc Maurer  <uwog@uwog.net>  [89fa58b5efd584682e9afc8aa80b7233a96cf45a]

	Major libwpd refactoring, reducing code duplication


2003-12-31  Marc Maurer  <uwog@uwog.net>  [f25b4df406be284d1ceb2401a66239e182e30544]

	Doxygen Documentation support && Diagram of the new parser infrastructure


2003-12-21  Marc Maurer  <uwog@uwog.net>  [7ac1d42a2fcb4067baa3b5936ecb304313a30925]

	Fix rpm building (patch by Rui Miguel Seabra)


2003-12-15  Marc Maurer  <uwog@uwog.net>  [c058614ffe125fe2d9874c5d8bb65fe43e3d1c60]

	Improve build system for building static libs (Fridrich Strba)


2003-12-05  Marc Maurer  <uwog@uwog.net>  [28128b0d0fef414c26d1567a00ea3fa002fa7173]

	Fix build system - bad me


2003-12-05  Marc Maurer  <uwog@uwog.net>  [288c439a2546f1aab1515b30cff9b5a5345d98fa]

	mingw build system updates by Fridrich Strba


2003-11-24  Marc Maurer  <uwog@uwog.net>  [fce2c617854605889810ac9b4ed1600447771278]

	MingW build system work (Fridrich Strba)


2003-11-22  Marc Maurer  <uwog@uwog.net>  [bcaf50bb828a7bdd04b2f8e702f444e83e398302]

	Initial MingW build system - patch by Fridrich Strba


2003-11-18  Marc Maurer  <uwog@uwog.net>  [e1ad0eff7bc8cf2f6ebc363402151746a5625767]

	Update CHANGES file


2003-11-18  Marc Maurer  <uwog@uwog.net>  [48588f8a3241e9af5c747cc2df12bb539acb1324]

	Reduce the shitload of header files that are installed.


2003-11-17  Marc Maurer  <uwog@uwog.net>  [83d3305d75f423cbf05eb837733e0a95b748a738]

	MSVC build fix


2003-11-17  Marc Maurer  <uwog@uwog.net>  [5d898373eff7773e46e70af1a3d792b07c85c122]

	Updated MSVC6 projects files


2003-11-17  Marc Maurer  <uwog@uwog.net>  [1e4d8e0a4a1b7c66ce7537b41123f2d4c9f73dc7]

	remove some unneeded casts


2003-11-16  Marc Maurer  <uwog@uwog.net>  [cf5b76f0ee96597f8c8bf4f28ffcba12eddb6058]

	Add some missing 'public' entities


2003-11-16  Marc Maurer  <uwog@uwog.net>  [198e34aed02c7f8736666705f388de0dde335814]

	Move the WP6 Parser to the new Listener infrastructure


2003-11-09  Marc Maurer  <uwog@uwog.net>  [40a649f5bd53123798358562f1d40080417d92c9]

	Move the WP5 framework to the future 'WPXHLListener' design


2003-11-09  Marc Maurer  <uwog@uwog.net>  [63dd39e7c1b3e7bf0b68b8c29b87a4797e21168b]

	Move the WP4 framework to the future 'WPXHLListener' design


2003-11-09  Marc Maurer  <uwog@uwog.net>  [f6b0e17af47274fa1c710e2839ca6d33b13b9ebd]

	Move the WP4 framework to the future 'WPXHLListener' design


2003-11-09  Marc Maurer  <uwog@uwog.net>  [1e2e95035a11aa699d230bcd3257184a47d1bf56]

	s/libwpd2/libwpd/g :-)


2003-11-08  Marc Maurer  <uwog@uwog.net>  [c65c6acd46c4da7aec09d419a747cc4b66fccd3c]

	Add more verbose error logging


2003-11-08  Marc Maurer  <uwog@uwog.net>  [4a47f63242fbf60cf0491f96cda2d31cff803487]

	Make the text converter use the high level framework && some small tweaks


2003-11-08  Marc Maurer  <uwog@uwog.net>  [93d0511774ba8fea53d45954d753c7071fd5de7b]

	remove low level support from WPDocument


2003-11-03  William Lachance  <wrlach@gmail.com>  [a51598dc8ce90cb67089387792169cfc91784a35]

	fix minor memory access problem (only present in debugging code)


2003-11-02  Marc Maurer  <uwog@uwog.net>  [08c3b71a9c8a28ec3674ef77b0b54beaae595518]

	Update MSVC6 Project files


2003-11-02  Marc Maurer  <uwog@uwog.net>  [f14b54cdb6c11b7d6ffb8e0493562a22d821591c]

	Remove stale files


2003-10-31  Marc Maurer  <uwog@uwog.net>  [a9e7add039a0f4adf09760e9b4145d57bd990cab]

	Fix hanging on parsing Document Summaries


2003-10-31  Marc Maurer  <uwog@uwog.net>  [8788447e27d56d17482f2019f92773ca41130242]

	Fix WP5 parsing bugs Support WP5 text attributes


2003-10-23  William Lachance  <wrlach@gmail.com>  [72d5f7918985717b6ae82931ee26c2b8a7eb8690]

	Fix construction of unsupported variable length groups.


2003-10-20  William Lachance  <wrlach@gmail.com>  [1d866520c67b7b58bc791ebee2ca353b5f16757f]

	Comment out insane "line breaking code" (doesn't seem to cause any ill-effects, requires further testing though). Re-enable a bit of deleting. Remove an unused variable from WP6VariableLengthGroup. Add a bit of code to allow some space after a column section.


2003-10-18  Marc Maurer  <uwog@uwog.net>  [608bb2a4cefcb14104d62cb231a973942114bfa9]

	Update MSVC project files, and various fixes to make libwpd compile on win32 again, yay!


2003-10-18  Marc Maurer  <uwog@uwog.net>  [3964f8098e8ce465242ee2bdeb105fd96817563c]

	Remove unused files (i think)


2003-10-17  William Lachance  <wrlach@gmail.com>  [caa5dc54ee72cd0256c06bcab390ee46cd3141e2]

	Make WPXHeader's destructor virtual.


2003-10-14  Marc Maurer  <uwog@uwog.net>  [9419f330c6d677f77d85d690fcee3223c815ae0e]

	OLE wrapped document support, kinda


2003-10-11  Marc Maurer  <uwog@uwog.net>  [7ed39bbac55940dcf75b1ce92e658f3a6cf747b1]

	wp5.x support && add wp6unsupported fixed length function && lots of bugfixes


2003-10-07  Marc Maurer  <uwog@uwog.net>  [e4855f7b3ce2dc302a4270bd77dd50970045528c]

	Fix illegal memory access.... YUCK. DIE BUG, DIE!


2003-10-01  Marc Maurer  <uwog@uwog.net>  [73f8010213a029a4f5f73b739fe4a9a08794d3a9]

	Add 'force parser' routine to WPDocument


2003-09-30  Marc Maurer  <uwog@uwog.net>  [6f8735d4c0d601ca1a69e967650fe0ac5ba95ab1]

	Fix double free


2003-09-30  Marc Maurer  <uwog@uwog.net>  [040dcc4e2fa7115fe7c04a231676ea8a3ccab6f2]

	add isFileFormatSupported and fix WP4.2 attribute handling


2003-09-29  Marc Maurer  <uwog@uwog.net>  [0b2849f2fc8bcfdd657dd787b8679820cf12056c]

	WP4.2 file detection heuristics WP4.2 file attribute support (bold, italics, stikeout, underline)


2003-09-27  Marc Maurer  <uwog@uwog.net>  [2c03e78af2aaf27f907d736d192502710d30ecc9]

	Add support for WP4.2 document types


2003-09-26  William Lachance  <wrlach@gmail.com>  [1969908f1df2948621e68a7f7e717e8f2c57a545]

	update CHANGES, unicode tweak, version bump


2003-09-22  William Lachance  <wrlach@gmail.com>  [096c4c34e4794541d4a5376341056bce5cda5506]

	add support for more types of table cell shading/colouring (fixes rendering error in largo document)


2003-09-21  William Lachance  <wrlach@gmail.com>  [43f554184867cd9e9e482e671720ad454e5e8409]

	We now handle numbering lists with no "paragraph number" code (Largo list now imports correctly)


2003-09-15  Marc Maurer  <uwog@uwog.net>  [5505fc47b96873d3c85736af1714b6bb1bfc38da]

	bump version number build system patch


2003-09-15  William Lachance  <wrlach@gmail.com>  [4791e0a5081e70781b686b3835d8118e4cdd5e49]

	Export the following WP6 Attributes: redlining, double underlining, small caps, outlining, and blink.


2003-09-08  William Lachance  <wrlach@gmail.com>  [3661eacb3da2eb0daa463f670d5369c126b23d72]

	minor updates for release 0.6.1


2003-09-07  William Lachance  <wrlach@gmail.com>  [5454f4007baa6e41ec737cc752f3bac8b124a6d7]

	Remove some list element inserting code: now list levels and list elements are truly seperate in the interface (producing output with an HTML-like syntax, as opposed to a buggy-OOo-like syntax)


2003-09-02  William Lachance  <wrlach@gmail.com>  [ce249eeca550780b5846ce17397bc0df68cbf701]

	Minor CREDITS and CHANGES update.


2003-08-30  William Lachance  <wrlach@gmail.com>  [3b1f6333a5e32a038e0b37e0f4090219a42b2266]

	Update libwpd to handle margin offsets, and remove margins from the sectionhandling code. Send margin offsets to various items in the HLL listener (list elements, tables). Fix bug with tables and long documents.


2003-08-24  William Lachance  <wrlach@gmail.com>  [9ccef8dc631607b18aae4f22ff807c635f08b5d3]

	Properly ignore watermarks


2003-08-24  William Lachance  <wrlach@gmail.com>  [3c604169537bfd7182e8f26fedf75534a60eeb50]

	Take out old code that attempted to drive the parsing code based on parsing results (no longer necessary), handle corrupt 0x00 token correctly in parser.


2003-08-23  William Lachance  <wrlach@gmail.com>  [d0a4edd4ebd8c5cfe8fd1304d939a98831505436]

	libwpd now has a file detection function built-in. html, text, and raw importers now fail pre-emptively if the file isn't a wp6 document.


2003-08-23  Marc Maurer  <uwog@uwog.net>  [e454629e8d359a4bb5361591620e30d8e2735890]

	bumb version number to 0.6.0


2003-08-23  William Lachance  <wrlach@gmail.com>  [bdc620fe48bd1d6b436172b6d21b1f63e72addfb]

	Forgot to include new header file due to recent refactorization..


2003-08-23  William Lachance  <wrlach@gmail.com>  [481a0711ed8e08bfcd938646e89e516f4e7cd889]

	We now seem to handle just about any header/footer case you can think of: arbitrary suppression, alternate right/left headers/footers, etc, etc.

	Also did some robustness work with libwpd.

2003-08-07  William Lachance  <wrlach@gmail.com>  [167aa209db4c87f7fc4ae3e920845ec2664381e4]

	Forgot to add internal page class (for high-level listener) as part of previous commit


2003-08-07  William Lachance  <wrlach@gmail.com>  [6a1da86743a3a4d65802fd176e5f267cf0c10bc2]

	Split parser to provide both a high-level/low-level interface, handle page spans, handle top/bottom page margins, start of header/footer support, several additions to UTF8String class (for wpd2sxw).


2003-07-07  William Lachance  <wrlach@gmail.com>  [e76c6297de956210a2552139ce3a4024c20e4350]

	Handle hidden table borders better (updated parsing framework to allow this). String class updates.


2003-06-01  Marc Maurer  <uwog@uwog.net>  [181b4f282f94553e653a46ca586ccc55eb5299c1]

	Start of table border support


2003-05-27  William Lachance  <wrlach@gmail.com>  [ae276be9624fc0d836e1d1cf74a46600164af04c]

	Commit Ted Lemon's tibetan extended character work.


2003-05-26  William Lachance  <wrlach@gmail.com>  [64f615b86ac0726fa9cd559dd2d60d5af72ec3a8]

	Remove an unused boolean.


2003-05-26  William Lachance  <wrlach@gmail.com>  [753014821a82f6af5858a62b6868e175073ecd5c]

	add missing libwpd_internal for gsf endianness casts


2003-05-26  William Lachance  <wrlach@gmail.com>  [a7b508d2a90002c2b30c1a5ea4a097c0ad939d77]

	fix minor bug which was causing an additional paragraph break after the end of a table (introduced with new line-handling code)


2003-05-26  William Lachance  <wrlach@gmail.com>  [fd53166e1311b6ed36ea5ea4bb30be5e12696570]

	Make our high-level interface slightly more consistent.


2003-05-26  William Lachance  <wrlach@gmail.com>  [17c6980d438a69770cb0cd8b9829bc5aae085eb7]

	Commit Rui's build patches (rpms now build again, updated rpm building process) and cvs patches (.cvsignore), updated CREDITS appropriately


2003-05-26  William Lachance  <wrlach@gmail.com>  [9fcb4ed88118d5ef3d7e6ac1f0249a9783636a04]

	Fix erroneous conversion of 'TRUE' value to 'true' for internal libgsf stuff


2003-05-26  William Lachance  <wrlach@gmail.com>  [7c1b0a4cf9ae8ebf3878f3683a5756a28d0565e7]

	Change the way tab justifications work. We now change the justification for the paragraph on a tab-justify _only_ if no text has been inserted into the current paragraph yet. Otherwise fallback to inserting a plain tab. remove unnecessary use of glib types: gboolean->bool, gint->int, gfloat->float


2003-05-25  William Lachance  <wrlach@gmail.com>  [76d354e4448f32135b43cf4324696e3b552d706e]

	make sure low-level table messages aren't acted on if undo is on


2003-05-24  William Lachance  <wrlach@gmail.com>  [876334ba09a63bf86fae72c1997be454c02f2e2a]

	support big-endian archictectures, some libgsf cast cleanups


2003-05-22  William Lachance  <wrlach@gmail.com>  [620ee8c515e8cbde3bf782ee04fe9d8a51e07e23]

	Allow justification changes on tabs, massive refactoring of how we do paragraph breaking (defer until the last _possible_ moment, to make sure we get the absolute latest justification)


2003-05-21  William Lachance  <wrlach@gmail.com>  [14d622259810a01d24154bbff111600463654646]

	add fjf's shared library patch (libwpd now builds as a shared library), add fjf to the CREDITS, update CHANGES file (probably still incomplete), update TODO


2003-05-14  William Lachance  <wrlach@gmail.com>  [a1d3194903e83e72d3c4609aa9a11f88fe6351e5]

	pass column information by reference, not by value. some more minor font tweaks.


2003-05-13  Marc Maurer  <uwog@uwog.net>  [6e4daaacb548be1437b73c12c8767cd26c11315c]

	bumb version number to 0.5.0


2003-05-13  William Lachance  <wrlach@gmail.com>  [2e8004ddea8232679b1f5aceead8e78c28e42dd9]

	Update font munging code (eliminate "-WP" postfix, add more bogus tokens to our list, we now eliminate multiple bogus tokens), correct a problem with tabs and character/paragraph properties.


2003-05-12  William Lachance  <wrlach@gmail.com>  [c2c4ad1f347962f2bf84656934b6a61ff92690a3]

	don't automatically insert a section inside a footnote/endnote, fix spelling error (defintion -> definition),


2003-05-10  William Lachance  <wrlach@gmail.com>  [8a28df394bf1017c449bd4da20fd2141dcfde8ce]

	fix justification regression


2003-05-10  Marc Maurer  <uwog@uwog.net>  [abe0e83bc455fa4e0c89b85fbded661510e58152]

	Table Column Width support && start of table properties support


2003-05-10  William Lachance  <wrlach@gmail.com>  [4898ba270762a0e2a92b8d3387529bbeee86f7b0]

	Handle the global on/off style groups, removing superfluous footnote/endnote style definition stuff from the note bodies.


2003-05-09  William Lachance  <wrlach@gmail.com>  [80c62ebaf7c3c6fb9dc8fd6fbc1f179cbc37789a]

	fix minor bug which was causing paragraph breaks around footnotes and endnotes.


2003-05-09  William Lachance  <wrlach@gmail.com>  [ed16c74f5593f940915e8828dfd4ed4db35d016e]

	add endnote support, change function definition slightly for low-level listener footnote/endnote messages


2003-05-09  William Lachance  <wrlach@gmail.com>  [e08e405ceeea7abd10e8cb67db91ad0b62eb4798]

	Add footnote numbering, uncomment footnote code, change the coding style on the StyleState enumeration


2003-05-06  William Lachance  <wrlach@gmail.com>  [581c420c8d190c636d8335e65ceafecb54181bb2]

	line spacing, numbered list span props (font size, etc.), explicit tab definition (for OpenOffice.org, which doesn't use unicode tabs), beginning of infrastructure for footnotes and endnotes (actual functionality is currently stubbed out)


2003-05-01  William Lachance  <wrlach@gmail.com>  [bce120f7a298eee343c00e631d2812d876719cdd]

	add a blank constructor to RGBSColor, removed some stale code from WP6CharacterGroup


2003-05-01  William Lachance  <wrlach@gmail.com>  [fe39c8c8c688e8d42cc80f5c5a06cb8411a03c83]

	Support more table codes in the EOL group (fixes problem where tables would span more rows than they're supposed to)


2003-05-01  William Lachance  <wrlach@gmail.com>  [b78d2012638205ee90b80dc9ba2466b324c5bd2f]

	new, way better prefix packet infrastructure. support for wordperfect documentation metadata (application implementation is optional), more intelligent handling of WordPerfect 16-bit character data, other misc. refactoring


2003-04-28  William Lachance  <wrlach@gmail.com>  [a085a7e4fecac03f2870c5bb05ffeb0051ca04ef]

	Fix incorrect sizing of a WordPerfect EOL group embedded subfunction (cell number group), add some messages to the raw filter, cleanup our handling of paragraph justification.


2003-04-26  Marc Maurer  <uwog@uwog.net>  [68a9d210269961cccd07ea47f43594d958deb263]

	RPM Spec by Rui Miguel Seabra <rms@1407.org>


2003-04-25  William Lachance  <wrlach@gmail.com>  [26701d58c4082338631a0cd5a9e85e6213ba8a0d]

	update TODO


2003-04-25  William Lachance  <wrlach@gmail.com>  [148961d5b54dfd3d7929606ae7a9e1cf6974a6a2]

	last minute update to CHANGES


2003-04-25  William Lachance  <wrlach@gmail.com>  [2984a5e15063d4ad219ba225fa9fcfdfdba88b8a]

	fix remnant of a type


2003-04-24  William Lachance  <wrlach@gmail.com>  [c1dfb0965789eea6b527a4073924f841b36f5577]

	fix bug in the wp 6.0 header parsing code. remove some old, redundant code.


2003-04-24  Marc Maurer  <uwog@uwog.net>  [58a59d863175642c92242f2d4e5a9831a5f85151]

	Bump version number to 0.4.0


2003-04-24  William Lachance  <wrlach@gmail.com>  [4290d3feff8f6583b5e260f5c16d60c27f735774]

	update my e-mail address, update CHANGES, finalize list interface and behaviour (for this release anyway), misc. variable/type renaming for consistency and/or aesthetic appeal


2003-04-17  William Lachance  <wrlach@gmail.com>  [29ca36927945a3cb5460e450d5ea6f59b47627a1]

	set columnbreak/pagebreak to FALSE by default


2003-04-17  William Lachance  <wrlach@gmail.com>  [8457cd9548f1a4c09368c9ae4fab1f646dd8358d]

	Fix problem that was crashing AbiWord, new UTF8String class, add a bit of corrective surgery to the margins so the WordPerfect default is 1.0 inch margins.


2003-04-15  William Lachance  <wrlach@gmail.com>  [701a1a04ef5ff4a2b10a05da143a7af201ef3dcb]

	Add support for hyphens in a WordPerfect document (we insert a '-' character, which might not be exactly what we want, but it'll do for now). Also cleaned up our hierarchy a little bit: single byte functions now have their own class, which allowed me to remove a bunch of code.


2003-04-15  William Lachance  <wrlach@gmail.com>  [afeb7b6b973720c393c093b5fb82018d1828cb7a]

	New generic UCSString class, fix memory leaks, convert GLib data structures to the STL, fix problem with "one bullet list" document


2003-04-10  William Lachance  <wrlach@gmail.com>  [37e95dcdb85ad6ae36902fce471c4c355d9f4bf2]

	lists support, wpd2raw utility


2003-04-10  William Lachance  <wrlach@gmail.com>  [51cedaeceaaaa4481f8db7a234bf69f24289feb9]

	first stab at lists/outline support, wpd2raw utility


2003-04-06  Marc Maurer  <uwog@uwog.net>  [58f7df61e8ef4b29507965ccebbbb5990b85b726]

	AFAICT, this fixes the corner case even better


2003-04-06  Marc Maurer  <uwog@uwog.net>  [0ca01d542f4f9d10a213e75a431b22dc7ad634cb]

	Fix corner case in corner case


2003-04-06  Marc Maurer  <uwog@uwog.net>  [5850ad2418bf7b9565912ccdf174026d13c0d94b]

	Fix typo


2003-04-05  Marc Maurer  <uwog@uwog.net>  [dba799a749e3837075dae3d44a26f06bb61cef40]

	First attemt at importing of 6.0 documents


2003-03-27  Marc Maurer  <uwog@uwog.net>  [1f209d48a5536bf3da19e6ca0d71dec77b3dce2e]

	forgot to set the m_sectionAttributesChanged boolean to false again after insertion of section


2003-02-27  William Lachance  <wrlach@gmail.com>  [8e18a607b6bd48ae043684875bcb8f37012483d7]

	Commit hack to handle tables which aren't ended properly. Not sure if this is the correct way to solve the problem.


2003-02-27  William Lachance  <wrlach@gmail.com>  [b963163af24b3efde9257d80d22f3da78c2b4b37]

	bump version


2003-02-26  Marc Maurer  <uwog@uwog.net>  [a85e7ab949df49d259f1a9bb3c752aefc393739d]

	Update the changes file with 0.3.1 -> 0.3.2 changes


2003-02-26  Marc Maurer  <uwog@uwog.net>  [c8bda5bdb12749211d4f0a86ca6dc09a6082e1ed]

	We require libgsf-1, damnit


2003-02-26  Marc Maurer  <uwog@uwog.net>  [06081541fb192a2b4b9008a52c9aec9082977b3c]

	Add missing = charachter


2003-02-24  William Lachance  <wrlach@gmail.com>  [72c6c5234e658db4857340fee836f169344e7056]

	bump version number


2003-02-24  William Lachance  <wrlach@gmail.com>  [f0f5aa643e05d947e6a6db5433ecddc60e00864f]

	add CHANGES and TODO files, update README, be more paranoid about rounding errors when converting WPUs to inches


2003-02-23  William Lachance  <wrlach@gmail.com>  [64d470398533a8bba1c4baa34331f391b076acba]

	fix another memory leak


2003-02-23  Marc Maurer  <uwog@uwog.net>  [ebd1cf0a14b5437e7547c5daf58d112e2fc3ceef]

	version 0.2.0 -> 0.3.0


2003-02-23  William Lachance  <wrlach@gmail.com>  [e90267974186ca97c8060c2b69a4eb68faf59950]

	make the font code consume whitespace as well


2003-02-23  William Lachance  <wrlach@gmail.com>  [921f4c706759d1afd59fbf89b40a102dcb3195fa]

	try to work around strange dutch font names :)


2003-02-23  William Lachance  <wrlach@gmail.com>  [f5a2e461100348de58dec91e48c277123b015d26]

	Fix memory leaks, make libwpd2 work with newer versions of libgsf


2003-02-23  William Lachance  <wrlach@gmail.com>  [dfbbd7af225ba165fa1d59aaa9f82bf50c4c9a8d]

	Add support for OLE documents Fix bug in header parsing code


2003-02-23  William Lachance  <wrlach@gmail.com>  [3118b7f98940de45a4747dfbe45ef4bc70ecd21b]

	Conversion of libwpd to libgsf, not handling OLE files yet, but should be easy to add now.


2003-02-22  Marc Maurer  <uwog@uwog.net>  [510cc2e1340c9e2076048c566139735b123710a6]

	#include <string.h>


2003-02-15  William Lachance  <wrlach@gmail.com>  [bd94fb4a8e87f004b45555320ea374486cf45e02]

	handle corner case where a table is opened immediately after a section break (thanks to David Richards for the heads up)


2003-02-15  William Lachance  <wrlach@gmail.com>  [b6ee6562e972d5509fe4f64446cb05f85efd8e58]

	- New (workable) prefix packet infrastructure - Font Descriptor Pool / Default Initial Font prefix packet parsing - Font face/size changes in the low-level and high-level listeners - (broken) changes added to HTML listener to support this


2003-02-09  William Lachance  <wrlach@gmail.com>  [6b117112216ccd8da56ad29c1f61d45c3fe72e7b]

	Change Exception handling to throw the file exception back to the application for further handling..


2003-02-09  William Lachance  <wrlach@gmail.com>  [060d9a5c8e8f2543649d37d566ca1f6ce8e9c23e]

	add README


2003-02-09  William Lachance  <wrlach@gmail.com>  [ecc8cf6c83ee04df5b940955bdb1069fd21e58a3]

	accidental corruption of COPYING


2003-02-09  William Lachance  <wrlach@gmail.com>  [d6533ed80f331fef61a7525ea2b1a899be7c1b56]

	remove unnecessary automake 2.5 requirement


2003-02-08  William Lachance  <wrlach@gmail.com>  [6fef713429c7b3da3e7f36ebc3ce759322935973]

	add file, for internal use only


2003-02-08  William Lachance  <wrlach@gmail.com>  [a7a1e4f821047e06ceba0a09e0496b638a8c4f6f]

	forgot to add our new pkgconfig file..


2003-02-08  William Lachance  <wrlach@gmail.com>  [5f29d6a31081e747e5969c0068e753bed590a226]

	- autoconf updates - update headers to remove all references to libwpd2, which should only be a module name - remove UT_libwpd prefix, let's call it libwpd_support instead. - fix linebreaking bug with tables


2003-02-04  William Lachance  <wrlach@gmail.com>  [79d59e6c511ba926aff4c2d9dca8aa1ba636ec52]

	make column and page breaks a paragraph property (e.g.: part of openParagraph, ..) instead of being done through a <cbr/>. Doesn't change anything semantically, but maps more nicely onto the OpenOffice.org file format (while not really affecting anything else in any way)


2003-01-29  Marc Maurer  <uwog@uwog.net>  [0c4b3b0e5526f0c149479be068bf664c3bb47186]

	Added missing UT_libwpd2.cpp file


2003-01-20  Marc Maurer  <uwog@uwog.net>  [e50678e608679ca2bace763897fd04b56750d964]

	Table cell background and foreground colors support


2003-01-18  Marc Maurer  <uwog@uwog.net>  [6c77333ceba468c6bc656d2fbedfe380213d8eb8]

	Oops, forgot the TAB group implementation


2003-01-17  Marc Maurer  <uwog@uwog.net>  [efe36aa27d53916a5e6c0fcd8f607cef7502989a]

	TAB groups and Prefix Packets


2003-01-16  Marc Maurer  <uwog@uwog.net>  [7d304a8736cb9cb8fa7942f829bf11c49c073a05]

	Just some silly indentation stuff


2003-01-16  William Lachance  <wrlach@gmail.com>  [504f6bbade57a33c3cc3809feb558ccc35d96ada]

	low-level: parse and send extended international characters


2003-01-16  William Lachance  <wrlach@gmail.com>  [62b50b391130b934ee5bb2d62fa3a7a52daba26d]

	low-level: handle extended characters converters: in text and html converters, print text as utf8


2003-01-15  William Lachance  <wrlach@gmail.com>  [38115a12d8a76a29742e7847ead56e7c31059205]

	low-level: read EOL group embedded subfunctions (including cell-spanning) high-level: add cell-spanning example: updated html listener with cell-spanning


2003-01-14  Marc Maurer  <uwog@uwog.net>  [7ecfa44153df87317e203cbe1b6fd210fe4b2c9d]

	Add MPritchett's e-mail address


2003-01-14  Marc Maurer  <uwog@uwog.net>  [975b0375ddfe0b3e3c46d9392911692b221ff35e]

	MSCV Project Files by Michael Pritchett, Thx!


2003-01-10  Marc Maurer  <uwog@uwog.net>  [7114b1ea14ad3032eb5e985e92e4cbcd6ff00512]

	Span fixes (which I just broke :)


2003-01-10  Marc Maurer  <uwog@uwog.net>  [9768adc2743ab49d84cadd1297a8c8612006d53d]

	Add paragraph justification support to the html converter


2003-01-10  Marc Maurer  <uwog@uwog.net>  [3a043b0c05f5bf0a0a2237c44d3efe670d0afc9e]

	Paragraph justification


2003-01-09  Marc Maurer  <uwog@uwog.net>  [43c91fe33a9827d97aa78ab0b032040fb0d41c3e]

	version change


2003-01-09  Marc Maurer  <uwog@uwog.net>  [31bfb5e86d2b31acc1b9d590d00c6a43b425aabb]

	add pkgconfig support


2003-01-08  Marc Maurer  <uwog@uwog.net>  [5553a4a98afa43b9a7d331fbc1b84c6a4bfc55fd]

	Handle page breaks


2003-01-08  Marc Maurer  <uwog@uwog.net>  [09f5c9be768924b6524fe43c1f7b54d66f4d994f]

	remove old code from libwpd1


2003-01-08  Marc Maurer  <uwog@uwog.net>  [50ba313d01322dac393a56b968c17ef75a2a8c93]

	Basic table support


2003-01-08  Marc Maurer  <uwog@uwog.net>  [35a39e739190152ee7e6a58e1ad3805647a7371b]

	Start of Character Group handling


2003-01-08  Marc Maurer  <uwog@uwog.net>  [649b38afb4d7939f883dd5d2f6b780070e0618fb]

	- Column support - Fix silly sub/superscript swapping :) - Updated the html and text converters


2003-01-06  William Lachance  <wrlach@gmail.com>  [15c455e23b5bbde84aa607f6bb54b2be52fa154c]

	fix EOL bug, more refinement needed


2003-01-06  Marc Maurer  <uwog@uwog.net>  [df6590fa398bb2f0311dd85a8fdc45ad4716cf09]

	remove bogus UT_libwpd2.h include


2003-01-06  William Lachance  <wrlach@gmail.com>  [6af4cadb8bb3df19e5a36e32bf6da37fd649216f]

	fix bad merge of Makefile.am


2003-01-06  William Lachance  <wrlach@gmail.com>  [f7de3d6b62914e8989c6785e4dc7917e316752c4]

	add generic file structure file


2003-01-06  William Lachance  <wrlach@gmail.com>  [f052042af7be3dd5f42a416ca79e009af7654140]

	low-level: column groups, undo groups high-level: margin changes, undo, sections


2003-01-03  Marc Maurer  <uwog@uwog.net>  [29f1ac1473445812d4ea6ee3fe2206242ca2ddd2]

	install more header files


2002-12-21  William Lachance  <wrlach@gmail.com>  [0e62af6abecb95c9869d64da19535e3bea1ca683]

	remove (pretty much unused) gboolean error handling (todo: replace with exceptions)


2002-12-21  William Lachance  <wrlach@gmail.com>  [964a827cdfcf9d6132b69ec25dcd6219baf3c648]

	- minor correction


2002-12-21  William Lachance  <wrlach@gmail.com>  [9bc04fbbec57574b8a7a77af255abed6128abcec]

	consolidated attribute class hierarchy


2002-12-21  William Lachance  <wrlach@gmail.com>  [b83881dbd41398630e62b19746f7a4a6ef6afb74]

	-- attribute group functionality (low level parser, low level listener, WP6 high level listener, HTML listener in example) -- add another single-byte EOL group to our fixed group construction routines -- ..


2002-12-18  Marc Maurer  <uwog@uwog.net>  [498fa90234d928caf9f68b6d7a3fd63b159202d3]

	Remove extra \n in closeParagrahp


2002-12-18  Marc Maurer  <uwog@uwog.net>  [f833dc983194ddf642e539dfe35da4fdd768253d]

	This should remove all cvs ? marks


2002-12-18  Marc Maurer  <uwog@uwog.net>  [ff22b9680d95424c080c4847bebf16121c51d7f2]

	Add some cvsignore files


2002-12-18  Marc Maurer  <uwog@uwog.net>  [4856af2512ebb86f8a17c8e3652666f1a0bb7703]

	Add some .cvsignore files


2002-12-18  Marc Maurer  <uwog@uwog.net>  [66901746dddf90b900b439cd449b97ebc214617a]

	Makefile.am Fix for wpd2text


2002-12-18  William Lachance  <wrlach@gmail.com>  [57df6577bd8918155f2ae1ff3904ca4c7564e42a]

	new high-level html listener structure


2002-12-18  William Lachance  <wrlach@gmail.com>  [94261588ca3149881d023dd0db650d188baae7cd]

	fix bug in build


2002-12-18  William Lachance  <wrlach@gmail.com>  [010d304eacbda51297e33ec51e7fdb0e051aafa2]

	- add revamped high-level listener functionality - major code refactoring - make HTML importer use high-level listener (eventually this will become an XHTML importer) - remove constructParser functionality from WPXParser


2002-12-14  William Lachance  <wrlach@gmail.com>  [c7f36b53060d934b4934fc57e79873a309bda303]

	beginning of exception support (ultimately this will let us have finer grained error-handling) some half-done refactorings. will complete this work soon.


2002-12-10  William Lachance  <wrlach@gmail.com>  [d9c1bd120bd28b22f6d6678449b987858853142e]

	temporarily comment out handling of unhandled single byte fixed length groups to fix bug refactoring (more to come..)


2002-12-07  William Lachance  <wrlach@gmail.com>  [b01118d8785d4f5fbcc2d7fa159f410f19c52565]

	remove const correctness (the listener class does need to be mutable, come to think of it)


2002-12-07  William Lachance  <wrlach@gmail.com>  [b3566d5d3ef5b19dddda94e273d7d3909d1e1ff1]

	const correctness.


2002-12-07  William Lachance  <wrlach@gmail.com>  [8632cfe66e5bf9817c157e6a529208728fba4a8c]

	auto* build system now builds examples, various auto* fixes


2002-12-06  William Lachance  <wrlach@gmail.com>  [bc524c55daebb4bbc1fd43df4a8b528599c7284b]

	add missing autogen.sh


2002-12-06  William Lachance  <wrlach@gmail.com>  [265df0e74f68d2ff3ffbb64ba622e342609f6f23]

	add auto* magic, remove needless dependancies


2002-12-05  Marc Maurer  <uwog@uwog.net>  [f9575493869933cfef4e80b9549d37d318865c03]

	Handle EOL chars


2002-12-05  Marc Maurer  <uwog@uwog.net>  [0ee24e0c6249dd1f8cf4f2a9f0175460377fb218]

	Spaces work now


2002-12-05  Marc Maurer  <uwog@uwog.net>  [354707d5f8ab7309b63669748afa672bb7867761]

	Var. group work


2002-12-05  Marc Maurer  <uwog@uwog.net>  [923e8cace98f3cb44dd0cc211792e659880b5ea1]

	Directory tree reorganizing


2002-12-05  Marc Maurer  <uwog@uwog.net>  [d691176e07f003b651d2f8661e6994ef8a7deb85]

	start of some example programs


2002-12-05  Marc Maurer  <uwog@uwog.net>  [5127785aaa2bb6ed41aa4acd0d327eea73a6a935]

	More priv. member work


2002-12-05  Marc Maurer  <uwog@uwog.net>  [b2708449dc5ff9b2959c4faa306effdf2d06509d]

	cleanups


2002-12-05  Marc Maurer  <uwog@uwog.net>  [e4ea4689c51697d1bbe3302c655490f0afbc715f]

	Documentation update


2002-12-05  Marc Maurer  <uwog@uwog.net>  [1a9119460a3f45b89867a60c303660afa13fd7d5]

	Start of the Undo and Extended Character group


2002-12-05  Marc Maurer  <uwog@uwog.net>  [59c9bec46f96dd03ba63c00ef1c5b5a8a1496ede]

	Addition of Attribute groups and some general cleanup


2002-12-05  Marc Maurer  <uwog@uwog.net>  [bfe1d18a8b80fb06b1c89d67fdf87c21b5bb8422]

	Fixed length groups finished


2002-12-05  Marc Maurer  <uwog@uwog.net>  [c14b22129f7283cbbf9ef724332d70b038fd6cf0]

	Adjust makefile as well


2002-12-05  Marc Maurer  <uwog@uwog.net>  [6a8742c99d79768320d4da4754236160aa30423e]

	Remove unused files


2002-12-05  Marc Maurer  <uwog@uwog.net>  [f1c83d691ab2c3c89cad45995c17341be78e7d22]

	Fixed length groups start


2002-12-05  Marc Maurer  <uwog@uwog.net>  [fdf405576fa38d9fa89a91149fa2affb688a679a]

	Forgot to add the var.group source file


2002-12-05  Marc Maurer  <uwog@uwog.net>  [94dd761eaad9659a36a87b7d8bb7ca921e95bf3d]

	Design doc


2002-12-05  Marc Maurer  <uwog@uwog.net>  [c2b4c4be25aae47d7c1174d3374fbb7cb635d412]

	More cleanup work


2002-12-05  Marc Maurer  <uwog@uwog.net>  [5ad91300e45af3622e343578f72a0b0fbef267eb]

	Some cleanup


2002-12-05  Marc Maurer  <uwog@uwog.net>  [aef8377ba51b8a99bf905570f47ae77a9718153c]

	Variable group parsing, w00t w00t w00t!


2002-12-05  Marc Maurer  <uwog@uwog.net>  [6bce5a74caf6b7e080b3e777dd37112b067ed615]

	More part work & a sample program


2002-12-04  Marc Maurer  <uwog@uwog.net>  [93e269e9c25f80f408892a5604d8d01af9d5ab16]

	A bit more part work


2002-12-04  Marc Maurer  <uwog@uwog.net>  [27052e52b2df81be31cf3aadfb7217214f6a3a9f]

	Some work on the differtent parts... will do some real parsing after this


2002-12-02  Marc Maurer  <uwog@uwog.net>  [0dfabc63ed9dc68b33eacbec9ed3e23be047b5f9]

	Initial revision

